================= History from DGT-OmegaT

----------------------------------------------------------------------
  DGT-OmegaT 3.6 BETA/TEST 4.1 (2023-02-19)
----------------------------------------------------------------------
  1 Bugfix
  1 Implemented request
----------------------------------------------------------------------

  Bug fixes:

  - StaX filters: compatibility with Woodstox, used in case Okapi filters are present
    Were some errors with switch between event and stream mode.
    
  Implemented requests:

   - Apply penalty to sub-segment match (only penalty for fuzzy match, actually)

----------------------------------------------------------------------
  DGT-OmegaT 3.6 BETA/TEST 4.0 (2023-12-22)
----------------------------------------------------------------------
  2 Implemented requests
----------------------------------------------------------------------

  Implemented requests:

   - Option to compile on close
   - Can set fuzzy threshold on matches pane (also check that it does not affect statistics)

----------------------------------------------------------------------
  DGT-OmegaT 3.6 BETA/TEST 3.3 (2023-09-26)
----------------------------------------------------------------------
  2 Bugfixes
----------------------------------------------------------------------

  Implemented requests:

   - [SF 1164, M33] Translation memories are not correctly reloaded after team synchronization
   - [SF 1185] Saving does not register pre-translation in new projects
     If project memory is updated during load via tm/auto or tm/enforce, set project as modified
     so that save also updates project_save.tmx
     https://sourceforge.net/p/omegat/bugs/1185/

----------------------------------------------------------------------
  DGT-OmegaT 3.6 BETA/TEST 3.2 (2023-07-18)
----------------------------------------------------------------------
  1 Implemented request
----------------------------------------------------------------------

  Implemented requests:

   - Pre-translate: can save result in a TMX file

----------------------------------------------------------------------
  DGT-OmegaT 3.6 BETA/TEST 3.1 (2023-05-10)
----------------------------------------------------------------------
  1 Implemented request
----------------------------------------------------------------------

  Implemented requests:

   - Main search screen: menu to add target term depending on glossary

----------------------------------------------------------------------
  DGT-OmegaT 3.6 BETA/TEST 3.0 (2023-03-24)
----------------------------------------------------------------------
  1 Implemented request
----------------------------------------------------------------------

  Implemented requests:

   - Option to hide tag-only segments
     
----------------------------------------------------------------------
  DGT-OmegaT 3.6 BETA/TEST 2.4 (2023-02-23)
----------------------------------------------------------------------
  1 Implemented request
  2 Bugfixes
----------------------------------------------------------------------

  Bug fixes:

  - OpenXML filter crashed when the document contained empty segments
  - StaX filters were not compatible with Woodstox, used by other plugins

  Implemented requests:

   - Fast markers also treat the case of complete translation change
     may enable to solve problem of refreshing repeated segments:
     https://sourceforge.net/p/omegat/bugs/1131/

----------------------------------------------------------------------
  DGT-OmegaT 3.6 BETA/TEST 2.3 (2022-08-01)
----------------------------------------------------------------------
  1 Implemented request
  2 Bugfixes
----------------------------------------------------------------------

  Bug fixes:

  - XLIFF 1.0 and 2.0 filters: distinction between empty target
    and no target at all
  ≠ Command-line alignment: align properties file as segmented

  Implemented requests:

   - Syntax highlighting of regular expression now supports lookbehind
     for expression such as (?: or [^

----------------------------------------------------------------------
  DGT-OmegaT 3.6 BETA/TEST 2.2 (2022-06-08)
----------------------------------------------------------------------
  4 Bugfixes
  1 Technical change
----------------------------------------------------------------------

  Bug fixes:

  - Use alternative translation from other-language (tmx2source) if exists
  - Exclude foreign language entries from tm/auto
  - Do not store foreign language if it is the project's target language
  - Ignore non-key fields when building entry key for tm/auto

  Technical changes:

   - Import from auto TMX: exploit already built lists in SourceTextEntry
   
----------------------------------------------------------------------
  DGT-OmegaT 3.6 BETA/TEST 2.1 (2022-03-25)
----------------------------------------------------------------------
  2 Implemented requests
----------------------------------------------------------------------
   
  Implemented requests:

   - Foreign languages: option to consider language variants or not
   - Foreign languages: option to continue (cascade) after a language was used

----------------------------------------------------------------------
  DGT-OmegaT 3.6 BETA/TEST 2.0 (2022-02-23)
----------------------------------------------------------------------
  1 Technical change
  3 Bugfixes
----------------------------------------------------------------------

  Technical changes:

   - Use of TMXWriter2 (StaX-based), old TMXWriter deprecated
   
  Bug fixes:
 
  - Load personal plugins in priority to global plugins
  - Do not stop loading plugins if one of them fails
  - Spelling dictionaries download site closed
  https://sourceforge.net/p/omegat/bugs/1086/

----------------------------------------------------------------------
 DGT-OmegaT 3.6 BETA/TEST 1.3 (2022-01-12)
----------------------------------------------------------------------
  1 Implemented request
  1 Bugfix
----------------------------------------------------------------------

  Implemented requests:

   - Run "open in studio" in background

  Bugfix:

   - From 3.6-BETA/TEST-1.0: also use found directory for "open in Studio"

----------------------------------------------------------------------
 DGT-OmegaT 3.6 BETA/TEST 1.2 (2021-12-31)
----------------------------------------------------------------------
  1 Implemented request
----------------------------------------------------------------------

  Implemented requests:

   - SRT (subtitles): can edit timestamp by putting it in note

----------------------------------------------------------------------
 DGT-OmegaT 3.6 BETA/TEST 1.1 (2021-11-15)
----------------------------------------------------------------------
  1 Implemented request
----------------------------------------------------------------------

  Implemented requests:

   - Supports lock from LibreOffice

----------------------------------------------------------------------
 DGT-OmegaT 3.6 BETA/TEST 1.0 (2021-10-14)
----------------------------------------------------------------------
  2 Implemented requests
----------------------------------------------------------------------

  Implemented requests:

   - Search for Trados projects in standard Trados directory
   - Can configure where to find Trados projects
   
----------------------------------------------------------------------
 DGT-OmegaT 3.6 BETA/TEST 0.1 (2021-09-13)
----------------------------------------------------------------------

  Based on 3.5-DEV-4.1
  + subbranch 3.4-BETA-4.x (segmentation event-based) 
  + subbranch 3.5-DEV-6.0 (new API) replaced by subbranch 3.4-TEST-5.x 
    [version from 3.5-DEV-6.0 is now in 3.7-DEV]
  + subbranch 3.4-BETA-6.x (revision statistics + exilis
     + statistics command line project mode only) 
  Removed new score (3.5-DEV-4.2, now only in new 3.7-DEV)
  Removed collapsable elements in glossary (3.4-DEV-1.1, still instable)
  Removed migration to Java 11

----------------------------------------------------------------------
 DGT-OmegaT 3.5 DEV 7.2 (2021-09-27)
----------------------------------------------------------------------
  1 Implemented request
----------------------------------------------------------------------

  Implemented requests:

   - Compatibility with Exilis (http://www.silvestris-lab.org/node/38)
   
----------------------------------------------------------------------
 DGT-OmegaT 3.5 DEV 7.1 (2021-08-30)
----------------------------------------------------------------------
  1 Implemented request
----------------------------------------------------------------------

  Implemented requests:

   - Revision statistics   
   
----------------------------------------------------------------------
 DGT-OmegaT 3.5 DEV 7.0 (2021-08-03)
----------------------------------------------------------------------
  2 Implemented requests
----------------------------------------------------------------------

  Implemented requests:

   - Can calculate statistics in command line
   - Can call directory search window in command line

----------------------------------------------------------------------
 DGT-OmegaT 3.5 DEV 6.1 bis (2021-06-28)
----------------------------------------------------------------------
  1 Implemented request
  1 Corrected bug
----------------------------------------------------------------------

  Implemented requests:

   - Update segmentation rules, add new languages
   [!T] Replace segment.jar with new version without JAXB
     (for compatibility with Java 11+)
   [!T] Remove any reference to JAXB in project 
     (for compatibility with Java 11+)
   
  Corrected bugs:

   - Do not delay when cannot resolve net1 domain (plugins)
   
----------------------------------------------------------------------
 DGT-OmegaT 3.5 DEV 6.1 (2021-04-08)
----------------------------------------------------------------------
  1 Bugfix
  1 Technical change
----------------------------------------------------------------------

  Bugfix:

   - Correct OpenXML filter
   
  Technical change:
  
  - Introduce ITranslationEntry and ITMXEntry for compatibility    

----------------------------------------------------------------------
 DGT-OmegaT 3.5 DEV 6.0 (2021-03-05)
----------------------------------------------------------------------
  3 Implemented requests
----------------------------------------------------------------------

  Implemented requests:

   ≠ Cursor to browse very big lists in browsable memory
   ≠ Cursor for project memory
   - Use concurrent maps instead of copying on each request
   
----------------------------------------------------------------------
 DGT-OmegaT 3.5 DEV 5.1 (2021-02-19)
----------------------------------------------------------------------
  2 Implemented requests
----------------------------------------------------------------------

  Implemented requests:

   ≠ Can save directly CSCX, almost when using popup menu (not yet rules editor)
   ≠ Can add apply template from CSCX (abbreviation, followers) in editor popup

----------------------------------------------------------------------
 DGT-OmegaT 3.5 DEV 5.0 (2021-02-10)
----------------------------------------------------------------------
  2 Bugfixes
  2 Implemented requests
----------------------------------------------------------------------

  Bugfixes: same as 3.3-STABLE-4

  Implemented requests:

   = Support SRX's format handle specification
     based on OmegaT's normal tags

----------------------------------------------------------------------
 DGT-OmegaT 3.5 DEV 4.1 bis (2021-01-14)
----------------------------------------------------------------------
  1 Bugfix
----------------------------------------------------------------------

  Bugfix:

   - DGT plugins did prevent start of OmegaT (only in DEV)
   
----------------------------------------------------------------------
 DGT-OmegaT 3.5 DEV 4.1 (2021-01-08)
----------------------------------------------------------------------
  3 Implemented requests
----------------------------------------------------------------------

  Implemented requests:

   - Optimize statistics calculation: do not build objects
   - Can replace in orphans, but not interactive
   - Can pre-translate as alternative
   
----------------------------------------------------------------------
 DGT-OmegaT 3.5 DEV 4.0 (2020-12-21)
----------------------------------------------------------------------
  2 Implemented requests
----------------------------------------------------------------------

  Implemented requests:

   - Use same score in matches statistics as in matches pane
   - Use selected sort key in both match statistics and matches pane
   
----------------------------------------------------------------------
 DGT-OmegaT 3.5 DEV 3.2 (2020-12-10)
----------------------------------------------------------------------
  2 Implemented requests
----------------------------------------------------------------------

  Implemented requests:

   = Search in orphans distinct from ongoing
   = Can search in properties
   
----------------------------------------------------------------------
 DGT-OmegaT 3.5 DEV 3.1 (2020-11-13)
----------------------------------------------------------------------
  3 Bugfixes
  3 Implemented requests
----------------------------------------------------------------------

  Bugfix:

  = Search on ongoing was excluded: now it is a part of 'memory'
  = Correct documentation for command-line file extraction
  = Correct segmentation, failing on some Word documents

  Implemented requests:

   = Remove duplicate default entries in replace and pre-translate screens
   = Display error in search screen's entry pane, not in a window
   = Distinction default/alternative translation in editor mark
   
----------------------------------------------------------------------
 DGT-OmegaT 3.5 DEV 3.0 (2020-10-28)
----------------------------------------------------------------------
  4 Implemented requests
----------------------------------------------------------------------

  Implemented requests:

   = Replacement and pre-translate: do not relaunch full search,
     only from last stopped pointer
   = Full search: option to consider missing author or date
     as a correct or incorrect answer
   = Can search on translation info in XLIFF files from source
   = Can search on file name for glossaries
 
----------------------------------------------------------------------
 DGT-OmegaT 3.5 DEV 2.2 (2020-09-16)
----------------------------------------------------------------------
  2 Bugfixes
  3 Implemented request
----------------------------------------------------------------------

  Bugfix:

   ≠ Make part of unit tests work again
   = Open XML filter: ensure all internal files are created
     even if one of them fails

  Implemented requests:

   ≠ New unit tests for text search options
   = Open XML filter: either comments are translated and included
     in target, with their references, or they are removed completely
   - Display file name for golossaries in search screen
 
----------------------------------------------------------------------
 DGT-OmegaT 3.5 DEV 2.1 (2020-08-14)
----------------------------------------------------------------------
  1 Implemented request
----------------------------------------------------------------------

  Implemented requests:

   ≠ New project provider which saves on each segment change
 
----------------------------------------------------------------------
 DGT-OmegaT 3.5 DEV 2.0 (2020-07-29)
----------------------------------------------------------------------
  2 Implemented request
----------------------------------------------------------------------

  Implemented requests:

   = If XLIFF file contains more than one file, open source/target
     corresponding to current segment from editor
   = SDLXLIFF and DOCX removes comments and track changes
 
----------------------------------------------------------------------
 DGT-OmegaT 3.5 DEV 1.4 (2020-07-07)
----------------------------------------------------------------------
  1 Implemented request
----------------------------------------------------------------------
 
  Implemented requests:

   ≠ Lucene Indexes for glossaries

----------------------------------------------------------------------
 DGT-OmegaT 3.5 DEV 1.3 (2020-06-18)
----------------------------------------------------------------------
  2 Implemented requests
  1 Bugfix
----------------------------------------------------------------------
 
  Bugfix:

   - Glossary sort criteria 'case' is now really case-only comparator
 
  Implemented requests:

   - Glossary sort: use language specific collators
   - Glossary sort: can choose between ascending and descending order

----------------------------------------------------------------------
 DGT-OmegaT 3.5 DEV 1.2 (2020-05-24)
----------------------------------------------------------------------
  1 Implemented request
  2 Bugfixes
----------------------------------------------------------------------
 
  Bugfix:

   - Glossary sort now works with target correctly
   - New Open XML filter does not call script anymore
 
  Implemented requests:

   - Glossary sort: case sensitive and insensitive sort criteria

----------------------------------------------------------------------
 DGT-OmegaT 3.5 DEV 1.1 (2020-04-28)
----------------------------------------------------------------------
  2 Implemented requests
----------------------------------------------------------------------
 
   = Use StaX to read file filters xml file.
     Now the core of DGT-OmegaT does not use JAXB anymore.
   - Store Glossary properties separately, for TBX files
 
----------------------------------------------------------------------
 DGT-OmegaT 3.5 DEV 1.0 (2020-04-15)
----------------------------------------------------------------------
  1 Implemented request
----------------------------------------------------------------------

  Implemented requests:

  - Separate note from comment (properties) in TBX

----------------------------------------------------------------------
 DGT-OmegaT 3.5 DEV 0.1 (2020-03-12)
----------------------------------------------------------------------
  1 Implemented request
----------------------------------------------------------------------

  This version is identical to 3.4-DEV-3.2, which is a new branch

  Implemented requests:

  = Change numerotation scheme.

  Since we now start parallel development of 3.4-TEST, from now:

  = means a feature identical in 3.4-TEST
  ≠ means a feature implemented in 3.4-TEST but with a different manner
  - means a feature totally absent from 3.4-TEST

----------------------------------------------------------------------
 DGT-OmegaT 3.4 BETA 6.3 (2021-11-15)
----------------------------------------------------------------------
  1 Implemented requests
----------------------------------------------------------------------

  Implemented requests:

   - Supports lock from LibreOffice
   
----------------------------------------------------------------------
 DGT-OmegaT 3.4 BETA 6.2 (2021-09-27)
----------------------------------------------------------------------
  1 Implemented request
----------------------------------------------------------------------

  Implemented requests:

   - Compatibility with Exilis (http://www.silvestris-lab.org/node/38)
   
----------------------------------------------------------------------
 DGT-OmegaT 3.4 BETA 6.1 (2021-08-30)
----------------------------------------------------------------------
  1 Implemented request
----------------------------------------------------------------------

  Implemented requests:

   - Revision statistics   
   
----------------------------------------------------------------------
 DGT-OmegaT 3.4 TEST 6.0 (2021-07-30)
----------------------------------------------------------------------
  1 Implemented request
----------------------------------------------------------------------

  Implemented requests:

   - Can calculate statistics in command line
   
----------------------------------------------------------------------
 DGT-OmegaT 3.4 BETA 5.1 bis (2021-06-28)
----------------------------------------------------------------------
  1 Implemented request
  1 Corrected bug
----------------------------------------------------------------------

  Implemented requests:

   - Update segmentation rules, add new languages
   
  Corrected bugs:

   - Do not delay when cannot resolve net1 domain (plugins)
   
----------------------------------------------------------------------
 DGT-OmegaT 3.4 BETA 5.1 (2021-04-08)
----------------------------------------------------------------------
  1 Bugfix
  1 Technical change
----------------------------------------------------------------------

  Bugfix:

   - Correct OpenXML filter
   
  Technical change:
  
  - Introduce ITranslationEntry and ITMXEntry for compatibility    

----------------------------------------------------------------------
 DGT-OmegaT 3.4 BETA 5.0 (2021-03-10)
----------------------------------------------------------------------
  2 Implemented requests
----------------------------------------------------------------------

  Implemented requests:

   - Cursor to browse very big lists in browsable memory
   - Cursor for project memory

----------------------------------------------------------------------
 DGT-OmegaT 3.4 BETA 4.1 (2021-02-19)
----------------------------------------------------------------------
  3 Implemented requests
----------------------------------------------------------------------

  Implemented requests:

   - Can save directly CSCX, almost when using popup menu (not yet rules editor)
   - Can add apply template from CSCX (abbreviation, followers) in editor popup
   - Can accept non-break spaces in segmentation

----------------------------------------------------------------------
 DGT-OmegaT 3.4 BETA 4.0 (2021-02-10)
----------------------------------------------------------------------
  2 Bugfixes
  1 Implemented Request
----------------------------------------------------------------------

  Bugfixes: same as 3.3-STABLE-4

  Implemented requests:

   - Support SRX's format handle specification
     based on OmegaT's normal tags

----------------------------------------------------------------------
 DGT-OmegaT 3.5 STABLE / PROD 2 (2024-02-06)
----------------------------------------------------------------------
  1 Bugfix
----------------------------------------------------------------------

  Bug fixes:

  - StaX filters: compatibility with Woodstox, used in case Okapi filters are present
    Were some errors with switch between event and stream mode.
    
----------------------------------------------------------------------
 DGT-OmegaT 3.5 STABLE / PROD 1 (2023-08-28)
----------------------------------------------------------------------
  1 Bugfix
----------------------------------------------------------------------

  Replacing in Production release 3.4 from 2023-8-28

  Bug fixes:

  - StaX filters: compatibility with Woodstox, used in case Okapi filters are present
    Were some errors with character data.
  - XLIFF 2: does not have body

----------------------------------------------------------------------
 DGT-OmegaT 3.5 FINAL 7 / ACC 3 (2023-02-17)
----------------------------------------------------------------------
  1 Bugfix
----------------------------------------------------------------------

  Bug fixes:

  - XLIFF 1.0 and 2.0 filters: did not load target properly anymore

----------------------------------------------------------------------
 DGT-OmegaT 3.5 FINAL 6 (2022-11-29)
----------------------------------------------------------------------
  1 Bugfix
----------------------------------------------------------------------

  Bug fixes:

  - XLIFF 1.0 and 2.0 filters: if project memory contains a target,
    add it even if there was nothing in the source

----------------------------------------------------------------------
 DGT-OmegaT 3.5 FINAL 5 (2022-08-01)
----------------------------------------------------------------------
  2 Bugfixes
----------------------------------------------------------------------

  Bug fixes:

  - XLIFF 1.0 and 2.0 filters: distinction between empty target
    and no target at all
  - Command-line alignment: align properties file as segmented

----------------------------------------------------------------------
 DGT-OmegaT 3.5 FINAL 4 (2022-06-02)
----------------------------------------------------------------------
  3 Bugfixes
----------------------------------------------------------------------

  Bug fixes:

  - Use alternative translation from other-language (tmx2source) if exists
  - Exclude foreign language entries from tm/auto
  - Ignore non-key fields when building entry key for tm/auto

----------------------------------------------------------------------
 DGT-OmegaT 3.5 FINAL 3 (2022-03-18)
----------------------------------------------------------------------
  1 Bugfix
----------------------------------------------------------------------

  Bug fixes:

  - Spelling dictionaries download site closed
  https://sourceforge.net/p/omegat/bugs/1086/

----------------------------------------------------------------------
 DGT-OmegaT 3.5 FINAL 2  (2022-02-23)
----------------------------------------------------------------------
  2 Bugfixes
----------------------------------------------------------------------

  - Load personal plugins in priority to global plugins
  - Do not stop loading plugins if one of them fails

----------------------------------------------------------------------
 DGT-OmegaT 3.5 FINAL 1 (2021-09-15)
----------------------------------------------------------------------

  Identical to 3.4-TEST-4.1
  Renamed to FINAL to be published on internet

----------------------------------------------------------------------
 DGT-OmegaT 3.4 TEST 4.1 (2021-08-30)
----------------------------------------------------------------------
  1 Implemented request
----------------------------------------------------------------------

  Implemented requests:

   - Revision statistics   
   
----------------------------------------------------------------------
 DGT-OmegaT 3.4 TEST 4.0 (2021-07-30)
----------------------------------------------------------------------
  1 Implemented request
----------------------------------------------------------------------

  Implemented requests:

   - Can calculate statistics in command line
   
----------------------------------------------------------------------
 DGT-OmegaT 3.4 TEST 3.5 bis (2021-06-28)
----------------------------------------------------------------------
  1 Implemented request
  1 Corrected bug
----------------------------------------------------------------------

  Implemented requests:

   - Update segmentation rules, add new languages
   
  Corrected bugs:

   - Do not delay when cannot resolve net1 domain (plugins)
   
----------------------------------------------------------------------
 DGT-OmegaT 3.4 TEST 3.5 (2021-02-08)
----------------------------------------------------------------------
  2 Bugfixes
  1 Technical change
----------------------------------------------------------------------

  Bugfixes: same as 3.3-STABLE-4
   
  Technical changes:
  
  - Introduce ITranslationEntry and ITMXEntry for compatibility
    Use only changes which have zero impact on plugins
    Adapt TM API, but stay with APIv2
   
----------------------------------------------------------------------
 DGT-OmegaT 3.4 BETA/TEST 3.4 (2021-01-08)
----------------------------------------------------------------------
  2 Implemented requests
----------------------------------------------------------------------

  Implemented requests:

   - Can replace in orphans, but not interactive
   - Can pre-translate as alternative
   
----------------------------------------------------------------------
 DGT-OmegaT 3.4 BETA/TEST 3.3 (2020-12-16)
----------------------------------------------------------------------
  1 Bugfix
----------------------------------------------------------------------

  Bugfix:

  - Apply penalties in matches statistics
  https://sourceforge.net/p/omegat/bugs/1028/
   
----------------------------------------------------------------------
 DGT-OmegaT 3.4 BETA/TEST 3.2 (2020-12-10)
----------------------------------------------------------------------
  2 Implemented requests
----------------------------------------------------------------------

  Implemented requests:

   - Search in orphans distinct from ongoing
   - Can search in properties
   
----------------------------------------------------------------------
 DGT-OmegaT 3.4 BETA/TEST 3.1 (2020-11-13)
----------------------------------------------------------------------
  3 Bugfixes
  3 Implemented requests
----------------------------------------------------------------------

  Bugfix:

  - Search on ongoing was excluded: now it is a part of 'memory'
  - Correct documentation for command-line file extraction
  - Correct segmentation, failing on some Word documents

  Implemented requests:

   - Remove duplicate default entries in replace and pre-translate screens
   - Display error in search screen's entry pane, not in a window
   - Distinction default/alternative translation in editor mark
   
----------------------------------------------------------------------
 DGT-OmegaT 3.4 BETA/TEST 3.0 (2020-10-28)
----------------------------------------------------------------------
  3 Implemented requests
----------------------------------------------------------------------

  Implemented requests:

   - Replacement and pre-translate: do not relaunch full search,
     only from last stopped pointer
   - Full search: option to consider missing author or date
     as a correct or incorrect answer
   - Can search on translation info in XLIFF files from source
 
----------------------------------------------------------------------
 DGT-OmegaT 3.4 BETA/TEST 2.2 (2020-09-16)
----------------------------------------------------------------------
  2 Bugfixes
  2 Implemented request
----------------------------------------------------------------------

  Bugfix:

   - Make all unit tests work again
   - Open XML filter: ensure all internal files are created
     even if one of them fails

  Implemented requests:

   - New unit tests for text search options
   - Open XML filter: either comments are translated and included
     in target, with their references, or they are removed completely
 
----------------------------------------------------------------------
 DGT-OmegaT 3.4 BETA/TEST 2.1 (2020-08-14)
----------------------------------------------------------------------
  1 Implemented request
----------------------------------------------------------------------

  Implemented requests:

   - New project provider which saves on each segment change
 
----------------------------------------------------------------------
 DGT-OmegaT 3.4 BETA/TEST 2.0 (2020-07-29)
----------------------------------------------------------------------
  1 Implemented request
----------------------------------------------------------------------

  Implemented requests:

   - If XLIFF file contains more than one file, open source/target
     corresponding to current segment from editor
 
----------------------------------------------------------------------
 DGT-OmegaT 3.4 BETA/TEST 1.2 (2020-07-07)
----------------------------------------------------------------------
  1 Implemented request
----------------------------------------------------------------------
 
  Implemented requests:

   - Lucene Indexes for glossaries

----------------------------------------------------------------------
 DGT-OmegaT 3.4 BETA/TEST 1.1 (2020-04-28)
----------------------------------------------------------------------
  1 Implemented request
----------------------------------------------------------------------

   - Use StaX to read file filters xml file.
     Now the core of DGT-OmegaT does not use JAXB anymore.
 
----------------------------------------------------------------------
 DGT-OmegaT 3.4 BETA/TEST 1.0 (2020-03-12)
----------------------------------------------------------------------
  18 Implemented requests (compared to DGT-3.2)
----------------------------------------------------------------------

  Note: features marked with [!] are removed from TEST version

  All from DEV 1.0
  From DEV 1.1:
   - Tooltips in glossary view (no collapse text)
  All from DEV 1.2
  All from DEV 1.3
  From DEV 2.0
   - Reads TBX files as StaX, instead of JAXB (faster, less memory)
  All from DEV 2.1
  From DEV 2.2
   - Display glossary entry as tooltip in editor (as in OmegaT 4 but with colors)
  All from DEV 2.3
  All from DEV 3.0
  All from DEV 3.1
  From DEV 3.2
  - Don't stop TMX reading on first error. Use first read segments.
   
----------------------------------------------------------------------
 DGT-OmegaT 3.4 DEV 3.2 [update 11] (2020-03-02)
----------------------------------------------------------------------
  2 Implemented requests
----------------------------------------------------------------------

  Implemented requests:

  - Don't stop TMX reading on first error. Use first read segments.
  - Can select sort order for glossaries

----------------------------------------------------------------------
 DGT-OmegaT 3.4 DEV 3.1 [update 10] (2020-02-10)
----------------------------------------------------------------------
  1 Implemented request
  2 Bugfixes
----------------------------------------------------------------------

  Implemented requests:

  - TaaS is now a plugin, because it canot be used inside DGT

  Bugfix:

   - Glossary layout used missing property
   - When we cannot load glossary layout, display error only once

----------------------------------------------------------------------
 DGT-OmegaT 3.4  DEV 3.0 [update 9] (2019-12-13)
----------------------------------------------------------------------
  1 Implemented request
  2 Bugfixes
----------------------------------------------------------------------

  Implemented requests:

   - New filter for Microsoft Open XML
   
  Bugfixes:

   - File names in hook detection are case insensitive
   - In search screens, gray filter button when search criteria changed
   
----------------------------------------------------------------------
 DGT-OmegaT 3.4 DEV 2.4 [update 8] (2019-11-??)
----------------------------------------------------------------------
  1 Implemented request
----------------------------------------------------------------------

  Implemented requests:

   - Create project using Trados command line, if possible
   
----------------------------------------------------------------------
 DGT-OmegaT 3.4 DEV 2.3 [update 7] (2019-10-07)
----------------------------------------------------------------------
  2 Implemented requests
----------------------------------------------------------------------

  Implemented requests:

   - boolean to make distinction between tooltip and glossary pane
   - Can choose favorite foreign languages for external TMX
   
----------------------------------------------------------------------
 DGT-OmegaT 3.4 DEV 2.2 [update 6] (2019-09-18)
----------------------------------------------------------------------
  1 merge
  2 Implemented requests
----------------------------------------------------------------------

  Bugfixes: as in DGT-3.2 update 20

  Implemented requests:

   - Store glossary meta-info: format and engine. Usable for scripts
   - Display glossary entry as tooltip in editor (as in OmegaT 4 but with colors)
   
----------------------------------------------------------------------
 DGT-OmegaT 3.4  DEV 2.1 [update 5] (2019-07-21)
----------------------------------------------------------------------
  1 merge
  3 Implemented requests
----------------------------------------------------------------------

  Bugfixes: as in DGT-3.2 update 18

  Implemented requests:

   - Translate with glossaries: can reject entries which have no glossary
   - Can use file or author in pre-translate's prefix with machine translation
   - Can highlight changes in pre-translate with source, with glossary changes
   
----------------------------------------------------------------------
 DGT-OmegaT 3.4 DEV 2.0 [update 4] (2019-07-09)
----------------------------------------------------------------------
  3 Bugfixes
  1 Implemented request
  4 Technical changes
----------------------------------------------------------------------

  Bugfixes: as in DGT-3.2 update 15

  Implemented requests:

   - Reads TBX files as StaX, instead of JAXB (faster, less memory)
     and adds compatibility with TBX 3.0 (DCA style only)
	 
  Technical changes:

   - Unify classes used by glossary plugins and internal files
   - Distinction between stored and displayed glossary entry class
   - As in OmegaT 4, store origin; can use it in layout scripts
   - Do not store property "is priority glossary"
   
----------------------------------------------------------------------
 DGT-OmegaT 3.4 PROD 5  (2022-08-01)
----------------------------------------------------------------------
  2 Bugfixes
----------------------------------------------------------------------

  Bug fixes:

  - XLIFF 1.0 and 2.0 filters: distinction between empty target
    and no target at all
  - Command-line alignment: align properties file as segmented

----------------------------------------------------------------------
 DGT-OmegaT 3.4 PROD 4 (2022-06-01)
----------------------------------------------------------------------
  1 Bugfix
----------------------------------------------------------------------

  Bug fixes:

  - Use alternative translation from other-language (tmx2source) if exists

----------------------------------------------------------------------
 DGT-OmegaT 3.4 PROD 3 (2022-03-18)
----------------------------------------------------------------------
  2 Bugfixes
----------------------------------------------------------------------

  Bug fixes:

  - Spelling dictionaries download site closed
  https://sourceforge.net/p/omegat/bugs/1086/
  - Project Storage save as StaX failed if encoding was not UTF-8

----------------------------------------------------------------------
 DGT-OmegaT 3.4 PROD 2 (2021-02-23)
----------------------------------------------------------------------
  3 Bugfixes
----------------------------------------------------------------------

  - Load personal plugins in priority to global plugins
  - Do not stop loading plugins if one of them fails
  - Trados project did not build correctly
    if its target language differs from OmegaT's target language

----------------------------------------------------------------------
 DGT-OmegaT 3.4 PROD 1 (2021-09-15)
----------------------------------------------------------------------

  Put release ACC-1 in production

----------------------------------------------------------------------
 DGT-OmegaT 3.4 ACC 1 (2021-08-01)
----------------------------------------------------------------------
  1 merge
----------------------------------------------------------------------

  Backport release 3.4-DEV-1.3 into 3.3-PROD

----------------------------------------------------------------------
 DGT-OmegaT 3.4 DEV 1.3 [update 3] (2019-06-11)
----------------------------------------------------------------------
  2 Implemented requests
----------------------------------------------------------------------

  Implemented requests:

   - Optimize AND search using short circuit
   - AND-THEN search (search with dependency)

----------------------------------------------------------------------
 DGT-OmegaT 3.4 DEV 1.2 [update 2] (2019-05-24)
----------------------------------------------------------------------
  1 merge
  1 Implemented request
----------------------------------------------------------------------

  Merge with DGT-OmegaT 3.2 update 14 (bug corrections)

  Implemented requests:

   - Cross-source search: button 'Next group'

----------------------------------------------------------------------
 DGT-OmegaT 3.4 DEV 1.1 [update 1] (2019-05-10)
----------------------------------------------------------------------
  1 merge
  1 Implemented request
----------------------------------------------------------------------

  Merge with DGT-OmegaT 3.2 update 13 (bug corrections)

  Implemented requests:

   - Collapsed text and tooltips in glossary view

----------------------------------------------------------------------
 DGT-OmegaT 3.4 DEV 1.0 [update 0]  (2019-04-26)
----------------------------------------------------------------------
  4 Implemented request
----------------------------------------------------------------------

  Implemented requests:

   - Show adjacent matches in alternative color
   - MyMemory plugin rewritten using TMXReader with StaX
   - XLIFF 1 filter: can set translated status (not only in SDLXLIFF)
   - SDLXLIFF filter: can set ApprovedTranslation status in revision mode

----------------------------------------------------------------------
 DGT-OmegaT 3.3 STABLE 6 (2022-03-18)
----------------------------------------------------------------------
  1 Bugfix
----------------------------------------------------------------------

  Bug fixes:

  - Spelling dictionaries download site closed
  https://sourceforge.net/p/omegat/bugs/1086/

----------------------------------------------------------------------
 DGT-OmegaT 3.3 STABLE 5 (2022-02-23)
----------------------------------------------------------------------
  2 Bugfixes
----------------------------------------------------------------------

  - Load personal plugins in priority to global plugins
  - Do not stop loading plugins if one of them fails

----------------------------------------------------------------------
 DGT-OmegaT 3.3 STABLE 4 bis (2021-06-28)
----------------------------------------------------------------------
  1 Implemented request
  1 Corrected bug
----------------------------------------------------------------------

  Implemented requests:

   - Update segmentation rules, add new languages
   
  Corrected bugs:

   - Do not delay when cannot resolve net1 domain (plugins)
   
----------------------------------------------------------------------
 DGT-OmegaT 3.3 STABLE 4 (2021-02-08)
----------------------------------------------------------------------
  2 Bugfixes
----------------------------------------------------------------------

  - Encode generated properties file (for index files)as native2ascii
  - Open in Studio: if not available display an error message 
    and do not compile

----------------------------------------------------------------------
 DGT-OmegaT 3.3 STABLE 3 (2020-11-13)
----------------------------------------------------------------------
  3 Bugfixes
----------------------------------------------------------------------

  - Search on ongoing was excluded: now it is a part of 'memory'
  - Correct documentation for command-line file extraction
  - Correct segmentation, failing on some Word documents

----------------------------------------------------------------------
 DGT-OmegaT 3.3 STABLE 2 (2020-07-29)
----------------------------------------------------------------------
  2 Bugfixes
----------------------------------------------------------------------

  - XLIFF file name may not contain the extension like the contained file
  - Cross-compilation sometimes generated null pointer exception

----------------------------------------------------------------------
 DGT-OmegaT 3.3 STABLE 1 (2020-03-26)
----------------------------------------------------------------------

  ACC-1.1 is ready for production

---------------------------------------------------------------------
 DGT-OmegaT 3.3 TEST-1.2/ACC-1.0 (2020-03-04)
----------------------------------------------------------------------
  2 Implemented requests
  4 Bugfixes
----------------------------------------------------------------------

  Note: features marked with [!P] are removed from PROD version, [!T] also removed from 3.4-TEST

  Implemented requests:

  - TaaS is now a plugin, because it canot be used inside DGT
  - Glossary layouts: don't display empty comments

  Bugfix [from 3.3-TEST-2.x and 3.x]:

   - Extension of file names used for filter hook detection (source folder) 
     should be case insensitive
   - Search screens: inactivate buttons when text changes
   - Display "Searching" in matches pane, instead of keeping it as is
   - When we cannot load glossary layout, display error only once

----------------------------------------------------------------------
 DGT-OmegaT 3.3 TEST-3.0 [update 5] (2020-02-10)
----------------------------------------------------------------------
  2 Implemented requests
  2 Bugfixes
----------------------------------------------------------------------

  Implemented requests:

  - TaaS is now a plugin, because it canot be used inside DGT
  - Glossary layouts: don't display empty comments

  Bugfix:

   - TBX reader did not work
   - When we cannot load glossary layout, display error only once

----------------------------------------------------------------------
 DGT-OmegaT 3.3 TEST-2.2 [update 4] (2020-02-05)
----------------------------------------------------------------------
  1 Implemented request
  1 Bugfix
----------------------------------------------------------------------

  Implemented requests:

  [!P] New filter for Open XML (Microsoft Office)

  Bugfix:

   [!T] Also use improved score in statistics matches, for consistency

----------------------------------------------------------------------
 DGT-OmegaT 3.3 TEST-2.1 [update 3] (2020-01-14)
----------------------------------------------------------------------
  4 Implemented requests
  1 Bugfix
----------------------------------------------------------------------

  Implemented requests:

  [!T] Do not calculate spaces (only punctuations) in score
  [!T] Display diff: if only case change, display diff only on first letter
  [!T] Display diff: if only adding '&', display diff only on '&' (for localization)
  [!T] Display diff: if one string begins or ends with other one (prefix or suffix),
      highlight only the difference

   Bugfix:

   [!T] Display "Searching" in matches pane, instead of keeping it as is

----------------------------------------------------------------------
 DGT-OmegaT 3.3 TEST-3.0 [update 5] (2020-02-10)
----------------------------------------------------------------------
  2 Implemented requests
  2 Bugfixes
----------------------------------------------------------------------

  Implemented requests:

  - TaaS is now a plugin, because it canot be used inside DGT
  - Glossary layouts: don't display empty comments

  Bugfix:

   - TBX reader did not work
   - When we cannot load glossary layout, display error only once

----------------------------------------------------------------------
 DGT-OmegaT 3.3 TEST-2.2 [update 4] (2020-02-05)
----------------------------------------------------------------------
  1 Implemented request
  1 Bugfix
----------------------------------------------------------------------

  Implemented requests:

  -  New filter for Open XML (Microsoft Office)

  Bugfix:

   -  Also use improved score in statistics matches, for consistency

----------------------------------------------------------------------
 DGT-OmegaT 3.3 TEST-2.1 [update 3] (2020-01-14)
----------------------------------------------------------------------
  4 Implemented requests
  1 Bugfix
----------------------------------------------------------------------

  Implemented requests:

  -  Do not calculate spaces (only punctuations) in score
  -  Display diff: if only case change, display diff only on first letter
  -  Display diff: if only adding '&', display diff only on '&' (for localization)
  -  Display diff: if one string begins or ends with other one (prefix or suffix),
     highlight only the difference

   Bugfix:

   - Display "Searching" in matches pane, instead of keeping it as is

----------------------------------------------------------------------
 DGT-OmegaT 3.3 TEST-2.0 [update 2] (2019-12-06)
----------------------------------------------------------------------
  1 Implemented request
  2 Bugfixes
----------------------------------------------------------------------

  Implemented requests:

  [!T] New score algorithm

  Bugfix:

   - Extension of file names used for filter hook detection (source folder) 
     should be case insensitive
   - Search screens: inactivate buttons when text changes

----------------------------------------------------------------------
 DGT-OmegaT 3.3 TEST-1.1 [update 1] (2019-11-08)
----------------------------------------------------------------------
  1 Implemented request
----------------------------------------------------------------------

  Implemented requests:

  - Use StaX instead of JAXB for reading SRX and project files

----------------------------------------------------------------------
 DGT-OmegaT 3.3 TEST-1.0 (2019-10-23)
----------------------------------------------------------------------
  1 Implemented request
----------------------------------------------------------------------
  Version for test, takes parts from 3.4 (dev)

  Implemented requests:

  - Can display tooltip in editor for glossary entry

----------------------------------------------------------------------
 DGT-OmegaT 3.2 update 27 [PROD-3] (2020-02-10)
----------------------------------------------------------------------
  3 Bugfixes
----------------------------------------------------------------------

  Bugfix:

   - Search screens: inactivate buttons when text changes
   - Glossary layouts: display only non-empty comments
   - Glossary: display error only once

----------------------------------------------------------------------
 DGT-OmegaT 3.2 update 26 [PROD-2] (2019-11-04)
----------------------------------------------------------------------
  1 Bugfix
----------------------------------------------------------------------

  Bugfix:

   - SDLXLIFF: insert subsegments in correct order

----------------------------------------------------------------------
 DGT-OmegaT 3.2 update 25 [PROD-1] (2019-10-23)
----------------------------------------------------------------------
  1 Bugfix
----------------------------------------------------------------------
  Status: now in production

  Bugfix:

   - Extension of file names in tm/ folder should be case insensitive

----------------------------------------------------------------------
 DGT-OmegaT 3.2 update 22 [TEST 3.4] (2019-10-08)
----------------------------------------------------------------------
  1 Bugfix
----------------------------------------------------------------------

  Bugfix:

   - SDLPROJ file name is not necessarily the same as project name

----------------------------------------------------------------------
 DGT-OmegaT 3.2 update 21 [TEST 3.3] (2019-10-01)
----------------------------------------------------------------------
  2 Bugfixes
----------------------------------------------------------------------

  Bugfix:

   - Do not consider an old native file from Trados as a result for compilation
   - Display error when you compile and Trados does not answer

----------------------------------------------------------------------
 DGT-OmegaT 3.2 update 20 [TEST 3.2] (2019-09-12)
----------------------------------------------------------------------
  2 Bugfixes
  2 Implemented requests
----------------------------------------------------------------------

  Bugfix:

   - Regular expression replacements should not be recursive
   - Regular expression replacements: not all \ are meta characters
   
  Implemented requests:

   - Also highlight escape sequences in regular expression replacement strings
   - Restrict acccess to OmegaT's Core from layout scripts
   
----------------------------------------------------------------------
 DGT-OmegaT 3.2 update 19 [TEST 3.1] (2019-08-28)
----------------------------------------------------------------------
  2 Bugfixes
----------------------------------------------------------------------

  Bugfix:

   - SDLXLIFF: display comment extracted from source only on correct segment
   - Spellchecker: correct variable interpolation
   
----------------------------------------------------------------------
 DGT-OmegaT 3.2 update 18 [TEST 3.0] (2019-08-16)
----------------------------------------------------------------------
  2 Bugfixes
  1 Implemented request
----------------------------------------------------------------------

  Bugfix:

   - Don't reload search window on close event (prevent exception)
   - Correct highlighting of prefix in pre-translate window

  Implemented requests:

   - Make adjusted score case sensitive again
   
----------------------------------------------------------------------
 DGT-OmegaT 3.2 update 17 [TEST 2.3] (2019-09-13)
----------------------------------------------------------------------
  3 Bugfixes
  1 Implemented request
----------------------------------------------------------------------

  Bugfix:

   - Search was slowed down by progress refresh
   - Pre-translate: make text search really facultative
   - Add { and } as regex meta characters

  Implemented requests:

   - Pre-translate with matches: can restrict to some files
   
----------------------------------------------------------------------
 DGT-OmegaT 3.2 update 16 [TEST 2.2] (2019-09-12)
----------------------------------------------------------------------
  1 Bugfix
  3 Implemented requests
----------------------------------------------------------------------

  Bugfix:

   - Pre-translate: Rename ${scoreNoStem} to ${noStemScore} as in the matches pane

  Implemented requests:

   - SDLXLIFF build from Trados: add full log in OmegaT's log
   - Pre-translate: auto-synchronise prefix variable with selected score
   - Try to synchronise matches pane's template with editor's template
   
----------------------------------------------------------------------
 DGT-OmegaT 3.2 update 15 [TEST 2.1] (2019-06-26)
----------------------------------------------------------------------
  3 Bugfixes
----------------------------------------------------------------------

  Bugfix:

   - Do not crash on corrupted SDLXLIFF files
   - SDLXLIFF compare script: do not stop if target is null
   - SDLXLIFF compare script: consider <x/> similar to <x></x>

----------------------------------------------------------------------
 DGT-OmegaT 3.2 update 14 [TEST 2.0] (2019-05-24)
----------------------------------------------------------------------
  4 Bugfix
  3 Implemented request
----------------------------------------------------------------------

   - Pre-translate: re-use search results during replacement (faster)
   - Pre-translate cross-search: always link with best match, not first one
   - Replace and directory window have search field mandatory
   - Search window wrongly displayed error messages

  Implemented requests:

   - Pre-translate: display progression in search window
   - Lesser threshold (similar to Matches pane) for cross-search
   - Pre-translate cross-search: can display all sources in the results pane

----------------------------------------------------------------------
 DGT-OmegaT 3.2 update 13 [TEST 1.3] (2019-05-06)
----------------------------------------------------------------------
  3 Bugfixes
----------------------------------------------------------------------

  Bugfix:

   - Pre-translate with glossaries: correct shift when replacing 
     several times the same entry
   - Avoid exception when glossary contains joker characters
   - XLIFF filter: keep namespace correctly to set the correct prefix to tags

----------------------------------------------------------------------
 DGT-OmegaT 3.2 update 12 [TEST 1.2] (2019-04-23)
----------------------------------------------------------------------
  3 Bugfixes
----------------------------------------------------------------------

  Bugfix:

   - When Trados build fails, shows its message, if any
   - Can call Trados command line with more than one parameter
   - Pre-translate dialog: default prefix empty for non-MT choices

----------------------------------------------------------------------
 DGT-OmegaT 3.2 update 11 [TEST 1.1] (2019-04-17)
----------------------------------------------------------------------
  3 Bugfixes
----------------------------------------------------------------------

  Bugfix:

   - Regex searches modes did not work anymore (works for 3.1)
   - Transtips for translation: look at all (merged) translations
   - Pre-translate with source: set 'Entire' by default

----------------------------------------------------------------------
 DGT-OmegaT 3.2 update 10 [TEST 1.0] (2019-04-12)
----------------------------------------------------------------------
  2 Bugfixes
----------------------------------------------------------------------

  Bugfix:

   - When translate with source + glossaries, accept multi-word source terms
   - Replace dialog could not replace whole words on adjacent matches

----------------------------------------------------------------------
 DGT-OmegaT 3.2 update 9 [DEV 2.7] (2019-04-01)
----------------------------------------------------------------------
  1 Bugfix
  1 Implemented request
----------------------------------------------------------------------

  Implemented requests:

   - Pre-translate / source: can include glossaries

  Bugfix:

   - Detect XML in UTF-16 without BOM: did not work for TMX files

----------------------------------------------------------------------
 DGT-OmegaT 3.2 update 8 [DEV 2.6] (2019-03-12)
----------------------------------------------------------------------
  3 Bugfixes
  1 Implemented requests
----------------------------------------------------------------------

  Implemented requests:

   - Can auto-populate segments from source file even if original 
     segmentation is overriden (only if both source and target have
	 same segment count)

  Bugfix:

   - SDLXLIFF filter can set segment status and info,
     even if there was no info before
   - Can save auto-populated status 'xAuto' or 'xSrc' 
     even for alternative translations
   - Alert when you are using global "Filters" dialog 
     and currently opened project has specific configuration   

----------------------------------------------------------------------
 DGT-OmegaT 3.2 update 7 [DEV 2.5] (2019-02-27)
----------------------------------------------------------------------
  2 Implemented requests
----------------------------------------------------------------------

  Implemented requests:

   - Map console to standard output when scripts are run in CLI mode
   - Paragraph marker configurable, with variables

----------------------------------------------------------------------
 DGT-OmegaT 3.2 update 6 [DEV 2.4] (2019-02-06)
----------------------------------------------------------------------
  2 Bugfix
  2 Implemented requests
----------------------------------------------------------------------

  Bugfix:

   - Reformat file hook created 'unfiltered' directory inside target
   - Null pointer exception when trying to save project without SRX

  Implemented requests:

   - Can extract Base64 from SDLXLIFF in console mode
   - Try another presentation for paragraph marker

----------------------------------------------------------------------
 DGT-OmegaT 3.2 update 5 [DEV 2.3] (2019-01-18)
----------------------------------------------------------------------
  2 Bugfixes
  1 Implemented request
----------------------------------------------------------------------

  Bugfix:

   - Shortcut for "view source" did not work: changed from CTRL+H to CTRL+B
   - Menu for split did not work because project reload erased the changes

  Implemented requests:

   - Detect XML in UTF-16 without BOM
     (if they begin with sequence of ASCII characters)

----------------------------------------------------------------------
 DGT-OmegaT 3.2 update 4 [DEV 2.2] (2018-12-18)
----------------------------------------------------------------------
  2 Implemented requests
  1 Bugfix
----------------------------------------------------------------------

  Bugfix:

   - Cross-compilation did not work when document was in external folder

  Implemented requests:

   - Cross-compilation/undercut: repair native segment corresponding to 
     2 or more XLIFF segments
   - Cross-compilation/overcut: repair XLIFF segment corresponding to 
     2 or more native segments

----------------------------------------------------------------------
 DGT-OmegaT 3.2 update 3 [DEV 2.1] (2018-11-20)
----------------------------------------------------------------------
  2 Implemented requests
  2 Bugfixes
----------------------------------------------------------------------

  Bugfix:

   - Display origin of inserted segment even when using menus
    (previously, was only on auto-insertion)
   - Correctly accept 3-letter codes

  Implemented requests:

   - Can choose Perl interpreter used to call renumerotation
     (technically needed for the publication)
   - CTRL+M : cycle between active MT engines (see 3.0 update 25)

----------------------------------------------------------------------
 DGT-OmegaT 3.2 update 2 [DEV 2.0] (2018-11-09)
----------------------------------------------------------------------
  1 Implemented request
  1 Bugfix
----------------------------------------------------------------------

  Implemented request
  
   - Pre-translate screen: extension to group source segments 
     (translated or not, grouped by match on source)

  Bugfix:

   - Regression in branch 3.2: do not use 'token' radio button
     when regex is selected (still present but hidden)

----------------------------------------------------------------------
 DGT-OmegaT 3.2 update 1 [DEV 1.1] (2018-10-19)
----------------------------------------------------------------------
  1 Technical change
  1 Bugfix
----------------------------------------------------------------------

  Technical change:
  
  - Introduce file hook classes, 
    to move source/target post-processing out from RealProject/MainWindowMenuHandler

  Bugfix:

   - Regression in branch 3.2: could not close project anymore

----------------------------------------------------------------------
 DGT-OmegaT 3.2 [DEV 1.0] (2018-10-02)
----------------------------------------------------------------------
  Merge
  2 Technical changes
----------------------------------------------------------------------

  Merge versions:
      Standard OmegaT 3.6.0 update 10
	  DGT-OmegaT 3.0 update 22
	  DGT-OmegaT 3.1 update 6
  
  Technical changes
  
  - Use search classes from OmegaT 4.1
  - Active segment color changed in only one location
	  
----------------------------------------------------------------------
 DGT-OmegaT 3.1 update 9  [PROD 3]
----------------------------------------------------------------------
  2 Bugfixes
----------------------------------------------------------------------

  Bugfix:

   - Shortcut for "view source" did not work: changed from CTRL+H to CTRL+B
   - Menu for split did not work because project reload erased the changes

----------------------------------------------------------------------
 DGT-OmegaT 3.1 update 8 [PROD/STABLE 2] (2018-11-14)
----------------------------------------------------------------------
  1 Bugfix
  1 Implemented request
----------------------------------------------------------------------

  Bugfix:

   - Display origin of inserted segment even when using menus
    (previously, was only on auto-insertion)
	and also when using CTRL+M

  Implemented requests:

   - Can choose Perl interpreter used to call renumerotation
     (technically needed for the publication)

----------------------------------------------------------------------
 DGT-OmegaT 3.1 update 7 [PROD/STABLE 1] (2018-10-30)
----------------------------------------------------------------------
  2 Bugfixes
----------------------------------------------------------------------

  Bugfix:

   - Wrong definition of "revised & changed segments" in the menu
   - Sort of the merged near strings was in wrong order

----------------------------------------------------------------------
 DGT-OmegaT 3.1 update 6 [TEST 2.5] (2018-07-18)
----------------------------------------------------------------------
  1 Bugfixes
----------------------------------------------------------------------

  Merge with 3.0 update 20 (bugfixes only)

  Bugfix:

   - Catch exceptions given by Trados command line

----------------------------------------------------------------------
 DGT-OmegaT 3.1 update 5 [TEST 2.4] (2018-06-27)
----------------------------------------------------------------------
  2 Bugfixes
  + Merge
----------------------------------------------------------------------

  Merge with 3.0 update 18

  Bugfix:

   - Do not compile if target-native contains an opened Word file
   - Xliff filter: correctly generate key for alternative translations

----------------------------------------------------------------------
 DGT-OmegaT 3.1 update 4 [TEST 2.3] (2018-02-22)
----------------------------------------------------------------------
  1 Bugfix
  + Merge
----------------------------------------------------------------------

  Merge with 3.0 update 12

  Bugfix:

   - Correct diff script: can keep tags if they are correctly balanced

----------------------------------------------------------------------
 DGT-OmegaT 3.1 update 3 [TEST 2.2] (2018-02-09)
----------------------------------------------------------------------
  2 Implemented requests
  + Merge
----------------------------------------------------------------------

  Merge with 3.0 update 11

  Implemented requests:

   - Trados compilation can support old and new version of command-line tool
   - Menu 'open in Studio' opens project, if exists (instead of sdlxliff)

----------------------------------------------------------------------
 DGT-OmegaT 3.1 update 2 [TEST 2.1] (2017-11-24)
----------------------------------------------------------------------
  1 Enhancement
----------------------------------------------------------------------

  Implemented requests:

   - Can display author and date if it is in source SDLXLIFF

----------------------------------------------------------------------
 DGT-OmegaT 3.1 update 1 [TEST 2.0] (2017-09-27)
----------------------------------------------------------------------
  1 Enhancement
----------------------------------------------------------------------

  Implemented requests:

   - New filters for xliff 1, 2, and sdlxliff

----------------------------------------------------------------------
 DGT-OmegaT 3.1 [TEST 1.0] (2017-09-08)
----------------------------------------------------------------------
  0 Enhancement (porting only)
----------------------------------------------------------------------

DGT-OmegaT 3.1 is 3.0 update 6 in a new branch

----------------------------------------------------------------------
 DGT-OmegaT 3.0 update 24 [DEV 8.1] (2018-11-09)
----------------------------------------------------------------------
  1 Implemented request
  1 Bugfix
----------------------------------------------------------------------

  Implemented request
  
   - Pre-translate screen: extension to group source segments 
     (translated or not, grouped by match on source)

----------------------------------------------------------------------
 DGT-OmegaT 3.0 update 23 [DEV 8.0] (2018-10-26)
----------------------------------------------------------------------
   1 Bug fix
   2 Implemented requests
----------------------------------------------------------------------
DGT-OmegaT 3.0 update 23 vs DGT-OmegaT 3.0 update 22

  Bug fixes:
  
  - Go to next "revised & changed" segment did not fill correct definition

  Implemented requests:

   - Search screens can display progress
   - Search screens: stop button

----------------------------------------------------------------------
 DGT-OmegaT 3.0 update 22 [DEV 7.2] (2018-09-25)
----------------------------------------------------------------------
   2 Bug fixes
   1 Implemented request
----------------------------------------------------------------------
DGT-OmegaT 3.0 update 22 vs DGT-OmegaT 3.0 update 21

  Bug fixes:
  
  - SRX: same language rule name can be used more than once
    (according to SRX specification)
  - SRX: generate <beforebreak> and <afterbreak>
    only if there is something to put in it

  Implemented requests:

   - Experimental read-only support for CSCX segmentation format

----------------------------------------------------------------------
 DGT-OmegaT 3.0 update 21 [DEV 7.1] (2018-09-03)
----------------------------------------------------------------------
   1 Documentation change
   3 Implemented requests
----------------------------------------------------------------------
DGT-OmegaT 3.0 update 21 vs DGT-OmegaT 3.0 update 20

  Documentation changes:
  
  - Split command-line help message,
    enabling translation of new options  

  Implemented requests:

   - Command-line help can be option-specific
   - Add popup menus to restrict results in glossaries
   - Can remove subwords in glossaries

----------------------------------------------------------------------
 DGT-OmegaT 3.0 update 20 [DEV 7.0] (2018-07-31)
----------------------------------------------------------------------
   2 Bug fixes
   3 Implemented requests
----------------------------------------------------------------------
DGT-OmegaT 3.0 update 20 vs DGT-OmegaT 3.0 update 19

  Bug fixes:
  
  - Can use author and date during search in translation memories,
    but not in glossaries
  - "Back to initial segment" also goes in correct position
    (regression: feature lost during migration DGT-2 to DGT-3)

  Implemented requests:

   - Case-sensitive lemmas search
   - Display number of found matches (not only number of segments)
   - Memorize search word mode and case sensitivity with an expression, 
     then restore it when you select a search in the combo box

----------------------------------------------------------------------
 DGT-OmegaT 3.0 update 19 [DEV 6.5] (2018-06-29)
----------------------------------------------------------------------
   2 Bug fixes
----------------------------------------------------------------------
DGT-OmegaT 3.0 update 19 vs DGT-OmegaT 3.0 update 18

  Bug fixes:
  
  - Can use %OMEGAT_DIR% as an alias for install dir in scripting directory
    (was used in the delivered configuration but did not work)
  - Display "Search..." in case glossary search takes time

----------------------------------------------------------------------
 DGT-OmegaT 3.0 update 18 [DEV 6.4] (2018-06-27)
----------------------------------------------------------------------
   2 Bug fixes
   1 Implemented request
----------------------------------------------------------------------
DGT-OmegaT 3.0 update 18 vs DGT-OmegaT 3.0 update 17

  Bug fixes:
  
  - SRX implementation: getDefault did not work anymore
  - SRX implementation: support for cascade attribute

  Implemented requests:

   - Scripts for glossary pane can be put in dedicated directory

----------------------------------------------------------------------
 DGT-OmegaT 3.0 update 17 [DEV 6.3] (2018-06-20)
----------------------------------------------------------------------
   2 Implemented requests
----------------------------------------------------------------------
DGT-OmegaT 3.0 update 17 vs DGT-OmegaT 3.0 update 16

  Implemented requests:

   - Can ignore tags in transtips, as in glossaries
   - Can configure glossaries pane using Groovy language

----------------------------------------------------------------------
 DGT-OmegaT 3.0 update 16 [DEV 6.2] (2018-06-01)
----------------------------------------------------------------------
   2 Implemented requests
----------------------------------------------------------------------
DGT-OmegaT 3.0 update 16 vs DGT-OmegaT 3.0 update 15

  Implemented requests:

   - Popup menus in search screens
   - Improved segmentation popup window

----------------------------------------------------------------------
 DGT-OmegaT 3.0 update 15 [DEV 6.1] (2018-05-23)
----------------------------------------------------------------------
   2 Bug fixes
   2 Implemented requests
----------------------------------------------------------------------
DGT-OmegaT 3.0 update 15 vs DGT-OmegaT 3.0 update 14

  Merged with standard OmegaT 3.6.0 update 9

  Bug fixes:
  
  - Glossary pane displayed only one comment per entry, 
    and too many empty lines
  - Disable view source/view target menu when project is inactive
    (else, would throw an exception)

  Implemented requests:

   - Syntax coloration for regular expressions
   - Can set priority/non-priority for writable glossaries

----------------------------------------------------------------------
 DGT-OmegaT 3.0 update 14 [DEV 6.0] (2018-04-13)
----------------------------------------------------------------------
   2 Bug fixes
   1 Implemented requests
----------------------------------------------------------------------
DGT-OmegaT 3.0 update 14 vs DGT-OmegaT 3.0 update 13

  Bug fixes:
  
  - Correct all unit tests which did not compile anymore
    (from start of DGT-OmegaT 3)
  - Filter config dialog had problems when a filter
    is present in xml descriptor but not in classpath
  
  Implemented requests:

   - Cross-compilation of XLIFF files

----------------------------------------------------------------------
 DGT-OmegaT 3.0 update 13 [DEV 5.1] (2018-03-15)
----------------------------------------------------------------------
   2 Implemented requests
----------------------------------------------------------------------
DGT-OmegaT 3.0 update 13 vs DGT-OmegaT 3.0 update 12

  Implemented requests:

   - Plugin for MyMemory as a Translation Memory
   - Plugin for TaaS as local server

----------------------------------------------------------------------
 DGT-OmegaT 3.0 update 12 [DEV 5.0] (2018-02-20)
----------------------------------------------------------------------
   1 Bug fix
   4 Implemented requests
----------------------------------------------------------------------
DGT-OmegaT 3.0 update 12 vs DGT-OmegaT 3.0 update 11

  Bug fixes:
  
  - Correct behaviour for Pre-translation with "copy text"
  
  Implemented requests:

   - Pre-translate and replace screens now keep in configuration their specific fields
   - Pre-translate / match : can choose which score to be used
   - Pre-translate can use alternative machine translators (plugins)
   - Segmentation: include non-break space in \s

----------------------------------------------------------------------
 DGT-OmegaT 3.0 update 11 [DEV 4.2] (2018-02-06)
----------------------------------------------------------------------
   3 Bug fixes
   2 Implemented requests
----------------------------------------------------------------------
DGT-OmegaT 3.0 update 11 vs DGT-OmegaT 3.0 update 10

  Bug fixes:
  
  - After Merge with standard OmegaT 3.6.0 update 8, 
    other-language TMX files did appear in the matches pane
  - View source/target file: was impossible to open target if source was opened
  - Wrong replacements when there was more than one in the same segment
  
  Implemented requests:

   - Can split/merge segments by contextual menu:
     * Do not include tags in the SRX, else does not work correctly
     * Add a window where you can specify the rule to be added
   - Colors in replace window now changed to orange (leaving red for error results)
     and configurable.

----------------------------------------------------------------------
 DGT-OmegaT 3.0 update 10 [DEV 4.1] (2018-01-11)
----------------------------------------------------------------------
   1 Bug fix
   3 Implemented requests
----------------------------------------------------------------------
DGT-OmegaT 3.0 update 10 vs DGT-OmegaT 3.0 update 9

  Merged with standard OmegaT 3.6.0 update 8

  Bug fixes:
  
  - In project search screen, NOT operator did not work correctly for "In translation"
  
  Implemented requests:

   - Display engine name when MT is inserted in editor
   - When replacing translation with MT or match, insert with same color as for auto-insertions
   - Colors in Machine Translation and Glossary pane are now configurable

----------------------------------------------------------------------
 DGT-OmegaT 3.0 update 9 [DEV 4.0] (2017-11-14)
----------------------------------------------------------------------
   1 Bug fix
   3 Implemented requests
----------------------------------------------------------------------
DGT-OmegaT 3.0 update 9 vs DGT-OmegaT 3.0 update 8

  Bug fix:

   - TeamBase in project mode gave bad results when contents of source/ directory had changed

  Implemented requests:

   - Supports SRX format in global and local configuration (see https://sourceforge.net/p/omegat/feature-requests/98/)
   - Can split/merge segments by contextual menu (inspired by https://sourceforge.net/p/omegat/feature-requests/3/)
   - Optionally view paragraph delimiters in editor

----------------------------------------------------------------------
 DGT-OmegaT 3.0 update 8 [DEV 1.4] (2017-10-24)
----------------------------------------------------------------------
   3 Bug fixes
   1 Implemented request
----------------------------------------------------------------------
DGT-OmegaT 3.0 update 8 vs DGT-OmegaT 3.0 update 7

  Bug fix:

   - Case sensitivity button was disabled if lemmas mode had been selected
     but was not visible anymore because we switched to regex mode
   - $ sign can be escaped in regex replacement mode with variables
   - Regression between 2.5 and 3.0: spellchecker config dialog did not work

  Implemented requests:

   - Replacement of regular expression variables support case specification

----------------------------------------------------------------------
 DGT-OmegaT 3.0 update 7 [DEV 1.3] (2017-08-28)
----------------------------------------------------------------------
  0 Enhancement (porting only)
----------------------------------------------------------------------

All new features from DGT-3.0 update 2 to 6 (except bugfixes)
are removed - now they are part of new branch 3.1
Branch 3.0 remains for non-regression tests for DGT features
developped for OmegaT 3.1.2 then ported to OmegaT 3.6

----------------------------------------------------------------------
 DGT-OmegaT 3.0 update 6 [DEV 3.2] (2017-08-21)
----------------------------------------------------------------------
   1 Bug fix
----------------------------------------------------------------------
DGT-OmegaT 3.0 update 6 vs DGT-OmegaT 3.0 update 5

  Bug fix:

   - Put selected text in main field of search window

----------------------------------------------------------------------
 DGT-OmegaT 3.0 update 5 [DEV 3.1] (2017-08-11)
----------------------------------------------------------------------
   1 Implemented request
----------------------------------------------------------------------
DGT-OmegaT 3.0 update 5 vs DGT-OmegaT 3.0 update 4

  Updated to OmegaT 3.6.0 update 7

  Implemented requests:

   - Call renum-to-trados after compilation

----------------------------------------------------------------------
 DGT-OmegaT 3.0 update 4 [DEV 3.0] (2017-06-15)
----------------------------------------------------------------------
   2 Implemented requests
----------------------------------------------------------------------
DGT-OmegaT 3.0 update 3 vs DGT-OmegaT 3.0 update 3

  Implemented requests:

   - Call studio to compile project
   - Add a script which calculates sdlxliff differences

----------------------------------------------------------------------
 DGT-OmegaT 3.0 update 3 [DEV 2.0] (2017-06-09)
----------------------------------------------------------------------
   2 Implemented requests
----------------------------------------------------------------------
DGT-OmegaT 3.0 update 3 vs DGT-OmegaT 3.0 update 2 

  Implemented requests:

   - Replace dialog: supports variables in string and word modes
   - Regular expressions are no longer field-dependant in search screens

----------------------------------------------------------------------
 DGT-OmegaT 3.0 update 2 [DEV 1.2] (2017-05-26)
----------------------------------------------------------------------
  0 Enhancement (porting only)
----------------------------------------------------------------------
DGT-OmegaT 3.0 update 2 vs DGT-OmegaT 3.0 update 1 

Updated to DGT-OmegaT 2.5 update 4

----------------------------------------------------------------------
 DGT-OmegaT 3.0 update 1 [DEV 1.1] (2017-05-22)
----------------------------------------------------------------------
  0 Enhancement (porting only)
  1 Backport
----------------------------------------------------------------------
DGT-OmegaT 3.0 update 1 vs DGT-OmegaT 3.0

Updated to OmegaT 3.6.0 update 5
Updated to DGT-OmegaT 2.5 update 3

  Backport from OmegaT 4.1

  - Support for MED format

----------------------------------------------------------------------
 DGT-OmegaT 3.0 [DEV 1.0] (2017-05-11)
----------------------------------------------------------------------
  0 Enhancement (porting only)
----------------------------------------------------------------------

DGT-OmegaT 3.0 is the port of DGT-OmegaT 2.5 to OmegaT 3.6.0

----------------------------------------------------------------------
 DGT-OmegaT 2.5 update 4 (2017-05-24)
----------------------------------------------------------------------
   2 Implemented requests
----------------------------------------------------------------------
DGT-OmegaT 2.5 update 4 vs DGT-OmegaT 2.5 update 3

  Implemented requests:

   - Segments populated from the source file (bilingual formats)
     are considered as auto-populated, with own color
   - Detect opened DOCX files in target to prevent compilation

----------------------------------------------------------------------
 DGT-OmegaT 2.5 update 3 (2017-03-08)
----------------------------------------------------------------------
   1 Implemented requests
   1 Backport
----------------------------------------------------------------------
DGT-OmegaT 2.5 update 3 vs DGT-OmegaT 2.5 update 2

  Implemented requests:

   - Menu 'view source' : when the source is in sdlxliff containing a Word, 
     can display the word file instead	 

  Backport from OmegaT 3.6.0 update 5

  - The old Apertium server was shut down. OmegaT was modified to
be able to work with the new one.

----------------------------------------------------------------------
 DGT-OmegaT 2.5 update 2 (2016-11-07)
----------------------------------------------------------------------
   1 Implemented requests
----------------------------------------------------------------------
DGT-OmegaT 2.5 update 2 vs DGT-OmegaT 2.5 update 1

  Implemented requests:

   - Revisor mode: revisor name can be displayed in matches and search panes

----------------------------------------------------------------------
 DGT-OmegaT 2.5 update 1 (2016-09-02)
----------------------------------------------------------------------
   1 Implemented request
   1 Bugfix
----------------------------------------------------------------------
DGT-OmegaT 2.5 update 1 vs DGT-OmegaT 2.5

  Implemented requests:

   - A memory provider can send a segment-specific penalty to be given to
     the score

   Bugfix:
   - When Lucene tokenizer fails, 
     uses default instead of returning empty token list

----------------------------------------------------------------------
 DGT-OmegaT 2.5 (2016-06-30)
----------------------------------------------------------------------
   2 Implemented requests
----------------------------------------------------------------------
DGT-OmegaT 2.5 vs DGT-OmegaT 2.4 update 5

  Implemented requests:

   - Revision mode
   - Can ignore tags in glossaries pane

---------------------------------------------------------------------
 DGT-OmegaT 2.4 update 5 (2016-03-09)
----------------------------------------------------------------------
   1 Implemented requests
   1 Bugfix
----------------------------------------------------------------------
DGT-OmegaT 2.4 update 5 vs DGT-OmegaT 2.4 update 4

  Implemented requests:

   - Save preferences on shutdown

  Bug fix:

   - Detect tag duplicates (already corrected on Omega-T 3.6)

----------------------------------------------------------------------
 DGT-OmegaT 2.4 update 4 (2015-12-01)
----------------------------------------------------------------------
   1 Implemented requests
   2 Bug fixes
----------------------------------------------------------------------
DGT-OmegaT 2.4 update 4 vs DGT-OmegaT 2.4 update 3

  Implemented requests:

   - DGT-internal : export files to Euramis
      
  Bug fixes:

   - Refresh of editor markers was slow 
     (especially white space marker:
  	  https://sourceforge.net/p/omegat/bugs/567/)
   - Remove marker did not work any more.

----------------------------------------------------------------------
 DGT-OmegaT 2.4 update 3 (2015-11-20)
----------------------------------------------------------------------
   4 Implemented requests
   2 Backports
----------------------------------------------------------------------
DGT-OmegaT 2.4 update 3 vs DGT-OmegaT 2.4 update 2

  Implemented requests:

   - Forbid changes of target files folder (because some scripts searches for it)
   - Support for bold, super/subscript in pseudo-tags
   - Call reformat script during project compilation
   - Auto-resize file list

   Backports:

   - Auto-Completion
   - Search screens: synchronization and return to initial segment
   
----------------------------------------------------------------------
 DGT-OmegaT 2.4 update 2 (2015-09-04)
----------------------------------------------------------------------
   2 Implemented requests
----------------------------------------------------------------------
DGT-OmegaT 2.4 update 2 vs DGT-OmegaT 2.4 update 1

  Implemented requests:

   - Statistics window not modal
   - Can display transtips on target segment in editor

----------------------------------------------------------------------
 DGT-OmegaT 2.4 update 1 (2015-09-01)
----------------------------------------------------------------------
   1 Implemented requests
   1 Bug fix
----------------------------------------------------------------------
DGT-OmegaT 2.4 update 1 vs DGT-OmegaT 2.4

  Implemented requests:

   - Simplify contextual menus, using submenus and grouping open/close tags

  Bug fix:

   - Save spell checker lists in UTF-8

----------------------------------------------------------------------
 DGT-OmegaT 2.4 (2015-08-28)
----------------------------------------------------------------------
   4 Backports
   1 Implemented requests
----------------------------------------------------------------------
DGT-OmegaT 2.4 vs DGT-OmegaT 2.3 update 5

  Implemented requests:

   - Menu and script to add italics in docx files

   Backports from 3.1.9

  - Use selection for text Search from "Fuzzy Match" or "Glossary" panes
  https://sourceforge.net/p/omegat/feature-requests/877/

  - Allow to insert selection into translation from the Fuzzy Matches pane
  https://sourceforge.net/p/omegat/feature-requests/1057/ 
 
  - Show the number of non-unique segment instances in the segment markers
  https://sourceforge.net/p/omegat/feature-requests/1068/

  Backports from 3.1.7

  - Go to next unique segment
  https://sourceforge.net/p/omegat/feature-requests/198
  
  Implemented requests:

   - Menu and script to add italics in docx files

----------------------------------------------------------------------
 DGT-OmegaT 2.3 update 5 (2015-07-02)
----------------------------------------------------------------------
   1 Implemented requests
----------------------------------------------------------------------
DGT-OmegaT 2.3 update 5 vs DGT-OmegaT 2.3 update 4

  Implemented requests:

   - Pre-translate window: supports variables in regular expressions

----------------------------------------------------------------------
 DGT-OmegaT 2.3 update 4 (2015-03-17)
----------------------------------------------------------------------
   3 Implemented requests
----------------------------------------------------------------------
DGT-OmegaT 2.3 update 4 vs DGT-OmegaT 2.3 update 3

  Implemented requests:

   - Notion of revised segments : mark, go to previous/next one
   - Matches text area : add variable to display note
   - Run scripts in threads, to avoid freezing OmegaT

----------------------------------------------------------------------
 DGT-OmegaT 2.3 update 3 (2015-03-09)
----------------------------------------------------------------------
   4 Implemented requests
----------------------------------------------------------------------
DGT-OmegaT 2.3 update 3 vs DGT-OmegaT 2.3 update 2

  Implemented requests:

   - Operator 'NOT' in search text fields
   - Pre-translate search window
   - Each search window has own preferences
   - Can display differences in matches pane for target (for revision)

----------------------------------------------------------------------
 DGT-OmegaT 2.3 update 2 (2015-02-12)
----------------------------------------------------------------------
   1 Implemented request
----------------------------------------------------------------------
DGT-OmegaT 2.3 update 2 vs DGT-OmegaT 2.3 update 1

  Implemented requests:

   - Glossary pane with colors and better display for merged entries

----------------------------------------------------------------------
 DGT-OmegaT 2.3 update 1 (2015-02-03)
----------------------------------------------------------------------
   2 Implemented requests
----------------------------------------------------------------------
DGT-OmegaT 2.3 update 1 vs DGT-OmegaT 2.3

  Implemented requests:
  
  - RMI server and client for project save plugins
  - Menu 'View target file'

----------------------------------------------------------------------
 DGT-OmegaT 2.3 (2015-01-16)
----------------------------------------------------------------------
   1 Implemented request
   2 Backports
----------------------------------------------------------------------
DGT-OmegaT 2.3 update 3 vs DGT-OmegaT 2.2 update 5

  Implemented requests:

   - Can keep searches in memory, and use them back on next search

  Backports from OmegaT 3.1.6

  - Allow customising segment modification information 
  https://sourceforge.net/p/omegat/feature-requests/1022/

  Backports from OmegaT 3.1.3

  - Text filter: some of the last lines of the target document could be lost

----------------------------------------------------------------------
 DGT-OmegaT 2.2 update 5 (2014-11-19)
----------------------------------------------------------------------
   2 Implemented requests
----------------------------------------------------------------------
DGT-OmegaT 2.2 update 5 vs DGT-OmegaT 2.2 update 4

  Implemented requests:

   - Change colors: was a confusion between Translator Workbench
     and colors used by OmegaT
   - Better aspect for glossary pane

----------------------------------------------------------------------
 DGT-OmegaT 2.2 update 4 (2014-09-30)
----------------------------------------------------------------------
   1 Bug fix
----------------------------------------------------------------------
DGT-OmegaT 2.2 update 4 vs DGT-OmegaT 2.2 update 3

  Bug fix:

   - When a note is deleted, the segment should not be marked as containing a note

----------------------------------------------------------------------
 DGT-OmegaT 2.2 update 3 (2014-09-24)
----------------------------------------------------------------------
   1 Implemented request
----------------------------------------------------------------------
DGT-OmegaT 2.2 update 3 vs DGT-OmegaT 2.2 update 2

  Implemented requests:

   - Replace template variable, with blue color for original and red for replaced

----------------------------------------------------------------------
 DGT-OmegaT 2.2 update 2 (2014-09-22)
----------------------------------------------------------------------
   1 Implemented request
----------------------------------------------------------------------
DGT-OmegaT 2.2 update 2 vs DGT-OmegaT 2.2 update 1

  Implemented requests:

   - Enable to share lists of ignored/learned words in dictionaries directory

----------------------------------------------------------------------
 DGT-OmegaT 2.2 update 1 (2014-09-17)
----------------------------------------------------------------------
  1 Implemented request
----------------------------------------------------------------------

DGT-OmegaT 2.2 update 1 vs DGT-OmegaT 2.2 

  Implemented requests:

  - Can display differences on translation

----------------------------------------------------------------------
 DGT-OmegaT 2.2 (2014-09-09)
----------------------------------------------------------------------
  0 Enhancement (porting only)
----------------------------------------------------------------------

DGT-OmegaT 2.2 is the port of DGT-OmegaT 1.1 (search screens) to DGT-OmegaT 2

----------------------------------------------------------------------
 DGT-OmegaT 2.1 (2014-08-25)
----------------------------------------------------------------------
  0 Enhancement (porting only)
----------------------------------------------------------------------

DGT-OmegaT 2.1 is the port of DGT-OmegaT 1.3 (plugin extensions) to DGT-OmegaT 2

----------------------------------------------------------------------
 DGT-OmegaT 2.0 (2014-07-18)
----------------------------------------------------------------------
  0 Enhancement (porting only)
----------------------------------------------------------------------

DGT-OmegaT 2.0 is the port of DGT-OmegaT 1.0 (without search screens  nor plugin extensions) to OmegaT 3.1.2

----------------------------------------------------------------------
 DGT-OmegaT 1.3 (2013-12-04)
----------------------------------------------------------------------
  1 Technical extension
----------------------------------------------------------------------

DGT-OmegaT 1.3 vs DGT-OmegaT 1.2

  Technical extensions:

  - Support for translation memory and project plugins, 
    project-scope and writable glossaries
 
----------------------------------------------------------------------
 DGT-OmegaT 1.2 update 2 (2012-08-17)
----------------------------------------------------------------------
  1 Bug fix
  2 Technical extensions
----------------------------------------------------------------------

DGT-OmegaT 1.2 vs DGT-OmegaT 1.1 update 1 

  Bug fixes:

  - Percentage spinners should not accept value more than 100 %

  Technical extensions:

  - Can configure dictionnaries path with variables
  - Use temporary directory names during compilation
    (this prevents from external OS-processes to access the file before compilation is finished)  

----------------------------------------------------------------------
 DGT-OmegaT 1.2 update 1 (2012-07-26)
----------------------------------------------------------------------
  4 Implemented requests
----------------------------------------------------------------------

DGT-OmegaT 1.2 vs DGT-OmegaT 1.1 update 1 

  Implemented requests:

  - Can configure how many matches the pane displays
  - Drag & drop between editor and other panes (matches, note, ...)
  - If a default configuration for windows is in the config/ directory,
    use it instead of the one from jar file.
  0 See deleted words in red striked inside the matches pane 
    (kind of diff algorithm)

----------------------------------------------------------------------
 DGT-OmegaT 1.2 (2012-07-19)
----------------------------------------------------------------------
  2 Implemented requests
----------------------------------------------------------------------

DGT-OmegaT 1.2 vs DGT-OmegaT 1.1 update 1 

  Implemented requests:

  - Glossary and transtips use configuration dialog and search modes
  - Changes display of editor zone

----------------------------------------------------------------------
 DGT-OmegaT 1.1 update 1 (2012-07-05)
----------------------------------------------------------------------
  7 Implemented requests
----------------------------------------------------------------------

DGT-OmegaT 1.1 update 1 vs DGT-OmegaT 1.1

  Implemented requests:

  - Use same colors as in Translator's Workbench
  - Ensure cursor is always at the beginning of the segment
  - Keys CTRL+n work even if we use the numeric pad
  * Configurable display in match pane
  >> OmegaT 2.6.0 : http://sourceforge.net/support/tracker.php?aid=2960656
  * Apply penalties to external TMXs
  >> OmegaT 2.6.0 : http://sourceforge.net/support/tracker.php?aid=3528575
  - Insert the result from MT when translation memories give no result
  - JMySpell also creates local files

----------------------------------------------------------------------
 DGT-OmegaT 1.1 (2012-06-04)
----------------------------------------------------------------------
  1 Implemented requests
----------------------------------------------------------------------

DGT-OmegaT 1.1 vs DGT-OmegaT 1.0 update 2

  Implemented requests:

  - Totally rewritten search screens
 
----------------------------------------------------------------------
 DGT-OmegaT 1.0 update 2 (2012-05-22)
----------------------------------------------------------------------
  1 Implemented requests
----------------------------------------------------------------------

DGT-OmegaT 1.0 update 2 vs DGT-OmegaT 1.0 update 1

  Implemented requests:

  - Spellchecker saves word lists before exit
 
----------------------------------------------------------------------
 DGT-OmegaT 1.0 update 1 (2012-05-16)
----------------------------------------------------------------------
  3 Implemented requests
  1 Technical extension
----------------------------------------------------------------------

DGT-OmegaT 1.0 update 1 vs DGT-OmegaT 1.0

  Implemented requests:

  - Display in segment header where inserted text comes from
  0 Menu 'view source file'
  * Capture variables in source filename to target mapping
  >> OmegaT 2.5.4 : http://sourceforge.net/support/tracker.php?aid=3436954
  
  Technical extensions:

  - New plugin types 'Dockable' and 'Editor popups'
 
  NOTE: Patches marked with '*' have been sent to OmegaT team,
  and are parts of OmegaT since the given version.  
 
----------------------------------------------------------------------
 DGT-OmegaT 1.0 (2012-01-27)
----------------------------------------------------------------------
  3 Implemented requests
----------------------------------------------------------------------

DGT-OmegaT 1.0 vs OmegaT 2.5.4 update 1

  Implemented requests:

  0 View target segment in color
  - New format for edit zone: begin/end marks with new line
  - Automatic machine translator reading local files

  Note: changes marked with '0' have not been ported to DGT-3.
  Usually this means that OmegaT 3.6 alreay implements a similar feature.
  
================= History from OmegaT 

----------------------------------------------------------------------
 OmegaT 3.6.0 update 10 (2018-07-09)
----------------------------------------------------------------------
  0 Enhancement
  3 Bug fixes
  6 Localisation updates
----------------------------------------------------------------------
3.6.0 update 10 vs 3.6.0 update 9

  Bug fixes:

  - Adjacent search matches are collapsed when doing a search/replace
  https://sourceforge.net/p/omegat/bugs/675/

  - Find-replace results overlap
  https://sourceforge.net/p/omegat/bugs/898/

  - Adjacent next match skipped by Replace Next
  https://sourceforge.net/p/omegat/bugs/899/

  Localisation Updates:

  - Belarusian localisation updated to 3.6 (documentation)
  - Czech localisation updated to 3.6 (documentation)
  - Croatian localisation updated to 3.6 (documentation)
  - Interlingua localisation updated to 3.6 (documentation)
  - Italian localisation updated to 3.6 (documentation)
  - Brazilian Portuguese localisation updated to 3.6 (documentation)

----------------------------------------------------------------------
 OmegaT 3.6.0 update 9 (2018-03-31)
----------------------------------------------------------------------
  0 Enhancement
  3 Bug fixes
  0 Localisation update
----------------------------------------------------------------------
3.6.0 update 9 vs 3.6.0 update 8

  Bug fixes:

  - The issue from https://sourceforge.net/p/omegat/bugs/884/
could still happen in some cases

  - External TMXs containing entries with no source text prevented
fuzzy match searching from working correctly

  - XLIFF filter: str:* tags from SmartTranslate were not ignored

----------------------------------------------------------------------
 OmegaT 3.6.0 update 8 (2017-12-27)
----------------------------------------------------------------------
  0 Enhancement
  2 Bug fixes
  0 Localisation update
----------------------------------------------------------------------
3.6.0 update 8 vs 3.6.0 update 7

  Bug fixes:

  - MyMemory machine translation engines were not working anymore

  - Matches from tmx2source appear as fuzzy matches on Windows
    https://sourceforge.net/p/omegat/bugs/884/

----------------------------------------------------------------------
 OmegaT 3.6.0 update 7 (2017-08-08)
----------------------------------------------------------------------
  0 Enhancement
  2 Bug fixes
  0 Localisation update
----------------------------------------------------------------------
3.6.0 update 7 vs 3.6.0 update 6

  Bug fixes:

  - Extra tags not recognised by tag validation
  https://sourceforge.net/p/omegat/bugs/876/

  - CR/LF replaced with LF on LaTex files
  https://sourceforge.net/p/omegat/bugs/865/

----------------------------------------------------------------------
 OmegaT 3.6.0 update 6 (2017-06-26)
----------------------------------------------------------------------
  0 Enhancement
  3 Bug fixes
  0 Localisation update
----------------------------------------------------------------------
3.6.0 update 6 vs 3.6.0 update 5

  Bug fixes:

  - When there were no LanguageTool rules for the source or the target
language of the project, the QA - Check Rules script was crashing

  - MyMemory (machine) wouldn't find the correct translation if the
target language contained a non default country code (e.g., FR-CA
instead of FR-FR)

  - Some text was ignored in Inkscape's SVG export

----------------------------------------------------------------------
 OmegaT 3.6.0 update 5 (2017-03-09)
----------------------------------------------------------------------
  1 Enhancement
  4 Bug fixes
  0 Localisation update
----------------------------------------------------------------------
3.6.0 update 5 vs 3.6.0 update 4

  Implemented requests:

  - Make OmegaT available via Homebrew on macOS
  https://sourceforge.net/p/omegat/feature-requests/1305/

  Bug fixes:

  - DocBook XML filter ignores some content
  https://sourceforge.net/p/omegat/bugs/844/

  - XML Spreadsheet format: the OfficeDocumentSettings tag is not
ignored

  - Windows: when a JDK was available, OmegaT.exe would use it even
if a more recent JRE was available. Now, OmegaT.exe only uses JREs.

  - The old Apertium server was shut down. OmegaT was modified to
be able to work with the new one.

----------------------------------------------------------------------
 OmegaT 3.6.0 update 4 (2016-10-22)
----------------------------------------------------------------------
  0 Enhancement
  1 Bug fix
  0 Localisation update
----------------------------------------------------------------------
3.6.0 update 4 vs 3.6.0 update 3

  Bug fixes:

  - Editor not responding after filtering search results
  https://sourceforge.net/p/omegat/bugs/839/

----------------------------------------------------------------------
 OmegaT 3.6.0 update 3 (2016-09-06)
----------------------------------------------------------------------
  0 Enhancement
  4 Bug fixes
  0 Localisation update
----------------------------------------------------------------------
3.6.0 update 3 vs 3.6.0 update 2

  Bug fixes:

  - Fix segments drawn at bad location when updating duplicates

  - Windows: wrong setup language when selecting "English"
  https://sourceforge.net/p/omegat/bugs/834/

  - Incorrect search result highlighting with custom colors
  https://sourceforge.net/p/omegat/bugs/835/

  - Tag fix failure when tag has same offset in source and target

----------------------------------------------------------------------
 OmegaT 3.6.0 update 2 (2016-07-27)
----------------------------------------------------------------------
  5 Enhancements
  4 Bug fixes
  0 Localisation update
----------------------------------------------------------------------
3.6.0 update 2 vs 3.6.0 update 1

  Implemented requests:

  - Make SRT filter robust against inconsistent EOL chars
  https://sourceforge.net/p/omegat/feature-requests/1255/

  - Script to adapt match tags to target
  https://sourceforge.net/p/omegat/feature-requests/1263/

  Other changes:

  - In the Nbsp script, % was added to the list of characters that
must be preceded by a non-breaking space

  - The Windows setup program can now be launched in any of the
supported languages, regardless of the languages installed in Windows

  - Revised user manual

  Bug fixes:

  - When the text color is customized, the caret color does not match
  https://sourceforge.net/p/omegat/bugs/811/

  - Some markers throw NPE when source text is not shown in editor
  https://sourceforge.net/p/omegat/bugs/818/

  - Team projects: Improved error handling for Subversion

  - In the script search_replace.groovy, the values entered in the form
were not taken into account, only the predefined values were used

----------------------------------------------------------------------
 OmegaT 3.6.0 update 1 (2016-04-07)
----------------------------------------------------------------------
  2 Enhancements
  1 Bug fix
  1 Localisation update
----------------------------------------------------------------------
3.6.0 update 1 vs 3.6.0

  Implemented requests:

  - Improve handling of tags and custom tags for RTL languages
  https://sourceforge.net/p/omegat/feature-requests/1221/

  - Add Insert Unicode Control Character menu and right-click menu
  https://sourceforge.net/p/omegat/feature-requests/1222/

  Bug fixes:

  - The Okapi Filters Plugin for OmegaT could crash

  Localisation Updates:

  - Italian localisation updated to 3.6 (UI, documentation)

----------------------------------------------------------------------
 OmegaT 3.6.0 (2016-03-09)
----------------------------------------------------------------------
 16 Enhancements
  7 Bug fixes
  5 Localisation updates
----------------------------------------------------------------------
3.6.0 vs 3.5.4

  Implemented requests:

  - Allow width-insensitive search
  https://sourceforge.net/p/omegat/feature-requests/140/

  - Re-use search window(s) with a shortcut
  https://sourceforge.net/p/omegat/feature-requests/142/

  - Allow moving the cursor anywhere in the editor
  https://sourceforge.net/p/omegat/feature-requests/821/

  - Add menus to the Search window
  https://sourceforge.net/p/omegat/feature-requests/1164/

  - Improve case matching in glossary auto-completer
  https://sourceforge.net/p/omegat/feature-requests/1167/

  - Keep top Machine Translation pane item visible
  https://sourceforge.net/p/omegat/feature-requests/1168/

  - Keep top Alternative Translation match visible
  https://sourceforge.net/p/omegat/feature-requests/1169/

  - Open help in external browser
  https://sourceforge.net/p/omegat/feature-requests/397/

  - Make it possible to create dictionary plugins
  https://sourceforge.net/p/omegat/feature-requests/1145/

  - Improve editor performance with very large files
  https://sourceforge.net/p/omegat/feature-requests/1173/

  - Immediately apply changes to automatic save interval
  https://sourceforge.net/p/omegat/feature-requests/1174/

  - Filters for Java Properties XML and Schematron
  https://sourceforge.net/p/omegat/feature-requests/1147/

  - Open source & target files from the Project Files window
  https://sourceforge.net/p/omegat/feature-requests/1146/

  - Support Undo and Redo in the Notes pane
  https://sourceforge.net/p/omegat/feature-requests/1181/

  Other changes:

  - Filter for Wordpress XML export

  - The appearance under Windows "high-contrast" themes is improved

  Bug fixes:

  - Custom text color used for text in dialogs
  https://sourceforge.net/p/omegat/bugs/725/

  - Jumping to a large entry makes it appear at the bottom of the editor
  https://sourceforge.net/p/omegat/bugs/781/

  - Files can be clobbered when creating translated documents
  https://sourceforge.net/p/omegat/bugs/787/

  - ResourceBundleFilter duplicates line continuation characters in comment
  https://sourceforge.net/p/omegat/bugs/796/

  - Cycle Switch Case (Shift+F3) doesn't work properly on strings with
digits
  https://sourceforge.net/p/omegat/bugs/612/

  - ResourceBundleFilter drops leading whitespace on continuation lines
  https://sourceforge.net/p/omegat/bugs/798/

  - Mediawiki import silently fails for a HTTPS connection
  https://sourceforge.net/p/omegat/bugs/799/
  Note: Java cannot establish SSL connections to servers using untrusted
certificates; in case of an javax.net.ssl.SSLHandshakeException, see the
bug comments for instructions on adding the certificate to the trust store.

  Localisation Updates:

  - Belarusian localisation updated to 3.6 (UI, readme)
  - Czech localisation updated to 3.6 (UI, documentation, scripts, readme)
  - Dutch localisation updated to 3.6 (UI, documentation, scripts, readme)
  - Hungarian localisation updated to 3.6 (UI)
  - Norvegian localisation updated to 3.6 (UI, scripts, readme)

----------------------------------------------------------------------
 OmegaT 3.5.4 (2016-03-23)
----------------------------------------------------------------------
   5 Enhancements
   9 Bug fixes
   2 Localisation updates
----------------------------------------------------------------------
3.5.4 vs 3.5.3

  Other changes:

 - Support 3.0.0 StarDict dictionaries

 - To reflect TaaS's change of policy, a key is now mandatory to use the
service

  - Exclude .DS_Store files from translation by default

  - When using the line length limit in the Text filter, the filter tries
preventing cutting after "\" and ":" and before "{" and ":"

  - Updated documentation

 Bug fixes:

  - Stop searching when Find window is closed
  https://sourceforge.net/p/omegat/bugs/412/

  - Trim whitespace on LingvoDSL dictionary entries
  https://sourceforge.net/p/omegat/bugs/786/

  - Closing Match Statistics window while it's updating the stats doesn't
stop the calculations
  https://sourceforge.net/p/omegat/bugs/789/

  - An error was fixed with -Dhttp.proxyHost and -Dhttp.proxyPort in
Linux kaptain launcher

  - When using the line length limit in the Text filter, a trailing space
remained at the end of lines when the line was cut on a space.

  - Word: specific tag processing not working when extension in uppercase
  https://sourceforge.net/p/omegat/bugs/794/

  - ResourceBundleFilter drops key in #NOI18N key=value pairs
  https://sourceforge.net/p/omegat/bugs/795/

  - Linux install script has invalid shebang, is incompatible with dash
  https://sourceforge.net/p/omegat/bugs/801/

  - Cannot open projects residing in path with symbolic link
  https://sourceforge.net/p/omegat/bugs/804/

  Localisation Updates:

  - Italian localisation updated to 3.5.3 (UI, documentation, scripts, readme)
  - Brazilian Portuguese updated to 3.5 (UI)

----------------------------------------------------------------------
 OmegaT 3.5.3 (2015-12-02)
----------------------------------------------------------------------
  23 Enhancements
   7 Bug fixes
   8 Localisation updates
----------------------------------------------------------------------
3.5.3 vs 3.5.2 update 1

  Implemented requests:

  - Add sentence case to Shift+F3 case change
  https://sourceforge.net/p/omegat/feature-requests/1134/

  - Improve glossary matching of terms containing numbers
  https://sourceforge.net/p/omegat/feature-requests/1138/

  - Allow suppressing MT retrieval for translated segments
  https://sourceforge.net/p/omegat/feature-requests/1137/

  - Ctrl-M manual call of MT on translated segments
  https://sourceforge.net/p/omegat/feature-requests/1140/

  - Machine translate only current segment, on demand
  https://sourceforge.net/p/omegat/feature-requests/552/

  - Make URLs in Comments, Notes, Glossary panes clickable
  https://sourceforge.net/p/omegat/feature-requests/1141/

  - Back up preferences when a loading error occurs
  https://sourceforge.net/p/omegat/feature-requests/1142/

  - Set focus to "Search for" field if search returns zero hits
  https://sourceforge.net/p/omegat/feature-requests/1143/

  - Allow disabling unescaping of Unicode literals (\uXXXX) in Java
Resource Bundle filter
  https://sourceforge.net/p/omegat/feature-requests/1144/

  - Lazily load StarDict dictionary contents
  https://sourceforge.net/p/omegat/feature-requests/1148/

  - Improve explanation text in the Search window
  https://sourceforge.net/p/omegat/feature-requests/1116/

  - Automatically replace glossary hits when inserting source text
  https://sourceforge.net/p/omegat/feature-requests/1152/

  - Allow excluding orphan segments from search results
  https://sourceforge.net/p/omegat/feature-requests/1026/

  - Show revision number in version string
  https://sourceforge.net/p/omegat/feature-requests/1159/

  Other changes:

  - Mac OS X: It is now possible to make the project files list
"truly" full-screen. On OS X 10.11 this means you can have the main
window and the project files window open side-by-side in split view.

  - spellcheck.groovy has a new option to ignore segments where
source=target

  - A new script, Strip Bidi Marks (strip_bidi_marks.groovy) allows
removing bidi marks in the current segment

  - It's now possible to have an alternative translation where
the translation is the same but the note is different

  - The Open XML filter now loads Visio 2013 files with the extension
*.vsdx.

  - In the online help, external links will open in the user default
browser

  - In the Resource Bundler filter (.properties) whitespace-only lines
are not modified anymore

  - The About dialog now indicates whether the current Java VM is
32-bit or 64-bit

  - A new script (nbsp.groovy) replaces spaces with non-breaking
spaces where appropriate in French

  Bug fixes:

  - Spell Checking issue with a Turkish character
  https://sourceforge.net/p/omegat/bugs/771/

  - Unresolvable scripting folder setting can cause an empty
Scripting window
  https://sourceforge.net/p/omegat/bugs/775/

  - Segments remain marked for note after note deletion
  https://sourceforge.net/p/omegat/bugs/671/

  - Tag validation could wrongly mention bad nesting for custom tags.
Tag nesting is now only tested for OmegaT tags.

  - MyMemory machine and human translation not working
  https://sourceforge.net/p/omegat/bugs/773/

  - Fragments to be removed not colored correctly
  https://sourceforge.net/p/omegat/bugs/549/

  - Editor freezes when navigating segments by double-click (OS X only)
  https://sourceforge.net/p/omegat/bugs/529/

  Localisation Updates:

  - Belarusian localisation updated to 3.5.3 (UI, tutorial, scripts, readme)
  - Czech localisation updated to 3.5.3 (UI, documentation, scripts, readme)
  - Dutch localisation updated to 3.5.3 (UI, documentation, scripts, readme)
  - German localisation updated to 3.5.2 (UI)
  - Interlingua localisation updated to 3.5.3 (UI, documentation, scripts, readme)
  - Japanese localisation updated to 3.5.3 (UI, documentation, scripts, readme)
  - Norwegian localisation updated to 3.5.3 (UI, tutorial, scripts, readme)
  - Spanish localisation updated to 3.5.3 (UI, tutorial)

----------------------------------------------------------------------
 OmegaT 3.5.2 update 1 (2015-09-25)
----------------------------------------------------------------------
   0 Enhancement
   3 Bug fixes
   0 Localisation update
----------------------------------------------------------------------
3.5.2 update 1 vs 3.5.2

  Bug fixes:

  - No dictionaries show up in the Spellchecker Setup window
  https://sourceforge.net/p/omegat/bugs/766/

  - Fails to build OmegaT users guide on Linux
  https://sourceforge.net/p/omegat/bugs/769/

  - Wrong encoding of the Portugal Portuguese UI strings

----------------------------------------------------------------------
 OmegaT 3.5.2 (2015-09-18)
----------------------------------------------------------------------
   9 Enhancements
   8 Bug fixes
   5 Localisation updates
----------------------------------------------------------------------
3.5.2 vs 3.5.1

  Implemented requests:

  -Allow aggressive font fallback for undisplayable characters
  https://sourceforge.net/p/omegat/feature-requests/1112/

  - Allow to apply tokenizer to dictionaries
  https://sourceforge.net/p/omegat/feature-requests/1053/

  - Changing "Ctrl + Left/Right Arrow" Shortcuts in Auto-completer
  https://sourceforge.net/p/omegat/feature-requests/1113/

  Other changes:

  - Open XML filter: In Word, <w:br> (soft return) was considered
a paragraph tag. There is now an option in the filter (on, by default,
for compatibility with existing translations) to decide whether soft
returns should generate a new paragraph or not.

  - In the Search window, the Author search field can match either creator
or changer

  - The About window shows the Java version

  - It is possible to define a custom colour for the segment marker

  - In Windows 8 or above, the panes are square instead of rounded

  - English tokenizer: three stop words were added: a, and, of

  Bug fixes:

  - Auto-Completer does not work for repeated custom tags
  https://sourceforge.net/p/omegat/bugs/753/

  - Equivalent Unicode composed and decomposed characters not treated as equivalent
  https://sourceforge.net/p/omegat/bugs/758/

  - Tag validation does not recognize extraneous tags
  https://sourceforge.net/p/omegat/bugs/660/

  - Tag validation fails
  https://sourceforge.net/p/omegat/bugs/733/

  - Non-Latin characters corrupted in the editor, but not in the other panes
  https://sourceforge.net/p/omegat/bugs/759/

  - The auto-completer popup once again follows the caret when navigating with
the arrow keys

  - Team project: new source files not downloaded when doing a reload
  https://sourceforge.net/p/omegat/bugs/763/

  - Numeric entities, e.g., &#181; (decimal) &#x00B5; (hex) were not read
correctly from configuration files


  Localisation Updates:

 - Belarusian localisation updated to 3.5 (UI)
 - Brazilian Portuguese localisation updated to 3.5 (UI, documentation, scripts, readme)
 - Dutch localisation updated to 3.5.2 (UI, readme)
 - Hungarian localisation updated to 3.5.2 (UI)
 - Italian localisation updated to 3.5.2 (UI, readme)

----------------------------------------------------------------------
 OmegaT 3.5.1 (2015-07-26)
----------------------------------------------------------------------
   8 Enhancements
   4 Bug fixes
   7 Localisation update
----------------------------------------------------------------------
3.5.1 vs 3.5 update 1

  Implemented requests:

  - Glossary adding term dialog - set focus on any GUI element
  https://sourceforge.net/p/omegat/feature-requests/1014/

  - Allow bundling of Hunspell spelling dictionaries in OmegaT.jar
  https://sourceforge.net/p/omegat/feature-requests/1101/

  - Allow per-project main window layouts
  https://sourceforge.net/p/omegat/feature-requests/1102/

  - Access Project Contents
  https://sourceforge.net/p/omegat/feature-requests/1110/

  Other changes:

  - Team projects: Git library updated to 3.7.1

  - Use full text search for glossary hits when language is not space-delimited

  - In the Option menu, Access Configuration Folder allows accessing
directly the configuration folder

  - The encoding of glossaries is now determined automatically. That means
you can now have a .tab or .csv glossary in UTF-16 LE and a .txt glossary in
Windows 1252. Of course, the encoding must be compatible with both the
languages contained, so Unicode is recommended.

  Bug fixes:

  - Shift + F3 doesn't cycle case for single characters
  https://sourceforge.net/p/omegat/bugs/750/

  - The Japanese tokenizer was not removing tags

  - When the auto-completer was changing the first letter of a phrase
from lower-case to upper-case, it was turning the phrase to title-case

  - The Mac package contained two folders with the same name except the
case. Depending on the zip application, it was difficult to unpack it
correctly.

  Localisation updates:

  - Belarusian localisation updated to 3.5 (UI)
  - Dutch localisation updated to 3.5 (UI)
  - Hungarian localisation updated to 3.5 (UI)
  - Italian localisation updated to 3.5 (UI)
  - Japanese localisation updated to 3.5 (UI)
  - Norwegian localisation created (UI, Instant Start, scripts, readme)
  - Portuguese localisation updated to 3.5 (UI)

----------------------------------------------------------------------
 OmegaT 3.5 update 1 (2015-06-11)
----------------------------------------------------------------------
   3 Enhancements
   2 Bug fixes
   3 Localisation updates
----------------------------------------------------------------------
3.5 update 1 vs 3.5

  Implemented requests:

  - Drag and drop within the segment
  https://sourceforge.net/p/omegat/feature-requests/401/

  - Auto-completion option: Show relevant suggestions automatically
  https://sourceforge.net/p/omegat/feature-requests/1097/

  - Glossary view auto-completion improvements
  https://sourceforge.net/p/omegat/feature-requests/1098/

  Bug fixes:

  - The writeable glossary was not working propertly if it was not
at the root of the glossary folder

  - It was not possible to have two glossaries with the same name
in different sub-folders

  Localisation updates:
  - Dutch localisation updated to 3.5 (UI, documentation, scripts, readme)
  - Interlingua localisation updated to 3.5 (UI, scripts, readme)
  - Italian localisation updated to 3.5 (UI, scripts)

----------------------------------------------------------------------
 OmegaT 3.5 (2015-06-05)
----------------------------------------------------------------------
  18 Enhancements
   4 Bug fixes
   5 Localisation updates
----------------------------------------------------------------------
3.5 vs 3.4

  Implemented requests:

  - Progress bar L10N improvement
  https://sourceforge.net/p/omegat/feature-requests/1055/

  - Glossary input from Search window
  https://sourceforge.net/p/omegat/feature-requests/747/

  - Highlighting search word in target segment
  https://sourceforge.net/p/omegat/feature-requests/890/

  - Drag and drop to open project
  https://sourceforge.net/p/omegat/feature-requests/113/

  - Drag and drop to add files to project
  https://sourceforge.net/p/omegat/feature-requests/1091/

  - Add confirmation for the button Reset all colours
  https://sourceforge.net/p/omegat/feature-requests/1085/

  - Option to remove "fuzziness" from glossary
  https://sourceforge.net/p/omegat/feature-requests/1033/

  - Better Mac OS X integration
  https://sourceforge.net/p/omegat/feature-requests/1092/

  - Remove automatically mnemonics for CJK bundles under Mac
  https://sourceforge.net/p/omegat/feature-requests/1049/

  Other changes:

  - There's an explanation message at the bottom of the Editor when
Ctrl+Shift+O is pressed

  - New script to clear SVN authentication data

  - New OmegaT icon on the Mac

  - Go to next/previous segment with key shortcuts work
in the Search result window just like in the Editor

  - Alternatively to specifiy a project folder on the command line,
it is now also possible to specify the path of an omegat.project file

  - In the QA - Check rules script (check_rules.groovy), it is now
possible to check linguistic (LangageTool) issues

  - There's now a "Save as" button in Help > Log

  - Read parameters from config file on startup, specified with
--config-file=path/to/file

  - There are two new search options at the bottom of the Search window.
"Auto-sync with Editor". If checked, the Editor will go automatically to the
segment where the cursor is located in the search window.
"Back to the initial segment on close". If checked, the Editor will go back
to the segment being current before the Search window was opened.

  Bug fixes:

  - Panel header title was white under Windows 7 with a classic theme

  - Script files could be locked
  https://sourceforge.net/p/omegat/bugs/749/

  - In statistics, scrollbars could cover table content

  - Auto-completer popup size was often too small for its contents

  Localisation updates:

  - Dutch localisation updated to 3.4 update 1 (UI, documentation, readme)
  - Russian localisation updated to 3.4 update 1 (UI, readme, scripts)
  - Belarusian localisation updated to 3.5 (UI, readme, scripts)
  - Japanese localisation updated to 3.5 (UI, documentation, scripts)
  - Italian localisation updated to 3.4 update 1 (UI)

----------------------------------------------------------------------
 OmegaT 3.4 (2015-04-20)
----------------------------------------------------------------------
  12 Enhancements
   4 Bug fixes
   3 Localisation updates
----------------------------------------------------------------------
3.4 vs 3.1.9 update 1

  Implemented requests:

  - Improve OmegaT look and feel
  https://sourceforge.net/p/omegat/feature-requests/1082/

  - Better statistics layout for l10n UI
  https://sourceforge.net/p/omegat/feature-requests/820/

  - Increase the size or better layout of the statistics window
  https://sourceforge.net/p/omegat/feature-requests/656/

  - Add Close button to Statistics window
  https://sourceforge.net/p/omegat/feature-requests/859/

  - Automatically detect input file encoding when possible
  https://sourceforge.net/p/omegat/feature-requests/1075/

  - Improve default output encoding settings
  https://sourceforge.net/p/omegat/feature-requests/1083/

  - Improve fuzzy match difference granularity in Chinese
  https://sourceforge.net/p/omegat/feature-requests/1077/

  - Add option to ignore custom tags in statistics
  https://sourceforge.net/p/omegat/feature-requests/937/

  Other changes:

  - New XML Spreadsheet 2003 filter. This allows translating Excel document
exported in XML 2003 format. As the extension is .xml, other filters may
"steal" the file. In that case, they have to be disabled. The XML
Spreadhsheet 2003 filter limits itself to documents where the first tag
is "Workbook".

  - In Options > File Filters, the filters used by the current project
are displayed in bold

  - New "Trafficlight" theme in the Switch Colour Theme script

  - The font selected in Options > Fonts can be applied now also to statistics

  Bug fixes:

  - Editor title overflows with long filename
  https://sourceforge.net/p/omegat/bugs/739/

  - Valid XML characters outside the BMP are stripped from input
  https://sourceforge.net/p/omegat/bugs/740/

  - Scripting window: now ScriptsDir is displayed like "foo\scripts" instead
of "foo\.\scripts"

  - OmegaT does not look nice on Mac retina display
  https://sourceforge.net/p/omegat/bugs/712/

  Localisation updates:

  - Dutch localisation updated to 3.4 (UI, documentation, scripts, readme)
  - Italian localisation updated to 3.4 (UI, documentation, scripts)
  - Japanese localisation updated to 3.4 (UI, readme)

----------------------------------------------------------------------
 OmegaT 3.1.9 update 4 (2015-09-12)
----------------------------------------------------------------------
   1 Enhancement
   2 Bug fixes
   0 Localisation update
----------------------------------------------------------------------
3.1.9 update 4 vs. 3.1.9 update 3

  Implemented requests:

  - Support HTML 5 encoding detection
  https://sourceforge.net/p/omegat/feature-requests/1122/

  Bug fixes:

  - Mac: With the included JRE, it was not possible to launch scripts
opening files or folders

  - Team project: URL used for checkout is not trimmed
  https://sourceforge.net/p/omegat/bugs/764/

----------------------------------------------------------------------
 OmegaT 3.1.9 update 3 (2015-07-10)
----------------------------------------------------------------------
   0 Enhancement
   1 Bug fix
   1 Localisation update
----------------------------------------------------------------------
3.1.9 update 3 vs. 3.1.9 update 2

  Bug fixes:

  - When a segment contained only protected text, and that the
translation contained text, an error occurred when trying to create
the translated document, resulting in the translated document being
empty

  Localisation updates:

  - New Norwegian localisation (UI, Instant start, scripts, readme)

----------------------------------------------------------------------
 OmegaT 3.1.9 update 2 (2015-06-03)
----------------------------------------------------------------------
   2 Enhancements
   3 Bug fixes
   2 Localisation updates
----------------------------------------------------------------------
3.1.9 update 2 vs. 3.1.9 update 1

  Other enhancements:

  - Updated LanguageTool to 2.2

  - *.strings (Mac OS X localisation format) was added to the Key=value
filter. That's only a partial solution, as " and ; characters remain
in the translatable text, and have to be preserved by the translator.

  Bug fixes:

  - In the default source document exclusion patterns, "CVS" folders were
entered as "CSV"

  - Too many duplicate segments in the popup menu
  https://sourceforge.net/p/omegat/bugs/744/

  - Exclusion masks not working correctly under Windows
  https://sourceforge.net/p/omegat/bugs/746/

  Localisation updates:

  - Brazilian Portuguese localisation updated to 3.0.7 (UI, documentation, readme)
  - Japanese localisation updated to 3.1.9 update 1 (UI)

----------------------------------------------------------------------
 OmegaT 3.1.9 update 1 (2015-04-15)
----------------------------------------------------------------------
   1 Enhancement
   3 Bug fixes
   0 Localisation update
----------------------------------------------------------------------
3.1.9 update 1 vs. 3.1.9

  Implemented requests:

  - Change auto-completion mode access keys
  https://sourceforge.net/p/omegat/feature-requests/1073/

  Bug fixes:

  - The OK and Cancel buttons of Options > Editing Behaviour were not
displayed correctly

  - Newly assigned scripts execute several times
  https://sourceforge.net/p/omegat/bugs/737/

  - The project-specific file filter configuration was deleted when
quitting OmegaT

----------------------------------------------------------------------
 OmegaT 3.1.9 (2015-03-09)
----------------------------------------------------------------------
  21 Enhancements
  13 Bug fixes
   6 Localisation updates
----------------------------------------------------------------------
3.1.9 vs. 3.1.8

  Implemented requests:

  - Machine translation with Yandex
  https://sourceforge.net/p/omegat/feature-requests/790/

  - Use selection for text Search from "Fuzzy Match" or "Glossary" panes
  https://sourceforge.net/p/omegat/feature-requests/877/

  - Allow to insert selection into translation from the Fuzzy Matches pane
  https://sourceforge.net/p/omegat/feature-requests/1057/

  - Warn user if the Enter key is hit while "Use TAB to Advance" is checked
  https://sourceforge.net/p/omegat/feature-requests/1061/

  - Support XLIFF equiv-text in tooltips, simplify tooltip prefs
  https://sourceforge.net/p/omegat/feature-requests/1064/

  - Show the number of non-unique segment instances in the segment markers
  https://sourceforge.net/p/omegat/feature-requests/1068/

  - Contextual menu to jump to another instance of non-unique segments
  https://sourceforge.net/p/omegat/feature-requests/1067/

  - Make it easy to "brand" OmegaT for custom deployments
  https://sourceforge.net/p/omegat/feature-requests/1069/

  - Make it easy to find specific files by name or path
  https://sourceforge.net/p/omegat/feature-requests/1070/

  - Improve resizing behavior of Project Files dialog
  https://sourceforge.net/p/omegat/feature-requests/1071/

  - Make segment numbers visible for all segments
  https://sourceforge.net/p/omegat/feature-requests/1038/

  Other enhancements:

  - ILIAS Language File filter. Those files can have the .lang or
.lang.local extensions. As .lang files are also loaded by the Lang
Mozilla filter, it has to be unabled to load them with the ILIAS filter.

  - Machine translation requests are now cached. That means that a
source segment already translated will not be requested again during
the same session (i.e., until OmegaT is closed).

  - The initial location and the layout when resized of various dialogs
were improved. The OK button was set as the default button for all dialogs.

  - The Custom Colours dialog was improved. It can be closed with Escape,
changes are remembered immediately and all colours can be reset at once.
There's also a new tab for colour selection.

  - The Project Files dialog can be hidden on project load via hidden preference
(project_files_show_on_load)

  - It is possible to define the text and background colour of modification
information and the active segment's source and target

  - Dialogs are now centered against the main window instead of the screen

  - The Visio filter was updated to remove unneeded tags in Visio 2010 documents

  - For versions including Java, the JRE is now 1.8.0_31 instead of 1.7

  - The appearance of the Project Files dialog has been improved on OS X.
The new styling has been applied to all platforms.

  Bug fixes:

  - There's now a 3-second retry when OmegaT attempts to rename files

  -  java.io.IOException: Error rename new file to glossary in team projects
  https://sourceforge.net/p/omegat/bugs/695/

  - In some specific cases, the content of Mozilla DTD files was not
loaded

  - License information was missing from the lib folder of binary
distributions

  - Wrong Swedish segmentation exception corrected

  - Newline characters are lost in Japanese target documents
  https://sourceforge.net/p/omegat/bugs/721/

  - Filtering after a search with no live segments freezes OmegaT
  https://sourceforge.net/p/omegat/bugs/692/

  - Ellipses missing in several menu items
  https://sourceforge.net/p/omegat/bugs/728/

  - Both menu items for alternative translation are enabled
  https://sourceforge.net/p/omegat/bugs/731/

  - Incorrect handling of typographic apostrophe (U+2019)
  https://sourceforge.net/p/omegat/bugs/598/

  - The project-specific filter configuration was not saved when creating a
new project

  - Mac OS X: A workaround was added for the full-screen window sizing
bug on OS X + Java 1.8. See https://bugs.openjdk.java.net/browse/JDK-8065739
for the bug description.

  - The font set in Options > Font was only used after the change when
Apply this font to the Project Files dialog was used

  Localisation updates:

  - Belarusian localisation updated to 3.1.9 (UI, tutorial, scripts, readme)
  - Basque localisation updated to 3.1.9 (UI, tutorial, scripts, readme)
  - Dutch localisation updated to 3.1.9 (UI, documentation, scripts, readme)
  - Italian localisation updated to 3.1.9 (UI, documentation, scripts, readme)
  - Japanese localisation updated to 3.1.9 (UI, documentation, readme)
  - Russian localisation updated to 3.1.9 (UI, tutorial, scripts, readme)

----------------------------------------------------------------------
 OmegaT 3.1.8 (2014-12-04)
----------------------------------------------------------------------
   6 Enhancements
  10 Bug fixes
   5 Localisation updates
----------------------------------------------------------------------
3.1.8 vs. 3.1.7

  Implemented requests:

  - Allow custom background/foreground colors for different elements in the editor
  https://sourceforge.net/p/omegat/feature-requests/1035/

  - Show dialog for unsupported SVN errors
  https://sourceforge.net/p/omegat/feature-requests/1041/

  - Allow configurable diff-style colours in fuzzy matching
  https://sourceforge.net/p/omegat/feature-requests/900/

  Other enhancements:

  - It is now possible to customise colours used in the Fuzzy Matches pane

  - All OmegaT windows (Search and Scripting windows) now use the OmegaT icon
instead of the standard Java ones

  - Revised user manual

  Bug fixes:

  - Project specific segmentation rules cannot be disabled
  https://sourceforge.net/p/omegat/bugs/694/

  - Colours were not working in the Fuzzy Matches pane

  - The text colour was not applied in the Editor

  - If there was a double click in the search result entries pane in the
Search window before the first searching execution, the cursor (i.e.,
mouse pointer) changed to the Wait icon and could not be restored

  - Strange glossary behavior - removing of newly added terms
  https://sourceforge.net/p/omegat/bugs/696/

  - OmegaT keeps temporary files project_save.tmx-based_on_revision_number.new
  https://sourceforge.net/p/omegat/bugs/683/

  - Git team project saving failure with 3.1.6
  https://sourceforge.net/p/omegat/bugs/714/

  - Fuzzy match segment not shown entirely when Ctrl+Arrow/Num is typed
  https://sourceforge.net/p/omegat/bugs/720/

  - PO comments also included as source text
  https://sourceforge.net/p/omegat/bugs/705/

  - In team projects, OmegaT was sometimes failing to rename files (perhaps
blocked by antivirus or cache software). There's now a 3-second retry.

  Localisation updates:

  - Dutch localisation updated to 3.1.7 (UI)
  - Interlingua localisation updated to 3.1.7 (UI, documentation)
  - Italian localisation updated to 3.1.7 (UI)
  - Japanese localisation updated to 3.1.8 (UI, documentation)
  - French localisation updated to 3.1.8 (UI, readme, documentation)

----------------------------------------------------------------------
 OmegaT 3.1.7 (2014-10-20)
----------------------------------------------------------------------
   9 Enhancements
   7 Bug fixes
   3 Localisation updates
----------------------------------------------------------------------
3.1.7 vs. 3.1.6

  Implemented requests:

  - Add the ability to commit updated segmentation.conf
  https://sourceforge.net/p/omegat/feature-requests/1004/

  - Accept UTF-16 text files for glossaries
  https://sourceforge.net/p/omegat/feature-requests/644/

  - Allow scripts to run in console mode
  https://sourceforge.net/p/omegat/feature-requests/994/

  - Colour themes (e.g., light/dark GUI modes)
  https://sourceforge.net/p/omegat/feature-requests/958/

  - Editable colours
  https://sourceforge.net/p/omegat/feature-requests/549/

  - Go to next unique segment
  https://sourceforge.net/p/omegat/feature-requests/198

  Other enhancements:

  - A new script (auto_open_last_project.groovy) allows opening automatically
the last open project

  - Suggest local directory for new team project based on repository URL

  - Word filter: an option allows to translate or not duplicate legacy
fallback text. It is off by default, which means the legacy fallback
text is not translated.

  - For team projects, a parameter (-Dteam.supersafe) allows to keep all backups
(up to 300). New log messages were also added.

  Bug fixes:

  - Line length limit doesn't work on one line text files
  https://sourceforge.net/p/omegat/bugs/707/

  - Scripts folder is not created in the source package
  https://sourceforge.net/p/omegat/bugs/709/

  - TransTip doesn't highlight acronyms
  https://sourceforge.net/p/omegat/bugs/708/

  - Console-mode align doesn't load the project correctly and crashes
  https://sourceforge.net/p/omegat/bugs/711/

  - Some Mozilla DTD files were not loaded correctly

  - When using Create Current Translated Document, the message should be in the singular
  https://sourceforge.net/p/omegat/bugs/713/

  - PO filter: it was not possible to enter an alternative translation for a
different plural when the source sentences of the plural were the same.
As the identifier for alternative translations of PO were changed, it is not
recommanded to change version during a project.

  Localisation updates:

  - Japanese localisation updated to 3.1.7 (UI, readme, documentation)
  - Italian localisation updated to 3.1.6 (UI, readme)
  - Dutch localisation updated to 3.1.6 (UI, readme, documentation)

----------------------------------------------------------------------
 OmegaT 3.1.6 (2014-09-10)
----------------------------------------------------------------------
   5 Enhancements
   8 Bug fixes
   3 Localisation update
----------------------------------------------------------------------
3.1.6 vs. 3.1.5

  Implemented requests:

  - Allow customising segment modification information
  https://sourceforge.net/p/omegat/feature-requests/1022/

  - Automatically open last visited segment
  https://sourceforge.net/p/omegat/feature-requests/35/

  - Memory for searched items
  https://sourceforge.net/p/omegat/feature-requests/176/

  Other enhancements:

  - Ctrl+Shift+M was added as a shortcut to "Go to selected match"
  https://sourceforge.net/p/omegat/feature-requests/1009/

  - Protected parts tooltip view changes. In Options > View, paired tags
can be removed from tooltip, text between paired tags can be bolded.

  Bug fixes:

  - Wrong font used in dictionary window
  https://sourceforge.net/p/omegat/bugs/706

  - Alt+Up/Down was set to Select Next Match and Select Previous Match on Mac OSX
  https://sourceforge.net/p/omegat/bugs/687/

  - The description of open_current_file.groovy was wrongly
"Open the current translated file". It was corrected to "Open the current source file"

  - The HTML filter had a different behaviour, where attributes were transformed into
tags and could not be translated.

  - Multi-line notes in XLIFF files were not extracted correctly

  - Issues with LaTeX filter with Java 8
  https://sourceforge.net/p/omegat/bugs/658/

  - Extra tags in LaTex file
  https://sourceforge.net/p/omegat/bugs/564/

  - Recent projects were not always updated

  Localisation updates:

  - Dutch localisation updated to 3.1.5 (UI, readme, documentation, scripts)
  - Italian localisation updated to 3.1.5 (UI, readme)
  - Japanese localisation updated to 3.1.6 (UI, readme, documentation)

----------------------------------------------------------------------
 OmegaT 3.1.5 (2014-08-13)
----------------------------------------------------------------------
   2 Enhancements
   4 Bug fixes
   0 Localisation update
----------------------------------------------------------------------
3.1.5 vs. 3.1.4

  Implemented requests:

  - Load alternative translations from external TMXs created by OmegaT
  https://sourceforge.net/p/omegat/feature-requests/783/

  - List recent projects
  https://sourceforge.net/p/omegat/feature-requests/161/

  Bug fixes:

  - Pane headline missing using the Windows classic theme
  https://sourceforge.net/p/omegat/bugs/697/

  - Error while trying to validate tags with a changed order
  https://sourceforge.net/p/omegat/bugs/698/

  - Error: org.omegat.filters2.TranslationException: String index out of range: -1
  https://sourceforge.net/p/omegat/bugs/699/

  - OmegaT could fail to create nested subfolders in the target folder

----------------------------------------------------------------------
 OmegaT 3.1.4 (2014-07-28)
----------------------------------------------------------------------
  12 Enhancements
   2 Bug fixes
   2 Localisation updates
----------------------------------------------------------------------
3.1.4 vs. 3.1.3

  Implemented requests:

  - Enable Check whole project by default in check_rules.groovy
  https://sourceforge.net/p/omegat/feature-requests/1012/

  - Don't save location of projects opened via command line
  https://sourceforge.net/p/omegat/feature-requests/1010/

  - Select the matching percentage on which to base the match ordering
  https://sourceforge.net/p/omegat/feature-requests/847/

  - Select folders and files to ignore in the source folder
  https://sourceforge.net/p/omegat/feature-requests/954/

  Other enhancements:

  - Improve combo box look and feel on OS X

  - SVNKit updated to 1.8.5. Team projects created previously will continue
to work normally with OmegaT. However, if you want to use SVN tools to manage a
project created with OmegaT 3.1.4 (e.g., commit new source files), you have
to use a compatible tool (e.g., Tortoise SVN 1.8.7). If you want to manage
with such a tool projects created previously, you have to perform an SVN Upgrade
Copy. Once this is done, the working copy can no longer be managed with a 1.7 SVN
tool or OmegaT 3.1.3.

  - When a team project gets online/offline, the last dialog box replaces
the previous one, instead of piling up as was done previously

  - In Options > External TMXs and in Project Properties, the variable
insertions buttons replace selection instead of ignoring it

  - In team projects, the repository type detection is now more robust

  - It's possible to specify a timestamp authority for Java Web Start
See: https://ant.apache.org/manual/Tasks/signjar.html

  - Internal support for multiple comment providers, so that plugins can write
to the comment pane

  - Search window: make Enter key start search from Author field

  Bug fixes:

  - Minor cursor issue in team projects
  https://sourceforge.net/p/omegat/bugs/672/

  - Editing behaviour "leave the segment empty" setting not working when filter is active
  https://sourceforge.net/p/omegat/bugs/686/

  Localisation updates:

  - Italian localisation updated to 3.1.3 (UI, readme, documentation)
  - Japanese localisation updated to 3.1.4 (UI, readme)

----------------------------------------------------------------------
 OmegaT 3.1.3 (2014-07-11)
----------------------------------------------------------------------
  12 Enhancements
   4 Bug fixes
   2 Localisation updates
----------------------------------------------------------------------
3.1.3 vs. 3.1.2

  Implemented requests:

  - Implement application_start event for scripts
  https://sourceforge.net/p/omegat/feature-requests/1000/

  - XLIFF filter - RESNAME as id for alternative translations
  https://sourceforge.net/p/omegat/feature-requests/996/

  - Make adding filename to alternative translations configurable
  https://sourceforge.net/p/omegat/feature-requests/961/

  - Create automatically project_save.tmx when creating a project
  https://sourceforge.net/p/omegat/feature-requests/1008/

  - Go to selected match
  https://sourceforge.net/p/omegat/feature-requests/1009/

  Other enhancements:

  - When enabling or disabling Options > Glossary > Display Context
Description for TBX Glossaries, only TBX glossaries are reloaded, instead
of all glossaries

  - Under Linux, the layout of omegat.kaptn was improved. the "Languages"
and "Appearance" tabs are now merged into a single "GUI Settings" tab.

  - The size of the About dialog is reduced automatically if it doesn't
fit on screen

  - VLDocking (the docking system) updated to 3.0.4

  - Specific user interface layout can be built into a Java Web Start package at
compilation time, by putting an uiLayout.xml file in /release/WebStart-specific

  - Text filter: when using the line length limit, OmegaT tries to avoid
putting a new line just after an opening bracket. Opening brackets are
defined as '([{<'.

  - A new option in the search window allows showing the source file name
for each search result

  Bug fixes:

  - Remove script action outputs wrong script name
  https://sourceforge.net/p/omegat/bugs/656/

  - Untranslated segments missing in target Java .properties and Mozilla DTDs
  https://sourceforge.net/p/omegat/bugs/690/

  - No more warning about mixed content in the Java Web Start package. Requires
ant-contrib. See details in /release/WebStart-specific/build.xml

  - Text filter: some of the last lines of the target document could be lost

  Localisation updates:

  - Italian localisation updated to 3.1.2 (UI, scripts, readme)
  - Interlingua localisation updated to 3.1.2 ((UI, scripts, readme, documentation)

----------------------------------------------------------------------
 OmegaT 3.1.2 (2014-06-26)
----------------------------------------------------------------------
  17 Enhancements
   2 Bug fixes
   3 Localisation updates
----------------------------------------------------------------------
3.1.2 vs. 3.1.1 update 1

  Implemented requests:

  - Include notes from orphan segments and external TMXs in search
  https://sourceforge.net/p/omegat/feature-requests/965/

  - Make several identical results in Search Results window appear as one result
  https://sourceforge.net/p/omegat/feature-requests/936/

  - Dual mode progress bar
  http://sourceforge.net/p/omegat/feature-requests/959

  - Extend check_rules.groovy with ability to sort by error type
  https://sourceforge.net/p/omegat/feature-requests/992/

  - Show segments with spelling errors in check_rules.groovy
  https://sourceforge.net/p/omegat/feature-requests/999/

  - Script: Strip tags only in selection
  https://sourceforge.net/p/omegat/feature-requests/998/

  -  Make SVN_cleanup script localizable
  https://sourceforge.net/p/omegat/feature-requests/997/

  - Connector to TaaS online service
  https://sourceforge.net/p/omegat/feature-requests/1007/

  Other enhancements:

  - When --no-team is used, Project > Dowload team project is disabled

  - Make "auto" colors more distinctive

  - Auto-completer choices can be confirmed by a double click

  - For team projects, the type of repository (Git or SVN) is now detected
automatically. When authentication is required, credentials have to be
provided first to detect the type of repository. The type of repository can
be forced by prefixing the URL with "git!" or "svn!".
E.g., svn!https://omegat.xxxx.xx/omegat-fr

  - Scripts with a separate .properties file for user messages are now
included in localisation bundles

  - Specific preferences can be built into a Java Web Start package at
compilation time, by putting an omegat.prefs file in /release/WebStart-specific

  - .properties files for script localisation can now be put into a
/properties folder inside the /scripts folder. For compatibility, .properties from
the root of the /script folder are loaded if they exist.

  - In the Search window, the labels Number of results and Display all results
were misleading, because what is counted is the number of segments containing the
results, not the number of search results. To clarify, the labels were renamed to
Number of matching segments and Display all matching segments.

  - Under Linux, the layout of omegat.kaptn was improved, with a separate tab
for online services, and the option --no-team was added

  Bug fixes:

  - Word: anything placed before the leading tag is omitted in translated document
  https://sourceforge.net/p/omegat/bugs/634/

  - The color used in the View menu to identify "auto" colors was
COLOR_MARK_COMES_FROM_TM_XICE instead of COLOR_MARK_COMES_FROM_TM_XAUTO
used by most users

  Localisation updates:

  - Italian localisation updated to 3.1.0 (UI, Documentation)
  - Japanese localisation updated to 3.1.1 update 2 (UI, Documentation, Scripts)
  - Russian localisation updated to 3.1.2 (UI, Scripts, Readme)

----------------------------------------------------------------------
 OmegaT 3.1.1 update 1 (2014-05-21)
----------------------------------------------------------------------
   1 Enhancement
   4 Bug fixes
   0 Localisation update
----------------------------------------------------------------------
3.1.1 update 1 vs. 3.1.1

  Implemented requests:

  - Strip special strings before passing text to spellchecker script
  https://sourceforge.net/p/omegat/feature-requests/991/

  Bug fixes:

  - OmegaT HTML filter confuses <head> and <header>
  https://sourceforge.net/p/omegat/bugs/680/

  - Open xxx (e.g., Open glossary) scripts under Windows were not compatible
with Samba shares

  - In the text filter, the line length limit was not respected if
the source document was using LF instead of CR+LF for end of lines

  - In the XLIFF filter, protected tags (<mrk mtype="protected") were
not converted back to real tags in the target document

----------------------------------------------------------------------
 OmegaT 3.1.1 (2014-05-13)
----------------------------------------------------------------------
  13 Enhancements
   5 Bug fixes
   4 Localisation updates
----------------------------------------------------------------------
3.1.1 vs. 3.1.0

  Implemented requests:

  - Add Illustrator xml export format support to the SVG filter
  https://sourceforge.net/p/omegat/feature-requests/987/

  - Allow using <trans-unit> ID as identifier of alternative translations in XLIFF filter
  https://sourceforge.net/p/omegat/feature-requests/989/

  - Mozilla .lang files filter
  https://sourceforge.net/p/omegat/feature-requests/962/

  - PO filter: allow translating blank source segments
  https://sourceforge.net/p/omegat/feature-requests/960/

  - Allow Moving up/down/first/last multiple files in Project Files list
  https://sourceforge.net/p/omegat/feature-requests/964/

  - In search, make space match non-breaking space
  https://sourceforge.net/p/omegat/feature-requests/969/

  - Enable sorting by column in the Spellchecker window (script)
  https://sourceforge.net/p/omegat/feature-requests/972/

  - Extend check_rules.groovy with ability to find untranslated and source=target segments
  https://sourceforge.net/p/omegat/feature-requests/993/

  Other enhancements:

  - In replace mode, "Cancel" was replaced by "Finish", because
"Cancel" could lead to believe that changes already done would be
undone

  - By giving an email in -Dmymemory.api.email for MyMemory machine
translation, it is possible to use 1000 requests per day instead
of 100 ones

  - The Linux version is now available also with a 64-bit JRE

  - Bundle (.properties) filter now displays comments (# or !)
preceding a segment in the Comments pane

- The spell checking script can ignore mnemonic characters and escape sequences

  Bug fixes:

  - When using a search or replace filter, the last change made before
removing the filter or pressing Cancel could be lost

  - Alternative translation overwrites the default one in team project
  https://sourceforge.net/p/omegat/bugs/678/

  - "Properties..." menu is disabled in team projects
  https://sourceforge.net/p/omegat/bugs/673/

  - OmegaT shows incorrect match statistics for bilingual documents when source=target
  https://sourceforge.net/p/omegat/bugs/662/

  - Unable to save note for untranslated segment
  https://sourceforge.net/p/omegat/bugs/677/

  Localisation updates:

  - Dutch localisation updated to 3.1.0 (UI, Documentation, Readme)
  - Galician localisation updated to 3.1.0 (UI, Documentation, Readme)
  - Italian localisation updated to 3.1.0 (UI, Documentation)
  - Japanese localisation updated to 3.1.1 (UI, Readme)

----------------------------------------------------------------------
 OmegaT 3.1.0 (2014-04-14)
----------------------------------------------------------------------
  35 Enhancements
   7 Bug fixes
   2 Localisation updates
----------------------------------------------------------------------
3.1.0 vs. 3.0.8 update 5

  Implemented requests:

  - Add facility for conflict resolution during team sync
  https://sourceforge.net/p/omegat/feature-requests/950/

  - Find and Replace (poss. with regex)
  https://sourceforge.net/p/omegat/feature-requests/66/

  - Search in comments
  https://sourceforge.net/p/omegat/feature-requests/943/

  - Show XLIFF multiple trans-unit notes
  https://sourceforge.net/p/omegat/feature-requests/949/

  - Allow custom sorting order of project files
  https://sourceforge.net/p/omegat/feature-requests/788/

  - Improve exception processing in console mode
  https://sourceforge.net/p/omegat/bugs/607/

  - Extend project statistics with the number of files in which they occur
  https://sourceforge.net/p/omegat/feature-requests/910/

  - Mark auto-populated segments
  https://sourceforge.net/p/omegat/feature-requests/963/

  - Priority TM to override project_save.tmx
  https://sourceforge.net/p/omegat/feature-requests/957/

  - Localisation support for scripts
  https://sourceforge.net/p/omegat/feature-requests/975/

  - Event for scripts
  https://sourceforge.net/p/omegat/feature-requests/976/

  - Set the glossary folder as default folder for the writable glossary file
  https://sourceforge.net/p/omegat/feature-requests/982/

  - Allow changing charset for .properties
  https://sourceforge.net/p/omegat/feature-requests/807/

  - Ignore <image>, <style> and <path> content in SVG files
  https://sourceforge.net/p/omegat/feature-requests/983/

  - Limit line length of target text files
  https://sourceforge.net/p/omegat/feature-requests/985/

  - Shortcut key to register source equals target for a specific segment
  https://sourceforge.net/p/omegat/feature-requests/906/

  Other enhancements:

  - If there is a selection When inserting a tag pair, the tags are
put on each side of the selection

  - Synchronisation does not occur anymore when creating translated
documents in team projects

  - The default character set for the PO filter is now UTF-8, as it
is the most common encoding for those files

  - The About dialog can now be resized

  - In the Mozilla DTD filter, an option allows to not
include untranslated strings in the target files

  - In the bundle properties filter, an option allows to not
include untranslated strings in the target files

  - A new script (svn_commit_source_files.groovy) allows
uploading new or modified source files of a team project
without having to use an SVN client

  - The scripting interface uses now the Java 6 native implementation
of JSR-223 script interface instead of the Bean Scripting Framework.
The list of available script engines should properly reflect the
engines installed on OmegaT classpath. Since Java6 includes by
default a javascript engine, we don't need Rhino anymore.
The value returned by the executed script is displayed in the script
console.

  - Upgraded Groovy version from 1.8.9 to 2.2.2

  - The size and position of the scripting windows are saved in the preferences.

  - The script directory is monitored every seconds to see if a script has
 been added or deleted. This way, it is not necessary to use "F5" to refresh the
 script list.

  - The script window list only displays supported script files.

  - Addition of two new scripts to deal with extra tags.
replace_with_match_no_tags.groovy will replace the target segment with a match
without the tags.
replace_strip_tags.groovy will remove any tag form the target segment.
Other related scripts are available from
http://libretraduko.wordpress.com/2013/06/26/stripping-tags-everywhere-groovy-way/

  - When reading a level-2 project_save.tmx, standalone tags (e.g., <f0>) will have
a trailing '/' or not depending on the option in Options > External TMXs. Previously, a
trailing / was never added. This will improve compatibility when translating XML content and
when project_save was not produced by OmegaT.

  - XLIFF filter option: Ignore type and ctype attributes when building <bpt> and
<ept> tag shortcuts. This is similar to the option already available for <ph> tags:
https://sourceforge.net/p/omegat/feature-requests/938/

  - The script svn_cleanup.groovy was renamed to svn_cleanup_selected.groovy. When
no project is loaded, it allows doing "svn cleanup" on any SVN repository.

  - Standard scripts now have a user friendly name and description, which is displayed
instead of displaying the file name

  - New QA rule in check_rules.groovy that checks the case of the first character
in source and target

  - Modifying project properties is disabled for team projects

  Bug fixes:

  - Monolingual .po: msgstr in exported files are empty
  https://sourceforge.net/p/omegat/bugs/654/

  - Error on saving team project without glossary file
  https://sourceforge.net/p/omegat/bugs/657/

  - Problem using Filter in search window when no matches are returned
  https://sourceforge.net/p/omegat/bugs/653/

  - XLIFF filter: untranslatable text (translate="no") appeared in the Editor

  - When inserting a missing tag pair, any selected text was deleted

  - On Mac, the quit and About menu behaviour was fixed

  - Scripting window layout leaves "RUN" button out
  https://sourceforge.net/p/omegat/bugs/646/

  Localisation updates:

  - Japanese localisation updated to 3.1.0 (UI, Documentation, Readme)
  - Italian localisation updated to 3.1.0 (UI, Documentation)

----------------------------------------------------------------------
 OmegaT 3.0.8 update 5 (2014-03-24)
----------------------------------------------------------------------
   0 Enhancement
   1 Bug fix
   0 Localisation update
----------------------------------------------------------------------
3.0.8 update 5 vs. 3.0.8 update 4

  Bug fixes:

  - Includes team project bug fix from 2.6.3 update 9

----------------------------------------------------------------------
 OmegaT 3.0.8 update 4 (2014-02-25)
----------------------------------------------------------------------
   1 Enhancement
   0 Bug fix
   1 Localisation update
----------------------------------------------------------------------
3.0.8 update 4 vs. 3.0.8 update 3

  Other enhancements:

  - Mac: a pre-defined line in OmegaT.sh makes it easier to use
system Java 1.6 on OS X

  Localisation updates:

  - Italian localisation updated to 3.0.8 update 2 (UI)

----------------------------------------------------------------------
 OmegaT 3.0.8 update 3 (2014-01-27)
----------------------------------------------------------------------
   2 Enhancements
   1 Bug fix
   0 Localisation update
----------------------------------------------------------------------
3.0.8 update 3 vs. 3.0.8 update 2

  Implemented requests:

  - Insert Next Missing Tag Pair
  https://sourceforge.net/p/omegat/feature-requests/947/

  Other enhancements:

  - New Project can now be called with the Ctrl+Shift+N shortcut

  Bug fixes:

  - Under the Mac with Java 1.7, OmegaT could freeze when using
New Project or Open Project

----------------------------------------------------------------------
 OmegaT 3.0.8 update 2 (2014-01-23)
----------------------------------------------------------------------
   7 Enhancements
   4 Bug fixes
   2 Localisation updates
----------------------------------------------------------------------
3.0.8 update 2 vs. 3.0.8 update 1

  Implemented requests:

  - XLIFF filter: Ignore type and ctype attributes when building <ph> tag shortcuts
  https://sourceforge.net/p/omegat/feature-requests/938/

  - Added dummy Google Translate API key in the Mac package
  https://sourceforge.net/p/omegat/feature-requests/940/

  - Chinese (ZH.*) segmentation rules added
  http://sourceforge.net/p/omegat/feature-requests/945/

  Other enhancements:

  - New Korean tokenizer. As it is still "beta", it it not yet the default
tokenizer for Korean, and has to be selected manually in the list.

  - Scripts are now interpreted as being written in UTF-8. This will remove
ambiguity and ease exchanging files across different platforms.

  - Scripts now use a monospaced font

  - The Mac version now contains the JRE (1.7). Runtime parameters
(e.g., user language, Google API key, etc.) can be edited in
OmegaT.app/Contents/MacOS/OmegaT.sh.

  Bug fixes:

  - OutOfMemoryError in DirectoryMonitor if monitored path contains recursive symlinks
  https://sourceforge.net/p/omegat/bugs/652/

  - In the Search window, the shortcut Alt+f was allocated both to Files
and Filter, and no shortcut was allocated to Translated. The new shortcuts
are Alt+l for Files, Alt+f for Filter and Alt+t for Translated

  - After creating a project, both Copy Files to Source Folder and
Download MediaWiki Page were greyed out

  - Swedish segmentation rules were not properly displayed in the Segmentation Rules dialog

  Localisation updates:

  - Simplified Chinese localisation updated to 3.0.8 (UI, Documentation)
  - Japanese localisation updated to 3.0.8 update 2 (UI, Documentation, Readme)

----------------------------------------------------------------------
 OmegaT 3.0.8 update 1 (2013-12-26)
----------------------------------------------------------------------
   0 Enhancement
   1 Bug fix
   11 Localisation updates
----------------------------------------------------------------------
3.0.8 update 1 vs. 3.0.8

  Bug fixes:

  - Enabling Remove Tags results in almost empty translated Word files
  https://sourceforge.net/p/omegat/bugs/635/

  Localisation updates:

  - Italian localisation updated to 3.0.8 (UI, Documentation)
  - Hungarian localisation updated to 3.0.8 (Instant Start)
  - Czech localisation updated to 3.0.2 (UI, Documentation)
  - German localisation updated to 3.0 (UI)
  - Russian localisation updated to 3.0.3 (UI, Documentation)
  - Greek localisation updated to 3.0 (Documentation)
  - Belarus localisation updated to 3.0 (UI, Instant Start, Readme)
  - Korean localisation added at 3.0.7 (UI, Instant Start, Readme)
  - Dutch localisation updated to 3.0.8 (UI, Documentation)
  - Simplified Chinese localisation updated to 3.0.8 (UI)
  - Japanese localisation updated to 3.0.8 (UI, Documentation)

----------------------------------------------------------------------
 OmegaT 3.0.8 (2013-12-17)
----------------------------------------------------------------------
  10 Enhancements
   4 Bug fixes
   1 Localisation update
----------------------------------------------------------------------
3.0.8 vs. 3.0.7

  Implemented requests:

  - Show XLIFF trans-unit note as a comment
  https://sourceforge.net/p/omegat/feature-requests/803/

  - Feedback on console for number of glossary entries fetched
  https://sourceforge.net/p/omegat/feature-requests/750/

  Other enhancements:

  - New debugging information about team projects available in the logs
(if org.omegat.level=FINEST is set in logger.properties)

  - A graphical version of the script check_same_segments.groovy was
added: show_same_segments.groovy

  - The ${diff} display is now "optimized" by concatenating consecutive
inserts or deletes separated only by whitespace. This makes the diff more
readable.

  - In addition to ${diff}, there is also now ${diffReversed} in the
Fuzzy Matches pane display options

  For the two points above, see
  - Missing part from matches not highlighted
  https://sourceforge.net/p/omegat/bugs/264/
and
  - Show where text has been added in match window
  https://sourceforge.net/p/omegat/feature-requests/183/

  - New option in the XLIFF filter: force shortcut to "f" for
<it pos="end"> tags

  - A new QA rule was added to check_rules.groovy. It will be triggered
if the target segment ends with a different punctuation sign (.!?;:) from
the one used in the source segment

  - In the XLIFF filter, segments containing only protected text
(e.g., <m0>Protected text only</m0>) now appear in the Editor

  - The background colour used (red) when a match is inserted from an "mt"
folder was hard to read. It was changed to "salmon red".

  Bug fixes:

  - Missing orion jar in lib folder
  https://sourceforge.net/p/omegat/bugs/639/

  - Not going to right note in projects containing several files
  https://sourceforge.net/p/omegat/bugs/644/

  - Hyperlinks in PowerPoint cannot be translated
  https://sourceforge.net/p/omegat/bugs/600/

  - Error: java.lang.IndexOutOfBoundsException on tag validation with custom tags
  https://sourceforge.net/p/omegat/bugs/638/

  Localisation updates:

  - Italian localisation updated to 3.0.7 (UI, documentation)

----------------------------------------------------------------------
 OmegaT 3.0.7 (2013-11-21)
----------------------------------------------------------------------
   7 Enhancements
   2 Bug fixes
   1 Localisation update
----------------------------------------------------------------------
3.0.7 vs. 3.0.6

  Implemented requests:

  - Keep relative addressing in *.project when possible
  https://sourceforge.net/p/omegat/feature-requests/734/

  - Validate tags: constrain to file
  https://sourceforge.net/p/omegat/feature-requests/669/

  - List number of files in project
  https://sourceforge.net/p/omegat/feature-requests/912/

  Other enhancements:

  - The auto-text file type is displayed in the file selector.

  - In the Editor, the tooltip is now the same as the title

  - There's a new report in Tools: Match Statistics per Files
It gives the same information as the match statistics for every file,
plus the total at the end, with the repetitions being split in two
lines:
"Repetitions within this file" lists repetitions for which the first
occurence is in this file.
"Repetitions from other files" list repetitions for which the first
occurence is in a previous file in the list.

  - When Ctrl+F (Cmd+F) is used in the search window, the focus goes
back to the search field

  Bug fixes:

  - After creating a new project, the message "Loading TMX files..."
remained displayed at the bottom of the window

  - In external TMXs, beginning <it> tags had a trailing '/' if
if the option "Use XML for standalone tags" was set. This was wrong
as beginning <it> tags are not standalone tags, but opening tags.

  Localisation updates:

  - Japanese localisation updated to 3.0.7 (UI, documentation)

----------------------------------------------------------------------
 OmegaT 3.0.6 (2013-11-05)
----------------------------------------------------------------------
   9 Enhancements
   3 Bug fixes
   2 Localisation updates
----------------------------------------------------------------------
3.0.6 vs. 3.0.5

  Implemented requests:

  - Add Hunspell-based tokenizer
  https://sourceforge.net/p/omegat/feature-requests/901/

  - Reduce automatically size of Project Properties and File Filter dialogs when they don't fit on screen
  https://sourceforge.net/p/omegat/feature-requests/899/

  - Add "Totals" row to match statistics
  https://sourceforge.net/p/omegat/feature-requests/592/

  - Creating Current Translated Document
  https://sourceforge.net/p/omegat/feature-requests/880/

  - Standardize on type of numbering in list for fuzzy matches
  https://sourceforge.net/p/omegat/feature-requests/897/

  Other enhancements:

  - More information is logged when plugins are loaded

  - Protected text (from the XLIFF filter currently) remains protected even
when Remove Tags is used

  - The speed of parsing source documents was improved

  - Better detection of untranslated entries for Android filter

  Bug fixes:

  - Ignore content of header in OmegaT's XLIFF filter
  https://sourceforge.net/p/omegat/bugs/625/

  - OmT saves XML with LF even if source file is CRLF
  https://sourceforge.net/p/omegat/bugs/326/

  - Filelist not sorted during creating translated files
  https://sourceforge.net/p/omegat/bugs/619/

  Localisation updates:

  - Italian localisation updated to 3.0.5 (UI, Documentation)
  - Japanese localisation updated to 3.0.6 (UI, Documentation)

----------------------------------------------------------------------
 OmegaT 3.0.5 (2013-10-03)
----------------------------------------------------------------------
  10 Enhancements
   4 Bug fixes
   1 Localisation update
----------------------------------------------------------------------
3.0.5 vs. 3.0.4 update 2

  Implemented requests:

  - "Insert symbol" auto-completion view
  https://sourceforge.net/p/omegat/feature-requests/862/

  - Add auto-text view to auto-completer
  https://sourceforge.net/p/omegat/feature-requests/861/

  - Optional source term in auto-completer
  https://sourceforge.net/p/omegat/feature-requests/887/

  - Priority Glossary
  https://sourceforge.net/p/omegat/feature-requests/853/

  - Fill TMX on segmentation from sentence to paragraph
  https://sourceforge.net/p/omegat/feature-requests/825/

  - Do not scroll the glossary pane to the bottom
  https://sourceforge.net/p/omegat/feature-requests/729/

  Other enhancements:

  - The MyMemory machine translator has been separated into two
different options: MyMemory (machine) and MyMemory (human)

  - XLIFF filter: the <trans-unit> resname attribute is shown in the
comment pane

  - The QA script (check_rules.groovy) now checks for double blanks,
which can contain either normal spaces or non-breaking spaces

  - If there is no preference file (omegat.prefs) in the configuration
folder,  i.e., OmegaT has never been launched and quit, and there is one
in the installation folder, OmegaT will read preferences from that file.
That allow distributing a version with customised pre-defined options.

  Bug fixes:

  - bad_extension.grvy is not so bad
  https://sourceforge.net/p/omegat/bugs/596/

  - The search window search field did not always had focus on window
opening on a Mac

  - In some cases, a null pointer exception could happen when quitting
OmegaT

  - The match statistics were based purely on the leftmost percentage,
without taking into account which matches are really selected to go
into the fuzzy match pane. This could lead to situation where the
statistics and what is seen in the fuzzy match pane was significantly
different. The statistics are now using an algorithm giving consistent
result with the match pane. The percentage kept is, however, still the
rightmost one. As the computation method is different, all statistics
will give different results compared with the previous version.

  Localisation updates:

  - Interlingua localisation updated to 3.0.4 (UI, Documentation, Readme)

----------------------------------------------------------------------
 OmegaT 3.0.4 update 2 (2013-08-06)
----------------------------------------------------------------------
   0 Enhancement
   1 Bug fix
   1 Localisation update
----------------------------------------------------------------------
3.0.4 update 2 vs. 3.0.4 update 1

  Bug fixes:

  - java.lang.IndexOutOfBoundsException during strict tag validation
  http://sourceforge.net/p/omegat/bugs/608/

  Localisation updates:

  - Italian localisation updated to 3.0.4 (UI)

----------------------------------------------------------------------
 OmegaT 3.0.4 update 1 (2013-07-25)
----------------------------------------------------------------------
   3 Enhancements
   4 Bug fixes
   0 Localisation update
----------------------------------------------------------------------
3.0.4 update 1 vs. 3.0.4

  Implemented requests:

  - Translate HTML5 attribute 'placeholder'
  https://sourceforge.net/p/omegat/feature-requests/881/

 Other enhancements:

  - Plugin loading is now logged, to help troubleshoot issues

  - The autocompleter popup has a new page, to insert grouped
missing tags

  Bug fixes:

  - Virtual config folder path listed instead of real one under Windows Vista/7
  https://sourceforge.net/p/omegat/bugs/601/

  - Typo in linux-install.sh that hinders proper execution
  https://sourceforge.net/p/omegat/bugs/605/

  - PO filter: real empty source segments were not working

  - Project name resolving for execution with
"java -jar /omegat/OmegaT.jar ./" was fixed

----------------------------------------------------------------------
 OmegaT 3.0.4 (2013-06-26)
----------------------------------------------------------------------
  10 Enhancements
   6 Bug fixes
   1 Localisation update
----------------------------------------------------------------------
3.0.4 vs. 3.0.3

  Implemented requests:

  - Add support for monolingual .po files
  https://sourceforge.net/p/omegat/feature-requests/865/

  - Allow 12 scripts in the Tools menu
  https://sourceforge.net/p/omegat/feature-requests/843/

  - Add support for for creationid and creationdate in TMX
  https://sourceforge.net/p/omegat/feature-requests/744/

  - Exactly equal suggestions from diferents tmx show only as one
  https://sourceforge.net/p/omegat/feature-requests/874/

  - Print non-string data types with console.print() and println()
  https://sourceforge.net/p/omegat/feature-requests/875/

  - Sorted list of scripts
  https://sourceforge.net/p/omegat/feature-requests/878/

  - Default shortcut for "Insert next Missing Tag"
  https://sourceforge.net/p/omegat/feature-requests/856/

 Other enhancements:

  - Linux: Zenity is not needed anymore in omegat.kaptn to display
OmegaT's version, and several typos were corrected

  - The "check-rules" script now has a GUI

  - There is a new global spell checking script

  Bug fixes:

  - Scripts folder is not created in Windows packages
  https://sourceforge.net/p/omegat/bugs/595/

  - Stop word discarded from glossary when using tokenizer
  https://sourceforge.net/p/omegat/bugs/484/

  - Language checker does not work in Japanese
  https://sourceforge.net/p/omegat/bugs/593/

  - The log contained an exception related to the LanguageTool module.
This exception was related to a multithreading issue, which has been
fixed.

  - There was a whitespace handling error in the external command parser

  - There was an exception when LanguageTool was enabled with no project
loaded

  Localisation updates:

  - French localisation updated to 3.0.2 (Documentation)

----------------------------------------------------------------------
 OmegaT 3.0.3 (2013-06-06)
----------------------------------------------------------------------
   4 Enhancements
   4 Bug fixes
   8 Localisation updates
----------------------------------------------------------------------
3.0.3 vs. 3.0.2 update 1

  Implemented requests:

  - Change script keyboard shortcuts to Ctrl+Shift+Fn
  https://sourceforge.net/p/omegat/feature-requests/839/

  - Make groovy scripts that ship with Scripting Plugin cross-platform
  https://sourceforge.net/p/omegat/feature-requests/864/

  Other enhancements:

  - The Scripting plugin was integrated in OmegaT. When using
this version, remove the scripting plugin from the plugin folder.

  - Linux: linux-install.sh and omegat.kaptn were improved, notably
with the inclusion of Microsoft Translate

  Bug fixes:

  - LanguageTool wasn't working in some languages

  - When one source term was corresponding to several ones
(e.g., source term = target term1, target term2) in the glossary pane,
only the first target term was shown in the TransTip popup menu

  - The autocompleter was sometimes capitalising the first letter of
terms when it shouldn't

  - When Remove leading and trailing tag was not checked in File Filter
Options, some trailing conditional paragraph end tags could remain at
the end of the segment. It mainly affected segmented XLIFF generated by
Rainbow.

  Localisation updates:

  - Catalan localisation updated to 3.0.1 (UI, Instant Start, Readme)
  - Czech localisation updated to 3.0 (UI, Instant Start, Readme)
  - Dutch localisation updated to 3.0.2 (UI, Documentation, Readme)
  - Greek localisation updated to 3.0 (UI, Partial documentation, Instant Start)
  - Japanese localisation updated to 3.0.2 (UI)
  - Slovenian localisation updated to 3.0 (UI)
  - Ukrainian localisation updated to 3.0 (UI, Instant Start, Readme)
  - Welsh localisation updated to 3.0 (UI)

----------------------------------------------------------------------
 OmegaT 3.0.2 update 1 (2013-05-21)
----------------------------------------------------------------------
   1 Enhancement
   1 Bug fix
   0 Localisation update
----------------------------------------------------------------------
3.0.2 update 1 vs. 3.0.2

  Other enhancements:

  - LanguageTool and tokenizer plugin annexes updated in the documentation

  Bug fixes:

  - Creating a new project failed in 3.0.2

----------------------------------------------------------------------
 OmegaT 3.0.2 (2013-05-20)
----------------------------------------------------------------------
   2 Enhancements
   0 Bug fix
   0 Localisation update
----------------------------------------------------------------------
3.0.2 vs. 3.0.1

  Implemented requests:

  - View log from within OmegaT
  https://sourceforge.net/p/omegat/feature-requests/243/

  - Allow user to adjust tokenizer behavior
  https://sourceforge.net/p/omegat/feature-requests/866/

----------------------------------------------------------------------
 OmegaT 3.0.1 (2013-05-13)
----------------------------------------------------------------------
   5 Enhancements
   6 Bug fixes
   8 Localisation updates
----------------------------------------------------------------------
3.0.1 vs. 3.0.0

  Implemented requests:

  - Add facility to auto-complete input
  https://sourceforge.net/p/omegat/feature-requests/854/

  - PDF input filter
  https://sourceforge.net/p/omegat/feature-requests/539/

  - Keyboard access to contextual menu items
  https://sourceforge.net/p/omegat/feature-requests/537/

  Other enhancements:

  - LanguageTool was updated to 2.1, and now has specific rules for
29 languages: http://www.languagetool.org/languages/

  - Versionning support was added for plugins. How to use it is
documented in docs_devel/OmegaT developer's guide.odt

  Bug fixes:

  - Tag validation window does not keep enough space for Japanese errors
  https://sourceforge.net/p/omegat/bugs/583/

  - Remove leading and trailing tags option not working
  https://sourceforge.net/p/omegat/bugs/582/

  - New tag handling changes XML formatting for empty tags
  https://sourceforge.net/p/omegat/bugs/581/

  - Team projects: during save, OmegaT could not update omegat.project
and some time was lost (e.g., 13 seconds) while it tries to delete it

  - Under Linux, when trying to open a project with a second instance
of OmegaT, the second instance would freeze

  - In some cases, MyMemory wasn't returning any results

  Localisation updates:

  - Belarusian localization updated to 3.0.0 (UI, Readme)
  - Galician localisation updated to 3.0.0 (UI, Readme, Documentation)
  - German localisation updated to 3.0.0 (UI, Readme, Instant Start)
  - Greek localisation updated to 3.0.0 (UI, Instant Start)
  - Hungarian localisation updated to 3.0.0 (UI)
  - Japanese localisation updated to 3.0.1 (UI, Readme, Documentation)
  - Simplified Chinese localisation updated to 3.0.0 (UI)
  - Welsh localisation updated to 3.0.0 (UI, Readme, Instant Start)

----------------------------------------------------------------------
 OmegaT 3.0.0 (2013-04-25)
----------------------------------------------------------------------
  27 Enhancements
   5 Bug fixes
   7 Localisation updates
----------------------------------------------------------------------
3.0.0 vs. 2.6.3

  Implemented requests:

  - Have glossary search in Find dialog
  https://sourceforge.net/p/omegat/feature-requests/705/

  - Grey out more options with Search Files
  https://sourceforge.net/p/omegat/feature-requests/700/

  - Put "Search files" option at top of Search window
  https://sourceforge.net/p/omegat/feature-requests/510/

  - Adding content (e.g., glossaries) search options
  https://sourceforge.net/p/omegat/feature-requests/232/

  - Go to Next **Translated** Segment
  https://sourceforge.net/p/omegat/feature-requests/680/

  - Do not remove leading and trailing spaces
  https://sourceforge.net/p/omegat/feature-requests/831/

  - Preserve spaces for all tags
  https://sourceforge.net/p/omegat/feature-requests/832/

  - Moving between tags with a single keystroke
  https://sourceforge.net/p/omegat/feature-requests/810/

  - Show the content of tags in tooltips
  https://sourceforge.net/p/omegat/feature-requests/804/

  - Validate tags when creating target files
  https://sourceforge.net/p/omegat/feature-requests/141/

  - Validate tags after each segment
  https://sourceforge.net/p/omegat/feature-requests/833/

  - Tag protection
  https://sourceforge.net/p/omegat/feature-requests/834/

  - Protected text in XLIFF
  https://sourceforge.net/p/omegat/feature-requests/835/

  - Move active match selection up/down
  https://sourceforge.net/p/omegat/feature-requests/838/

  - Gnome Shell integration
  https://sourceforge.net/p/omegat/feature-requests/840/

  - Do not remove leading and trailing tags
  https://sourceforge.net/p/omegat/feature-requests/806/

  - Not adding extra space on Insert Missing Source Tags
  https://sourceforge.net/p/omegat/feature-requests/697/

  - Better OmegaT icon resolution
  https://sourceforge.net/p/omegat/feature-requests/822/

  - Integrate tokenizers in OmegaT
  https://sourceforge.net/p/omegat/feature-requests/844/

  - Enable LanguageTool Plugin in Java Webstart version
  https://sourceforge.net/p/omegat/feature-requests/851/

  Other enhancements:

  - Insert Source Tags become Insert Missing Source Tags. It only adds
the tags missing in the segment.

  - Edit > Insert Next Missing Tag inserts the next tag missing in the
target segment

  - In the right-click menu of the current segment, missing tags
appear in the contextual menu, and can be inserted individually

  - When a match is inserted from a TMX contained in a folder named
"mt", the background of the active segment is changed to red. The
background is restored to normal when the segment is left.

  - OmegaT has now a machine translation connector for MyMemory.
To use it, check Options > Machine Translation > MyMemory

  - Import Source Files was renamed to Copy Files to Source Folder
and Import From MediaWiki was renamed to Download MediaWiki Page
to clarify the fact that no import process occurs, and that files
are just copied

  - Last changes can be displayed in the Help menu
(Help > Last Changes)

  Bug fixes:

  - XLIFF Filter: <ept> not recognized in relation with <bpt>
  https://sourceforge.net/p/omegat/bugs/390/

  - Problem with Undo after entering Japanese with IME
  https://sourceforge.net/p/omegat/bugs/546/

  - Infinite loop of exceptions when using Undo function
  https://sourceforge.net/p/omegat/bugs/540/

  - When the custom shortcut file was containing non-existent shortcuts,
OmegaT failed to load the valid ones

  - OmegaT team projects were not working behind some firewalls

  Localisation updates:

  - Basque localisation updated to 3.0.0 (UI, readme, Instant Start)
  - Brazilian Portuguese localisation updated to 3.0.0 (UI, Instant Start)
  - Dutch localisation updated to 3.0.0 (UI, readme, Instant Start)
  - Italian localisation updated to 3.0.0 (UI, readme, Instant Start)
  - Japanese localisation updated to 3.0.0 (UI)
  - Russian localisation updated to 3.0.0 (UI, readme, Instant Start)
  - Turkish localisation updated to 3.0.0 (UI)

----------------------------------------------------------------------
 OmegaT 2.6.3 update 11 (2014-08-06)
----------------------------------------------------------------------
   3 Enhancements
   2 Bug fixes
   1 Localisation update
----------------------------------------------------------------------
2.6.3 update 11 vs. 2.6.3 update 10


  Other enhancements:

  -  Specific preferences can be built into a Java Web Start package at
compilation time, by putting an omegat.prefs file in /release/WebStart-specific
(backported from 3.1)

  - Specific user interface layout can be built into a Java Web Start package at
compilation time, by putting an uiLayout.xml file in /release/WebStart-specific
(backported from 3.1)

  - Documentation can now be created as PDF for CJK languages

  Bug fixes:

  - No more warning about mixed content in the Java Web Start package. Requires
ant-contrib. See details in /release/WebStart-specific/build.xml
(backported from 3.1)

  - Excel files: when using the option to translate sheet names, some not-
translatable text could appear (the content of <definedNames> tags)

  Localisation updates:

  - Japanese localisation updated to 2.6.3 update 10 (UI, readme)

----------------------------------------------------------------------
 OmegaT 2.6.3 update 10 (2014-06-18)
----------------------------------------------------------------------
   0 Enhancement
   2 Bug fixes
   1 Localisation update
----------------------------------------------------------------------
2.6.3 update 10 vs. 2.6.3 update 9

  Bug fixes:

  - Swedish segmentation rules were using a wrong language code

  - In team projects, a "server authentication" could happen, which
prevented from properly entering credentials

  Localisation updates:

  - Japanese localisation updated to 2.6.3 update 7 (Documentation)

----------------------------------------------------------------------
 OmegaT 2.6.3 update 9 (2014-03-24)
----------------------------------------------------------------------
   0 Enhancement
   1 Bug fix
   1 Localisation update
----------------------------------------------------------------------
2.6.3 update 9 vs. 2.6.3 update 8

  Bug fixes:

  - There was still an issue with team projects, where newer translations
could sometimes be overwritten by older ones. It should now be fixed.

  Localisation updates:

  - Interlingua localisation updated to 2.6.3 update 7 (UI, readme, Documentation)

----------------------------------------------------------------------
 OmegaT 2.6.3 update 8 (2014-02-25)
----------------------------------------------------------------------
   0 Enhancement
   2 Bug fixes
   0 Localisation update
----------------------------------------------------------------------
2.6.3 update 8 vs. 2.6.3 update 7

  Bug fixes:

  - The fix for "mixed content" introduced in 2.6.3 update 7 made
sometimes OmegaT unusable since a change introduced in Java 1.7_51. We have
removed it, so users get again a warning about mixed content.

  - "Rebase" (i.e., synchronisation) for team projects had an
issue with time stamping. As a result, newer translations could
sometimes be overwritten by older ones.

----------------------------------------------------------------------
 OmegaT 2.6.3 update 7 (2014-01-15)
----------------------------------------------------------------------
   1 Enhancement
   3 Bug fixes
   0 Localisation update
----------------------------------------------------------------------
2.6.3 update 7 vs. 2.6.3 update 6

  Implemented requests:

  - Add release date to the changes.txt file
  https://sourceforge.net/p/omegat/feature-requests/944/

  Bug fixes:

  - Word plugin causes weird inline code in OmegaT
  https://sourceforge.net/p/omegat/bugs/645/

  - NullPointerException when loading project with HHC files
  https://sourceforge.net/p/omegat/bugs/651/

  - When using Java Webstart, Java was warning about "mixed content"
in the application, and asking whether the application should be
blocked or not. This was fixed, and no question is asked anymore.

----------------------------------------------------------------------
 OmegaT 2.6.3 update 6 (2013-11-21)
----------------------------------------------------------------------
   0 Enhancement
   1 Bug fix
   0 Localisation update
----------------------------------------------------------------------
2.6.3 update 6 vs. 2.6.3 update 5

  Bug fixes:

  - Workaround for slowness in the Editor with Java 1.7_045

----------------------------------------------------------------------
 OmegaT 2.6.3 update 5 (2013-11-01)
----------------------------------------------------------------------
   1 Enhancement
   5 Bug fixes
   0 Localisation update
----------------------------------------------------------------------
2.6.3 update 5 vs. 2.6.3 update 4

  Implemented requests:

  - Update JRE to 1.7
  https://sourceforge.net/p/omegat/feature-requests/793/

  Bug fixes:

  - Ignore content of sdl:seg-defs tags in OmegaT's XLIFF filter
  https://sourceforge.net/p/omegat/bugs/624/

  - Filtering the Editor results in losing unsaved changes in the current segment
  https://sourceforge.net/p/omegat/bugs/627/

  - tm/auto folder is created in wrong location
  https://sourceforge.net/p/omegat/bugs/553/

  - If project location properties changed to blank, OmegaT freezes after reloading project
  https://sourceforge.net/p/omegat/bugs/632/

  - When opening the Search window with a search expression, the leading and
trailing spaces were not removed

----------------------------------------------------------------------
 OmegaT 2.6.3 update 4 (2013-10-04)
----------------------------------------------------------------------
   0 Enhancement
   3 Bug fixes
   0 Localisation update
----------------------------------------------------------------------
2.6.3 update 4 vs. 2.6.3 update 3

  Bug fixes:

  - Visible tags (wp14:pctWidth" and "wp14:pctHeight") in the Editor
could prevent opening Word target documents if the content was changed

  - <releaseinfo> not declared as a paragraph tag in the DocBook filter
  https://sourceforge.net/p/omegat/feature-requests/883/

  - When launching OmegaT from the command line in align mode
(--mode=console-align), an error message occured:
Exception in thread "main" java.util.MissingResourceException: Can't find
resource for bundle java.util.PropertyResourceBundle, key INITIALIZING

----------------------------------------------------------------------
 OmegaT 2.6.3 update 3 (2013-07-17)
----------------------------------------------------------------------
   0 Enhancement
   4 Bug fixes
   1 Localisation update
----------------------------------------------------------------------
2.6.3 update 3 vs. 2.6.3 update 2

  Bug fixes:

  - Team projects: duplicate entries could still happen in the writable
glossary

  - Restore default window when saved layout cannot be restored
  https://sourceforge.net/p/omegat/bugs/602/

  - Glossary synchronisation in team projects was not working properly
under Git

  - HTML filter: submit and button input values were translated even
 when not configured to do so

  Localisation updates:

  - French localisation updated to 2.6.3 (Documentation)

----------------------------------------------------------------------
 OmegaT 2.6.3 update 2 (2013-05-29)
----------------------------------------------------------------------
   1 Enhancement
   0 Bug fix
   10 Localisation updates
----------------------------------------------------------------------
2.6.3 update 2 vs. 2.6.3 update 1

  Other enhancements:

  - Add \bn\.\s as an exception to Finnish rules

  Localisation updates:

  - Belarusian localisation updated to 2.6.3 (backported from 3.0) (UI, Readme)
  - Catalan localisation updated to 2.6.3 (UI, Readme, Instant Start)
  - Czech localisation updated to 2.6.3 (UI, Readme, Documentation)
  - Galician localisation backported from 3.0.0 (Documentation)
  - German localisation updated to 2.6.3 (backported from 3.0) (UI, Readme, Instant Start)
  - Greek localisation updated to 2.6.3 (backported from 3.0) (UI, Instant Start)
  - Hungarian localisation updated to 2.6.3 (backported from 3.0) (UI)
  - Japanese localisation updated to 2.6.3-2 (Documentation)
  - Turkish localisation updated to 2.6.3 (backported from 3.0) (UI)
  - Simplified Chinese localisation updated to 2.6.3 (backported from 3.0) (UI)
  - Welsh localisation updated to 2.6.3 (backported from 3.0) (UI, Readme, Instant Start)

----------------------------------------------------------------------
 OmegaT 2.6.3 update 1 (2013-04-25)
----------------------------------------------------------------------
   3 Enhancements
   2 Bug fixes
   7 Localisation updates
----------------------------------------------------------------------
2.6.3 update 1 vs. 2.6.3

  Other enhancements:

  - All documentation images were converted to 256 colours, giving
a significant size decrease without a noticeable change in image
clarity

  - Linux: improved Kaptain launcher, with updated tokenizers

  - Java (for Windows and Linux with JRE) updated to 1.6.0_43-b01

  Bug fixes:

  - When an XML document (e.g., DocBook), contained both internal and
external entities, the target files could be empty

  - Word selection with a double-click could sometimes be off

  Localisation updates:

  - Dutch localization updated to 2.6.3 (UI, Documentation, Readme)
  - Interlingua localisation updated to 2.6.3 (UI, Readme, Instant Start)
  - Italian localisation updated to 2.6.3 (UI, Readme, Documentation)
  - Japanese localisation updated to 2.6.3 (UI, Documentation)
  - Russian localisation updated to 2.6.3 (UI, , Readme, Documentation)
  - Basque localisation updated to 2.6.3 (backported from 3.0) (UI, Readme, Instant Start)
  - Brasilian Portuguese localisation updated to 2.6.3 (backported from 3.0) (UI, Instant Start)

----------------------------------------------------------------------
 OmegaT 2.6.3 (2013-03-08)
----------------------------------------------------------------------
   3 Enhancements
   1 Bug fix
   0 Localisation update
----------------------------------------------------------------------
2.6.3 vs. 2.6.2

  Implemented requests:

  - Import from exported script files
  https://sourceforge.net/p/omegat/feature-requests/596/

  Other enhancements:

  - More flexible parsing for external commands arguments

  - Updated documentation

  Bug fixes:

  - Git team projects: an issue was fixed with line ending on non-Windows
machines

----------------------------------------------------------------------
 OmegaT 2.6.2 (2013-02-06)
----------------------------------------------------------------------
  10 Enhancements
   4 Bug fixes
   4 Localisation updates
----------------------------------------------------------------------
2.6.2 vs. 2.6.1 update 2

  Implemented requests:

  - External post-processing command
  https://sourceforge.net/p/omegat/feature-requests/817/

  - Tag partial verification
  https://sourceforge.net/p/omegat/feature-requests/210/

  - In OpenXML filtter, add xml:space="preserve" to w:t elts
  https://sourceforge.net/p/omegat/feature-requests/798/

  - Showing cursor in Search window and other panes
  https://sourceforge.net/p/omegat/feature-requests/811/

  Other enhancements:

  - Git team git server fingerprint will be stored in plain text file if
credentials are also stored. Acceptance of fingerprint will be remembered.

  - Markers for whitespace (space, tab, newline) and Bidi-characters in the
View menu

  - Tag colouring for RTL languages/orientation

  - The right-click popup menu has been reorganised

  - When translating a Word (.docx) document and the target language
is RTL, a number of changes are done to the target document:
- Paragraphs, sections and tables are set to bidi
- Runs (text elements) are set to RTL

  - In the Search window, it is now possible to search for segments
where the author is unknown

  Bug fixes:

  - PO filter: there was an error when loading PO files with a target
language with 1 plural form

  - Team projects: changes in the writable glossary were not calculated
correctly, which resulted in duplicate entries

  - Team projects: when the writeable glossary was not inside the
working copy, it was not possible to synchronise the project. Now, if
the writeable glossary is outside the working copy, no attempt is done
to synchronise it.

  - In the Fuzzy Matches pane, depending on the order of the options,
the display could be corrupted when ${diff} was used

  Localisation updates:

  - Slovenian localisation updated to 2.6.1 update 2 (UI)
  - Dutch localization updated to 2.6.1 update 2 (UI, documentation, readme)
  - Russian localization updated to 2.6.1 update 2 (UI, documentation, readme)
  - Italian localisation updated to 2.6.1 update 2 (UI)

----------------------------------------------------------------------
 OmegaT 2.6.1 update 2 (2012-12-06)
----------------------------------------------------------------------
  11 Enhancements
   7 Bug fixes
   7 Localisation updates
----------------------------------------------------------------------
2.6.1 update 2 vs. 2.6.1 update 1

  Implemented requests:

  - Show where text has been added in match window
  https://sourceforge.net/p/omegat/feature-requests/183/

  - Save authentication information for team projects
  https://sourceforge.net/p/omegat/feature-requests/805/

  Other enhancements:

  - Git authorized access

  - Support for gzipped (.tmx.gz) external TMXs

  - Alignment (for filters that support it) now segments into sentences if
segmentation is enabled in the project

  - Git submodule support added

  - Right-click on Glossary pane pops-up menu to add glossary item.

  - The writable glossary file can now be used in team project. Updates are shared.

  - PO-filter takes number of plurals from header if it is defined in the header.
If not defined, the default for the language is used just like before.

  - New "--no-team" command line option, to be able to use a team project without
OmegaT attempting to synchronise it

  - Microsoft Translator added. Requires -Dmicrosoft.api.client_id=xxxxxx and
-Dmicrosoft.api.client_secret=xxxx to be set. Identifiers can be obtained from
the Windows Azure Marketplace.

  Bug fixes:

  - Missing part from matches not highlighted
  https://sourceforge.net/p/omegat/bugs/264/

  - It was not possible to use team projects offline. Now, when the
connection is off, a message mentions the project is in offline mode.
The connection continues to be tested on each save. When the connection
comes back, a message informs the user that the project is back in online
mode.

  - Git end of lines were not handled correctly under Windows

  - If writable glossary file does not exist, it is created when an entry is added.

  - Small memory consumption optimizations on team projects during save.

  - Create/download project dialog accepts empty folder besides new folder as project location,
and doesn't show files any more.

  - Multiple save commands could interfere, causing you to lose all translations in team project.

  Localisation updates:

  - Japanese localisation updated to 2.6.1 update 2 (UI)
  - Italian localisation updated to 2.6.1 (UI)
  - Czech localization updated to 2.6.0 update 2 (UI, documentation, readme)
  - Russian localization updated to 2.6.1 (UI, documentation, readme)
  - Dutch localization updated to 2.6.0 (UI, documentation, readme)
  - Spanish localization updated to 2.6.0 (UI, documentation, readme)
  - Indonesian localization updated to 2.6.0 (UI)

----------------------------------------------------------------------
 OmegaT 2.6.1 update 1 (2012-10-01)
----------------------------------------------------------------------
   0 Enhancement
   1 Bug fix
   0 Localisation update
----------------------------------------------------------------------
2.6.1 update 1 vs. 2.6.1

  Bug fixes:

  - The Okapi plugin was not working: an exception was produced when trying
to load a file

----------------------------------------------------------------------
 OmegaT 2.6.1 (2012-09-26)
----------------------------------------------------------------------
   8 Enhancements
   1 Bug fix
   0 Localisation update
----------------------------------------------------------------------
2.6.1 vs. 2.6.0 update 4

  Implemented requests:

  - Allow to load TMX as 'alternative source'
  https://sourceforge.net/p/omegat/feature-requests/799/

  - Display encoding and filter used in list of project files
  https://sourceforge.net/p/omegat/feature-requests/736/

  - Ignore 'Fragments that should be removed' on fuzzy matches
  https://sourceforge.net/p/omegat/feature-requests/800/

  - Option to not translate headers in PO filter
  https://sourceforge.net/p/omegat/feature-requests/801/

  - PO filter Plural Forms
  https://sourceforge.net/p/omegat/feature-requests/603/

  Other enhancements:

  - The Project Properties dialog can now be resized

  - Remove tags is now a project property feature, instead of being a
global option

  - HTML filter: new options to compress whitespace and remove comments

  Bug fixes:

  - The PO filter option "Allow blank translations in the target files"
was not showing the saved setting

----------------------------------------------------------------------
 OmegaT 2.6.0 update 4 (2012-08-28)
----------------------------------------------------------------------
2.6.0 update 4 vs. 2.6.0 update 3

  Includes bug fix from 2.5.5 update 2

----------------------------------------------------------------------
 OmegaT 2.6.0 update 3 (2012-08-03)
----------------------------------------------------------------------
2.6.0 update 3 vs. 2.6.0 update 2

  Includes bug fixes from 2.5.5 update 1

----------------------------------------------------------------------
 OmegaT 2.6.0 update 2 (2012-07-14)
----------------------------------------------------------------------
   0 Enhancement
   1 Bug fix
   2 Localisation updates
----------------------------------------------------------------------
2.6.0 update 2 vs. 2.6.0 update 1

  Bug fixes:

  - Automatic loading of translations from the /tm/auto folder had
stopped working except under Windows

  Localisation updates:

  - Japanese localization updated to 2.6.0 update 1 (UI)
  - Italian localization updated to 2.6.0 update 1 (UI)

----------------------------------------------------------------------
 OmegaT 2.6.0 update 1 (2012-07-10)
----------------------------------------------------------------------
   2 Enhancements
   0 Bug fix
   0 Localisation update
----------------------------------------------------------------------
2.6.0 update 1 vs. 2.6.0

  Other enhancements:

  - SVN for team projects is now compatible with Subversion 1.7

  - If a user has only read-only permission for a repository for team
projects, it is possible to check the read-only check box in the
authentication dialog. Once this box is checked, OmegaT will not attempt
to write in the repository anymore

----------------------------------------------------------------------
 OmegaT 2.6.0 (2012-06-25)
----------------------------------------------------------------------
   3 Enhancements
   0 Bug fix
   0 Localisation update
----------------------------------------------------------------------
2.6.0 vs. 2.5.3

  Implemented requests:

  - Online team projects
  https://sourceforge.net/p/omegat/feature-requests/279/

  - Apply penalties to external TMXs
  https://sourceforge.net/p/omegat/feature-requests/786/

  - Configurable display in match pane
  https://sourceforge.net/p/omegat/feature-requests/598/

----------------------------------------------------------------------
----------------------------------------------------------------------
 OmegaT 2.5.5 update 5 (2013-03-04)
----------------------------------------------------------------------
   1 Enhancement
   1 Bug fix
   0 Localisation update
----------------------------------------------------------------------
2.5.5 update 5 vs. 2.5.5 update 4

  Other enhancements:

  - .dotx has been added as a default extension in the Open XML filter

  Bug fixes:

  - Launcher issue on linux with space in folder name
  https://sourceforge.net/p/omegat/bugs/562/

----------------------------------------------------------------------
 OmegaT 2.5.5 update 4 (2012-12-06)
----------------------------------------------------------------------
   4 Enhancements
   0 Bug fix
   4 Localisation updates
----------------------------------------------------------------------
2.5.5 update 4 vs. 2.5.5 update 3

  Other enhancements:

  - Swedish segmentation rules
  - French segmentation rules
  - Finnish segmentation rules
  - Japanese segmentation rules modifications

  Localisation updates:

  - Dutch localization updated to 2.5.5 (UI, documentation, readme)
  - Russian localization updated to 2.5.5 (UI, documentation, readme)
  - Czech localization updated to 2.5 (documentation, backported from 2.6)
  - Indonesian Instant start added

----------------------------------------------------------------------
 OmegaT 2.5.5 update 3 (2012-09-26)
----------------------------------------------------------------------
   2 Enhancements
   1 Bug fix
   1 Localisation update
----------------------------------------------------------------------
2.5.5 update 3 vs. 2.5.5 update 2

   Other enhancements:

  - New file filter for Visio (*.vxd) files

  - Linux Kaptain: the launch dialog closes automatically on launching

  Bug fixes:

  - <revision> tags were shown to the translator in the TXML (Wordfast)
filter

  Localisation updates:

  - German localization updated to 2.5.5 (UI)

----------------------------------------------------------------------
 OmegaT 2.5.5 update 2 (2012-08-28)
----------------------------------------------------------------------
   0 Enhancement
   1 Bug fix
   0 Localisation update
----------------------------------------------------------------------
2.5.5 update 2 vs. 2.5.5 update 1

  Bug fixes:

  - File filters options changes have no effect
  https://sourceforge.net/p/omegat/bugs/542/

----------------------------------------------------------------------
 OmegaT 2.5.5 update 1 (2012-08-03)
----------------------------------------------------------------------
   0 Enhancement
   2 Bug fixes
   1 Localisation update
----------------------------------------------------------------------
2.5.5 update 1 vs. 2.5.5

  Bug fixes:

  - Project specific filter settings not saved
  https://sourceforge.net/p/omegat/bugs/541/

  - PowerPoint documents (.pptx and .pptm) could not be opened with Java 1.7

  Localisation updates:

  - Japanese localization updated to 2.5.5 (UI)

----------------------------------------------------------------------
 OmegaT 2.5.5 (2012-06-25)
----------------------------------------------------------------------
   3 Enhancements
   5 Bug fixes
   2 Localisation updates
----------------------------------------------------------------------
2.5.5 vs. 2.5.4 update 1

  Implemented requests:

  - Option to not load translations=source from source documents
  https://sourceforge.net/p/omegat/feature-requests/779/

  - Revised manual

  Other enhancements:

  - Fastest computation of Match Statistics.
In addition, the first two lines are displayed as soon as they are computed

  Bug fixes:

  - Windows installer: the user language was always set in OmegaT.l4J.ini,
regardless of the choice of the user

  - Windows installer with Java: some languages not supported by OmegaT were
listed

  - Recognize single quotes in ENTITY of DTD file filter
  https://sourceforge.net/p/omegat/feature-requests/770/
(It was already implemented in 2.3 update 8, but had not been ported
to 2.5.)

  - Java Webstart was not working with Java 1.7

  - When one of the languages is an RTL language, or where setting the Editor
in RTL mode with Shift+Ctrl+O, spaces could be wrongly located. As a workaround,
tags are not displayed in grey when translating an RTL language is involved or when
the Editor is in RTL mode.

  Localisation updates:

  - Russian localisation updated to 2.5.4 update 1 (UI, Instant Start)
  - Japanese localization updated to 2.5.5 (UI)
----------------------------------------------------------------------
 OmegaT 2.5.4 update 1 (2012-05-22)
----------------------------------------------------------------------
   3 Enhancements
   4 Bug fixes
   4 Localisation updates
----------------------------------------------------------------------
2.5.4 update 1 vs. 2.5.4

  Implemented requests:

  - Help&Manual: hide content of tags per translate=true/false
  https://sourceforge.net/p/omegat/feature-requests/784/

  - Camtasia added tags
  https://sourceforge.net/p/omegat/feature-requests/785/

  Other enhancements:

  - Windows installer: there's a new option to specify whether the
language chosen during installation should be used for OmegaT. If
Yes, OmegaT.l4J.ini is modified to use that language.

  Bug fixes:

  - Exception if new non-default /tm contains TMs to segment
  https://sourceforge.net/p/omegat/bugs/514/

  - NullPointerException during resegmentation
  https://sourceforge.net/p/omegat/bugs/531/

  - When editing project-specific file filters, the checkbox was
labelled jCheckBox1 instead of "Enable project specific filters"

  - When changing project-specific segmentation rules to default and back,
the results were not immediately visible

  Localisation updates:

  - Italian localisation updated to 2.5.4 (UI, readme)
  - Dutch localisation updated to 2.5.4 (UI, readme, documentation)
  - Russian localisation updated to 2.5.4 (UI, readme, Instant Start)
  - Basque localisation updated to 2.5.2 (UI, readme, Instant Start)

----------------------------------------------------------------------
 OmegaT 2.5.4 (2012-05-09)
----------------------------------------------------------------------
   6 Enhancements
   0 Bug fix
   1 Localisation update
----------------------------------------------------------------------
2.5.4 vs. 2.5.3

  Implemented requests:

  - Automatic conversion of numbers when inserting fuzzy matches
  https://sourceforge.net/p/omegat/feature-requests/132/

  Other enhancements:

  - The automatic save interval can now be set in Options > Save.
It is defined in minutes and seconds. If a value lower than 10 seconds
is set, it is reset to 10 seconds.

  - Linux: Enhanced Kaptain script

  - Load translations from sources as default translations
  https://sourceforge.net/p/omegat/feature-requests/775/

  - The File Filters dialog can now be resized, as well as its
sub-dialogs

  - Capture variables in source filename to target mapping
has been extended with new variables for a given number of extensions
See https://sourceforge.net/p/omegat/feature-requests/733/


  Localisation updates:

  - Italian localisation updated to 2.5.3 (UI)

----------------------------------------------------------------------
 OmegaT 2.5.3 (2012-04-20)
----------------------------------------------------------------------
   3 Enhancements
   3 Bug fixes
   1 Localisation update
----------------------------------------------------------------------
2.5.3 vs. 2.5.2 update 2

  Implemented requests:

  - (X)HTML filters: hide content of tags based on attributes
  https://sourceforge.net/p/omegat/feature-requests/768/

  - Capture variables in source filename to target mapping
  https://sourceforge.net/p/omegat/feature-requests/733/

  Other enhancements:

  - The Linux packages (OmegaT_xxx_Linux.tar.bz2 and OmegaT_xxx_Without_JRE.zip)
have been improved. They now contain an installation script: linux-install.sh
and a Kaptain script: omegat.kaptn. The OmegaT script in OmegaT_xxx_Without_JRE.zip
have been improved with the usage of REALOMEGATPATH, as was already the case in
OmegaT_xxx_Linux.tar.bz2.

  Bug fixes:

  - After loading or reloading the project, the focus was on the Matches
pane rather than on the Editor

  - Empty translations were not working for XML filters (e.g., Word,
OpenOffice.org/LibreOffice, etc.). I.e., the source text was inserted
in the target document.

  - "Comment:" was displayed for all HTML segments, even when the
segment was not an attribute, and therefore had no comments to
display

  Localisation updates:

  - Italian localisation updated to 2.5.2 update 2 (UI)

----------------------------------------------------------------------
 OmegaT 2.5.2 update 2 (2012-03-30)
----------------------------------------------------------------------
   1 Enhancement
   5 Bug fixes
   1 Localisation update
----------------------------------------------------------------------
2.5.2 update 2 vs. 2.5.2

  Other enhancements:

  - The writeable glossary file can now have a .utf8 extension instead
of a .txt one, .txt being still the default

  Bug fixes:

  - When using Remove Tags, some non-OmegaT tags (e.g., %s, depending on
the kind of tags checked in Options > Tag Validation) and some
non-useful spaces could be copied at the end of the segment in the target
document

  - In some rare circumstances, the display of matches in the Fuzzy Matches
pane could be very slow

  - When the Fuzzy Matches pane was closed, the explanation text was
displayed in bold instead of the initial non-bold attribute

  - In TMXs, the end of line was hardcoded as LF, instead of using the
system line separator (e.g., CR+LF under Windows, LF under Linux)

  - In the Android filter, the "do not translate" mark has been corrected

  Localisation updates:

  - Dutch localisation updated to 2.5.2 (UI)

----------------------------------------------------------------------
 OmegaT 2.5.2 update 1 (2012-03-19)
----------------------------------------------------------------------
   0 Enhancement
   1 Bug fix
   0 Localisation update
----------------------------------------------------------------------
2.5.2 update 1 vs. 2.5.2

  Bug fixes:

  - When the glossary folder wasn't in the default location, the
default writeable glossary file wasn't computed correctly. In addition,
the name of the glossary file was lost on saving when a manual correction
was done in project properties.

----------------------------------------------------------------------
 OmegaT 2.5.2 (2012-03-18)
----------------------------------------------------------------------
   8 Enhancements
   2 Bug fixes
   5 Localisation updates
----------------------------------------------------------------------
2.5.2 vs. 2.5.1 update 1

  Implemented requests:

  - Show non-breakable space
  https://sourceforge.net/p/omegat/feature-requests/760/

  - Use search term as window title in Search window
  https://sourceforge.net/p/omegat/feature-requests/507/

  - Clarification of the Options > Spell Checking... dialog
  https://sourceforge.net/p/omegat/feature-requests/751/

  - Selectable location for the writeable glossary file
  https://sourceforge.net/p/omegat/feature-requests/767/

  - Second plugin location in <home>/plugins
  https://sourceforge.net/p/omegat/feature-requests/724/

  Other enhancements:

  - Add explanatory messages to windows as hints when no project is open

  - Segments containing a note can be marked with View >
Mark Segments with Notes. This marking has priority over Mark Translated
and Mark Untranslated.

  - Display of the corresponding colours in the View menu for "Mark"
menu entries

  Bug fixes:

  - In the PO filter, "path" was always displayed in the Comment pane,
even if it was empty

  - When using Insert Source Tags, a space was added before the first one

  Localisation updates:

  - Simplified Chinese localisation updated to 2.5.0 (UI, readme, documentation)
  - Italian localisation updated to 2.5.1 (UI)
  - Dutch localisation updated to 2.5.1 (UI)
  - Japanese localisation updated to 2.5.1 (UI)
  - Slovenian localisation updated to 2.5.2 (UI)

----------------------------------------------------------------------
 OmegaT 2.5.1 update 1 (2012-02-18)
----------------------------------------------------------------------
   2 Enhancements
   2 Bug fixes
   0 Localisation update
----------------------------------------------------------------------
2.5.1 update 1 vs. 2.5.1

  Implemented requests:

  - Console: more context on error message "Failed to load..."
  https://sourceforge.net/p/omegat/feature-requests/745/

  - Navigate to next/previous segment with a note
  https://sourceforge.net/p/omegat/feature-requests/758/

  Bug fixes:

  - Remove Tags can create a corrupted target document
  https://sourceforge.net/p/omegat/bugs/532/

  - After "save" the cursor goes to the head of the segment
  https://sourceforge.net/p/omegat/bugs/284/

----------------------------------------------------------------------
 OmegaT 2.5.1 (2012-02-02)
----------------------------------------------------------------------
  10 Enhancements
   1 Bug fix
   2 Localisation updates
----------------------------------------------------------------------
2.5.1 vs. 2.5.0 update 5

  Implemented requests:

  - Validate tags in console mode
  https://sourceforge.net/p/omegat/feature-requests/723/

  - Add patterns for text that should be removed and validate
  https://sourceforge.net/p/omegat/feature-requests/753/

  - User-defined tags
  https://sourceforge.net/p/omegat/feature-requests/261/

  - Validate Java MessageFormat pattern tags ({0} etc.)
  https://sourceforge.net/p/omegat/feature-requests/752/

  - Render tags in different color in editor
  https://sourceforge.net/p/omegat/feature-requests/471/

  - Add "date" & "time" to translated file name pattern
  https://sourceforge.net/p/omegat/feature-requests/692/

  - targetLocale for use with DotNetNuke ResX
  https://sourceforge.net/p/omegat/feature-requests/690/

  - Remove all tags
  https://sourceforge.net/p/omegat/feature-requests/755/

  - Create /tm/auto folder in new project
  https://sourceforge.net/p/omegat/feature-requests/696/

  Other enhancements:

  - Insert Source Tags inserts all relevant tags (custom, java, printf),
not only OmegaT-tags

  Bug fixes:

  - Camtasia filter: <Line> is incorrectly added as src segment
  https://sourceforge.net/p/omegat/bugs/530/

  Localisation updates:

  - Dutch localisation updated to 2.5.0 update 5 (UI, readme, documentation)
  - Italian localisation updated to 2.5.0 update 5 (UI, Instant Start, readme)

----------------------------------------------------------------------
 OmegaT 2.5.0 update 5 (2012-01-16)
----------------------------------------------------------------------
   9 Enhancements
   5 Bug fixes
   2 Localisation updates
----------------------------------------------------------------------
2.5.0 update 5 vs. 2.5.0 update 4

  Implemented requests:

  - Filter for Camtasia Studio for Windows
  https://sourceforge.net/p/omegat/feature-requests/741/

  - TBX entry/concept level note
  https://sourceforge.net/p/omegat/feature-requests/737/

  - Load comment from TBX even without target language
  https://sourceforge.net/p/omegat/feature-requests/748/

  Other enhancements:

  - Magento CE locale CVS file filter

  - The key is now displayed in the comment pane for all ID-based filters:
Android Resources
Java Resource Bundles
Key=Value Files
Mozilla DTD
ResX
SubRip Subtitles
Windows Resource
WiX

  - Use a larger default size for the statistics dialog (800x400 instead of
400x300)

  - When reading external TMXs, the <hi> tag is skipped, as it cannot correspond
to a tag of a source document

  - The "out of memory" message now refers to the manual

  - Instead of using Java's default memory allocation, the Windows and Linux
startup scripts now use 512 MB

  Bug fixes:

  - GPL license has an outdated FSF address
  https://sourceforge.net/p/omegat/bugs/521/

  - Android filter: non-translatable text was not ignored

  - Log messages on TMX loading were missing

  - In the HHC filter, the comment pane contained Tag: PARAM Attribute: value
for all segments

  - For external TMXs, the parameter "Use XML for standalone tags" was not
working for all tags

  Localisation updates:

  - Dutch localisation updated to 2.5.0 update 3 (UI, readme, documentation)
  - Italian localisation updated to 2.5.0 update 3 (UI)

----------------------------------------------------------------------
 OmegaT 2.5.0 update 4 (2011-11-17)
----------------------------------------------------------------------
   0 Enhancement
   1 Bug fix
   0 Localisation update
----------------------------------------------------------------------
2.5.0 update 4 vs. 2.5.0 update 3

  Bug fixes:

  - Entering empty translations wasn't working

----------------------------------------------------------------------
 OmegaT 2.5.0 update 3 (2011-11-16)
----------------------------------------------------------------------
   8 Enhancements
   3 Bug fixes
   1 Localisation update
----------------------------------------------------------------------
2.5.0 update 3 vs. 2.5.0 update 2

  Implemented requests:

  - TMX: match other languages if no project target language
  https://sourceforge.net/p/omegat/feature-requests/525/

  - HTML filter: translate label attribute of OPTION/OPTGROUP/MENU tag
  https://sourceforge.net/p/omegat/feature-requests/732/

  Make the location of spelling dictionaries configurable
  https://sourceforge.net/p/omegat/feature-requests/727/

  Other enhancements:

  - Empty translations are now allowed. They are displayed as <EMPTY>
in the Editor. To create one, right-click in a segment, and select
"Set empty translation". The same popup menu also allows to Delete an
existing translation. It has the same effect as emptying the target
segment, and then pressing Enter.

  - Five scripts from the Scripting plugin can now be displayed and
launched directly under the Scripting menu entry. Requires version
0.3-2.5.0_03 of the scripting plugin.

  - Better error reporting for Google translation

  - It is now possible to create glossary plugins

  - Key=value filter: the key is displayed in the comment pane

  Bug fixes:

  - Translations from non-target-language are not loaded
  https://sourceforge.net/p/omegat/bugs/508/

  - Fuzzy match were inserted even if the segment was already translated

  - Entering an empty target segment was creating an empty translation
instead of removing the translation

  Localisation updates:

  - Italian localisation updated to 2.5.0 update 2 (UI, readme)

----------------------------------------------------------------------
 OmegaT 2.5.0 update 2 (2011-11-02)
----------------------------------------------------------------------
   0 Enhancement
   2 Bug fixes
   0 Localisation update
----------------------------------------------------------------------
2.5.0 update 2 vs. 2.5.0 update 1

  Bug fixes:

  - The "level1" export TMX contained OmegaT tags instead of containing
no tags at all

  - ResX filter no longer working since revision 3508
  https://sourceforge.net/p/omegat/bugs/516/

----------------------------------------------------------------------
 OmegaT 2.5.0 update 1 (2011-10-25)
----------------------------------------------------------------------
   1 Enhancement
   4 Bug fixes
   2 Localisation updates
----------------------------------------------------------------------
2.5.0 update 1 vs. 2.5.0

  Other enhancements:

  - Hunspell updated to 1.3.2, and available for 32 and 64-bit Linux, Mac and
Windows

  Bug fixes:

  - Null pointer exception in a project without <dictionary_dir>
  https://sourceforge.net/p/omegat/bugs/509/

  - Wrong handling of the Enter key in the comment field of a
glossary entry

  - Strange behaviour of the Editor for segments with empty
translations in TMX

  - Search function doesn't work when searching files
  https://sourceforge.net/p/omegat/bugs/512/

  Localisation updates:

  - Dutch localisation updated to 2.5.0 (UI)
  - Italian localisation updated to 2.5.0 (UI, Instant Start, readme)

----------------------------------------------------------------------
 OmegaT 2.5.0 (2011-09-27)
----------------------------------------------------------------------
   8 Enhancements
   0 Bug fix
   1 Localisation update
----------------------------------------------------------------------
2.5.0 vs. 2.3.0 update 2

  Implemented requests:

  - Multiple translation support
  https://sourceforge.net/p/omegat/feature-requests/440/

  - Run scripts in OmegaT
  https://sourceforge.net/p/omegat/feature-requests/699/

  - View/edit notes on translation units (restore main window to see notes pane)
  https://sourceforge.net/p/omegat/feature-requests/713/

  - View comments in source files (restore main window to see comments pane)
  https://sourceforge.net/p/omegat/feature-requests/716/

  - Project-specific file filters
  https://sourceforge.net/p/omegat/feature-requests/714/

  - Project-specific segmentation rules
  https://sourceforge.net/p/omegat/feature-requests/715/

  - "Loader" plugin type to load additional GUI components
  https://sourceforge.net/p/omegat/feature-requests/708/

  Other enhancements:

  - Changes in /tm are detected automatically every second. The
modified TMX are reloaded in memory transparently, without having to
reload the project. (To apply automatic translation from the auto folder,
reloading the project is still necessary.)

  - Wordfast TXML filter. Only target segments are read, so it
it is mostly useful for files where source = target.

  - The timestamp of the 10 backup files is now the time of the last
save of project_save.tmx, instead of the time when the backup occurs.
A new backup (project_save.tmx.bak) is also done each time the project
is saved.

  Localisation updates:

  - Dutch localisation updated to 2.5 (UI)

----------------------------------------------------------------------
 OmegaT 2.3.0 update 8 (2012-04-28)
----------------------------------------------------------------------
   1 Enhancement
   0 Bug fix
   0 Localisation update
----------------------------------------------------------------------
2.3.0 update 8 vs. 2.3.0 update 7

  Implemented requests:

  - Recognize single quotes in ENTITY of DTD file filter
  https://sourceforge.net/p/omegat/feature-requests/770/

----------------------------------------------------------------------
 OmegaT 2.3.0 update 7 (2012-03-18)
----------------------------------------------------------------------
   1 Enhancement
   1 Bug fix
   2 Localisation updates
----------------------------------------------------------------------
2.3.0 update 7 vs. 2.3.0 update 6

  Implemented requests:

  - Segmentation rules for Italian
  https://sourceforge.net/p/omegat/feature-requests/763/

  Bug fixes:

  - Yiddish (language code "YI" or "JI") was not declared as a right
to left language

  - Simplified Chinese localisation updated to 2.3 (backported from 2.5.0) (documentation)
  - Japanese localisation updated to 2.3 (UI)

----------------------------------------------------------------------
 OmegaT 2.3.0 update 6 (2012-01-27)
----------------------------------------------------------------------
   0 Enhancement
   1 Bug fix
   0 Localisation update
----------------------------------------------------------------------
2.3.0 update 6 vs. 2.3.0 update 5

  Bug fixes:

  - Non working remote dictionary location
  https://sourceforge.net/p/omegat/bugs/527/

----------------------------------------------------------------------
 OmegaT 2.3.0 update 5 (2012-01-12)
----------------------------------------------------------------------
   1 Enhancement
   0 Bug fix
   0 Localisation update
----------------------------------------------------------------------
2.3.0 update 5 vs. 2.3.0 update 4

  Other enhancements:

  - Change of the Google Translate API from GET to POST, to allow
sending 5000 instead of 2000 characters requests

----------------------------------------------------------------------
 OmegaT 2.3.0 update 4 (2011-12-27)
----------------------------------------------------------------------
   1 Enhancement
   4 Bug fixes
   0 Localisation update
----------------------------------------------------------------------
2.3.0 update 4 vs. 2.3.0 update 3

  Other enhancements:

  - As the Google Translate API v1 has been shutt off (see
http://code.google.com/apis/language/translate/v1/getting_started.html),
the corresponding menu entry has been removed

  Bug fixes:

  - Java 7 compilation encoding errors
  https://sourceforge.net/p/omegat/bugs/522/

  - When several dictionaries were used, words written in uppercase in
the dictionaries could fail to be recognised

  - NetBSD and DragonFly not recognized as UNIX
  https://sourceforge.net/p/omegat/bugs/525/

  - Some Open XML files could not be loaded, because they used
backslashes instead of slashes in the zip container

  Localisation updates:
  - Slovenian localisation updated to 2.3 (UI)
  - Dutch localisation updated to 2.3 (backported from 2.5.0 update 3) (documentation)

----------------------------------------------------------------------
 OmegaT 2.3.0 update 3 (2011-10-21)
----------------------------------------------------------------------
   1 Enhancement
   1 Bug fix
   0 Localisation update
----------------------------------------------------------------------
2.3.0 update 3 vs. 2.3.0 update 2

  Implemented requests:

  - Google Translate API v2
  https://sourceforge.net/p/omegat/feature-requests/722/

  Bug fixes:

  - Open XML filter: <rPh> tags (phonetic pronunciation) were not
hidden in OmegaT

----------------------------------------------------------------------
 OmegaT 2.3.0 update 2 (2011-09-27)
----------------------------------------------------------------------
   1 Enhancement
   2 Bug fixes
   1 Localisation update
----------------------------------------------------------------------
2.3.0 update 2 vs. 2.3.0 update 1

  Other enhancements:

  - Apertium: remove '*' before unknown words and do not translate
tags

  Bug fixes:

  - Pipe-sign | missing from fields when copy-pasting
  https://sourceforge.net/p/omegat/bugs/503/

  - Parse exception in the LaTeX filter

  Localisation updates:
  - Spanish localisation updated to 2.3 (UI, documentation, readme)

----------------------------------------------------------------------
 OmegaT 2.3.0 update 1 (2011-07-29)
----------------------------------------------------------------------
   0 Enhancement
   1 Bug fix
   3 Localisation updates
----------------------------------------------------------------------
2.3.0 update 1 vs. 2.3.0

  Bug fixes:

  - Mozilla DTD handler is skipping segments
  https://sourceforge.net/p/omegat/bugs/502/

  Localisation updates:

  - Dutch localisation updated to 2.3, backported from 2.5 (UI)
  - Hungarian localisation updated to 2.3 (UI, Instant Start)
  - Italian localisation updated to 2.3 (UI, Instant Start, readme)

----------------------------------------------------------------------
 OmegaT 2.3.0 (2011-07-09)
----------------------------------------------------------------------
  10 Enhancements
   6 Bug fixes
   2 Localisation updates
----------------------------------------------------------------------
2.3.0 vs. 2.2.3 update 4

  Implemented requests:

  - Allow blank translations in PO files
  https://sourceforge.net/p/omegat/feature-requests/600/

  - TransTips to consider letter case
  https://sourceforge.net/p/omegat/feature-requests/626/

  - Ability to translate WordArt in MS Office files
  https://sourceforge.net/p/omegat/feature-requests/688/

  - Add .xliff extension to the XLIFF filter
  https://sourceforge.net/p/omegat/feature-requests/691/

  - Enable no prefix for fuzzy matches
  https://sourceforge.net/p/omegat/feature-requests/303/

  Other enhancements:

  - In the MS Open XML filter, a new option allows to preserve white space
(e.g., spaces and newlines) in all tags, even if it is not set technically
in the document. As it corresponds to the most usual situation (e.g.,
preserving spaces in Excel tags), the option is on by default.

  - New version of the JNA library (used to launch Hunspell), compatible
with Windows 64-bit

  - New Iceni Infix file filter

  - Partial support for StarDict dictionaries with sametypesequence=h

  - New Flash XML export file filter

  Bug fixes:

  - PO filter mangles \\r strings
  https://sourceforge.net/p/omegat/bugs/496/

  - Wrong TransTip when target term contains comma
  https://sourceforge.net/p/omegat/bugs/454/

  - LaTeX filter: comments are removed from target documents
  https://sourceforge.net/p/omegat/bugs/497/

  - Overeager numbered header segmentation rule
  https://sourceforge.net/p/omegat/bugs/499/

  - PO filter: when a segment had trailing spaces, it was not visible for
translation in OmegaT

  - XLIFF filter: in some cases, some extra tags could appear

  Localisation updates:

  - Brazilian Portuguese localisation updated to 2.2.3 update 2 (UI, documentation)
  - Dutch localisation updated to 2.2.4 (UI)

----------------------------------------------------------------------
 OmegaT 2.2.3 update 4 (2011-03-19)
----------------------------------------------------------------------
   0 Enhancement
   2 Bug fixes
   0 Localisation update
----------------------------------------------------------------------
2.2.3 update 4 vs. 2.2.3 update 3

  Bug fixes:

  - HTML filter: PHP tags are transformed into HTML entities
  https://sourceforge.net/p/omegat/bugs/489/

  - For three languages, the internal locale was corresponding to an
obsolete locale, which meant the spell checker wasn't finding the correct
dictionary. The affected locales were "id", which was changed to "in",
"he", changed to "iw" and "yi" changed to "ji".

----------------------------------------------------------------------
 OmegaT 2.2.3 update 3 (2011-03-03)
----------------------------------------------------------------------
   0 Enhancement
   4 Bug fixes
   3 Localisation updates
----------------------------------------------------------------------
2.2.3 update 3 vs. 2.2.3 update 2

  Bug fixes:

  - Android filter: the apostrophe (') character was not escaped properly
with a preceding \

  - XLIFF filter: untranslatable text (translate="no") appeared in the Editor

  - ResX filter: some untranslatable text appeared in the Editor

  - XML: preserve spaces
  https://sourceforge.net/p/omegat/bugs/287/

  Localisation updates:

  - Italian localisation updated to 2.2.3 update 2 (UI, documentation)
  - Czech localisation updated to 2.2.3 update 2 (UI, documentation, readme)
  - Brazilian Portuguese localisation updated to 2.2.3 update 2 (UI, Instant Start, readme)

----------------------------------------------------------------------
 OmegaT 2.2.3 update 2 (2011-01-22)
----------------------------------------------------------------------
   2 Enhancements
   1 Bug fix
   1 Localisation update
----------------------------------------------------------------------
2.2.3 update 2 vs. 2.2.3 update 1

  Implemented requests:

  - Do not show "space" in empty segments
  https://sourceforge.net/p/omegat/feature-requests/478/

  Other enhancements:

  - Remove start of segment marker, and move segment number at the end of
segment

  - Give a specific title to the file chooser dialog in the Spellchecker
dialog (it was just "Open")

  Bug fixes:

  - In the File Filter options, one of the filename configuration
variable was wrongly spelt: ${targetCoutryCode} instead of
${targetCountryCode}. Configurations with the old variable name will
still work.

  Localisation updates:

  - Dutch localisation updated to 2.2.3 (UI)

----------------------------------------------------------------------
 OmegaT 2.2.3 update 1 (2011-01-12)
----------------------------------------------------------------------
   3 Enhancements
   5 Bug fixes
   1 Localisation update
----------------------------------------------------------------------
2.2.3 update 1 vs. 2.2.3

  Implemented requests:

  - Translatable sheet names for Calc documents
  https://sourceforge.net/p/omegat/feature-requests/540/

  Other enhancements:

  - Windows installer: changes.txt can be read immediately after the
installation

  - Create the "plugins" folder during installation

  Bug fixes:

  - HTML cryptic error message "StringIndexOutOfBoundsException"
  https://sourceforge.net/p/omegat/bugs/291/

  - On a Mac having both Java 1.5 and 1.6, the Okapi file filter plugin
prevented OmegaT to run

  - Windows installer overwrites existing OmegaT.I4J.ini
  https://sourceforge.net/p/omegat/bugs/486/

  - In the Spell Checking options, the uninstall button was selected
(pressed) instead of being unabled when the list of dictionaries is
empty

  - XHTML and OpenOffice.org filters: unchecking an option (e.g.,
Translate href, Translate comments) only took effect after quitting
and restarting OmegaT

  Localisation updates:

  - Hungarian localisation updated to 2.2.3 (UI, documentation, readme)

----------------------------------------------------------------------
 OmegaT 2.2.3 (2010-12-22)
----------------------------------------------------------------------
   4 Enhancements
   1 Bug fix
   5 Localisation updates
----------------------------------------------------------------------
2.2.3 vs. 2.2.2 update 1


  Implemented requests:

  - Accept script in language code for documents
  https://sourceforge.net/p/omegat/feature-requests/657/

  - Add a TTX filter
  https://sourceforge.net/p/omegat/feature-requests/407/

  - Proxy authentication for machine translation
  https://sourceforge.net/p/omegat/feature-requests/655/

  Other enhancements:

  - Typo3 l10nmgr File Filter

  Bug fixes:

  - When a paragraph-based TMX was resegmented to sequence mode, the
source language rules were used to segment the target paragraph

  Localisation updates:

  - Belarusian localisation updated to 2.2.1 update 1 (UI)
  - Italian localisation updated to 2.2.2 update 1 (UI)
  - Catalan localisation updated to 2.2.2 update 1 (UI, Readme, documentation)
  - Dutch localisation updated to 2.2.2 (UI, documentation)
  - Japanese localisation updated to 2.2.3 (UI)

----------------------------------------------------------------------
 OmegaT 2.2.2 update 1 (2010-12-10)
----------------------------------------------------------------------
   0 Enhancement
   1 Bug fix
   0 Localisation update
----------------------------------------------------------------------
2.2.2 update 1 vs. 2.2.2

  Bug fix:

  - XML entities in non translatable attributes were not converted back
to XML entities in the target document

----------------------------------------------------------------------
 OmegaT 2.2.2 (2010-12-09)
----------------------------------------------------------------------
   2 Enhancements
   2 Bug fixes
   2 Localisation updates
----------------------------------------------------------------------
2.2.2 vs. 2.2.1

  Implemented requests:

  - Glossary term creation interface
  https://sourceforge.net/p/omegat/feature-requests/630/

  - Partial support for StarDict dictionaries with sametypesequence=x

  Localisation updates:

  - Japanese localisation updated to 2.2.2 (UI)
  - Italian localisation updated to 2.2.1 (UI, documentation)
  - Dutch localisation updated to 2.2.1 (UI)

  Bug fixes:

  - Some content ignored in DTD files
    https://sourceforge.net/p/omegat/bugs/482/

----------------------------------------------------------------------
 OmegaT 2.2.1 update 1 (2010-11-30)
----------------------------------------------------------------------
   0 Enhancement
   1 Bug fix
   1 Localisation update
----------------------------------------------------------------------
2.2.1 update 1 vs. 2.2.1

  Localisation updates:

  - Japanese localisation updated to 2.2.1 (UI)

  Bug fixes:

  - When "Options > Display all source segments in bold" was checked
untranslated segments appeared in bold if "View > Display Source Segments"
wasn't checked. In addition, when both "View > Display Source Segments" and
"View > Mark Untranslated Segments" were checked, the untranslated segments
didn't appear in bold.

----------------------------------------------------------------------
 OmegaT 2.2.1 (2010-11-27)
----------------------------------------------------------------------
   4 Enhancements
   3 Bug fixes
   5 Localisation updates
----------------------------------------------------------------------
2.2.1 vs. 2.2.0 update 4

  Implemented requests:

  - Visual identification of non-unique segments
  https://sourceforge.net/p/omegat/feature-requests/416/

  - Priority to Mark untranslated segments over Display source
  https://sourceforge.net/p/omegat/feature-requests/385/

  Other enhancements:

  - The Open XML Word option "Hidden Text" as been renamed to
"Non-visible Instruction Text" to avoid confusion with the "Hidden effect"
or "Hidden attribute" in Word.

  - When Display Source Segments is used, a new option (Options > View)
allows to set whether all source segments are bold (as previously), or
only the current one.

  Localisation updates:

  - Italian localisation updated to 2.2.0 (UI, Readme, documentation)
  - Basque localisation updated to 2.2.0 (UI, Readme, documentation)
  - Dutch localisation updated to 2.2.0 (UI, Readme, documentation)
  - Japanese localisation updated to 2.2.0 (UI)
  - Belarusian localisation updated to 2.1.0 (UI)

  Bug fixes:

  - ResX filter: comments appeared as translatable text.

  - HTML (including the HTML Help Compiler Filter) and XML filters:
When translating attributes, forbidden characters (e.g., '&', '<') were not
converted back to entities in the target documents.

  - XML filters: entities from attributes were not converted to
characters.

----------------------------------------------------------------------
 OmegaT 2.2.0 update 4 (2010-11-13)
----------------------------------------------------------------------
   1 Enhancement
   2 Bug fixes
   2 Localisation updates
----------------------------------------------------------------------
2.2.0 update 4 vs. 2.2.0 update 3

  Other enhancements:

  - The options of the Open XML filter have been reorganised because
some options (e.g., Diagrams) apply to all the documents.

  Localisation updates:

  - Russian localisation updated to 2.2.0 (UI, Instant Start, Readme)
  - Swedish localisation updated to 2.2.0 (UI, Instant Start, Readme)

  Bug fixes:

  - OpenXML Excel: some parts are not available for translation
    https://sourceforge.net/p/omegat/bugs/432/

  - Open XML filter: The comments in Excel sheets didn't appear for
translation

----------------------------------------------------------------------
 OmegaT 2.2.0 update 3 (2010-11-07)
----------------------------------------------------------------------
   3 Enhancements
   0 Bug fix
   2 Localisation update
----------------------------------------------------------------------
2.2.0 update 3 vs. 2.2.0 update 2

  Implemented requests:

  - Remove extra spaces added around tags by Google Translate
  https://sourceforge.net/p/omegat/feature-requests/594/

  Other enhancements:

  - Hunspell updated to 1.2.12

  - The "HTML and XHTML files segmentation" segmentation rule has been renamed
to "HTML, XHTML and ODF segmentation"

  Localisation updates:

  - Polish localisation updated to 2.1.3 (UI, Instant Start, Readme, documentation)
  - Brazilian Portuguese localisation updated to 2.2.0 (UI, Instant Start, Readme)

----------------------------------------------------------------------
 OmegaT 2.2.0 update 2 (2010-10-21)
----------------------------------------------------------------------
   0 Enhancement
   2 Bug fixes
   1 Localisation update
----------------------------------------------------------------------
2.2.0 update 2 vs. 2.2.0 update 1

  Bug fixes:

  - HTML filter: Entities from attributes were not converted to
characters. This applied also to the HTML Help Compiler Filter.

  - MT using Google fails to give results in Traditional Chinese
  https://sourceforge.net/p/omegat/bugs/481/

  Localisation updates:

  - Italian localisation updated to 2.2.0 update 1 (UI, Instant Start, Readme, documentation)

----------------------------------------------------------------------
 OmegaT 2.2.0 update 1 (2010-10-13)
----------------------------------------------------------------------
   1 Enhancement
   1 Bug fix
   3 Localisation updates
----------------------------------------------------------------------
2.2.0 update 1 vs. 2.2.0

  Implemented requests:

  - Make the number of search results a parameter
  https://sourceforge.net/p/omegat/feature-requests/643/

  Bug fixes:

  - XML, wrong handling of comments and PI in translatable text
  https://sourceforge.net/p/omegat/bugs/297/

  Localisation updates:

  - Galician localisation updated to 2.1.9 (UI, Instant Start, Readme)
  - Italian localisation updated to 2.2.0 (UI, Instant Start, Readme)
  - Japanese localisation updated to 2.2.0 (UI, Instant Start, Readme, 2.0.5 documentation)

----------------------------------------------------------------------
 OmegaT 2.2.0 (2010-10-03)
----------------------------------------------------------------------
   1 Enhancement
   3 Bug fixes
   0 Localisation update
----------------------------------------------------------------------
2.2.0 vs. 2.1.9

  Implemented requests:

  - Create OmegaT tags for external TMX files
  https://sourceforge.net/p/omegat/feature-requests/565/

  Bug fixes:

  - With some fonts, "squares" were displayed in the Editor around
segment markers

  - When the files in /source were changed, it was sometime not possible
to reload the project

  - When a search filter was used (e.g., "Display all results" unchecked,
Author), the number of search results returned was limited to the number
of unfiltered results

----------------------------------------------------------------------
 OmegaT 2.1.9 (2010-09-18)
----------------------------------------------------------------------
   0 Enhancement
   4 Bug fixes
   3 Localisation updates
----------------------------------------------------------------------
2.1.9 vs. 2.1.8 update 1

  Bug fixes:

  - Still some corrections about the highlight of the search results

  - Rc filter: Correction on the handling of comments and includes

  - HTML entities containing numbers are not recognized
  https://sourceforge.net/p/omegat/bugs/477/

  - Very slow editor with Java 1.6 on a Mac
  https://sourceforge.net/p/omegat/bugs/479/

  Localisation updates:

  - Swedish localisation updated to 2.1.8 (UI, Readme)
  - Italian localisation updated to 2.1.8 (UI, Readme, Instant Start)
  - Dutch localisation updated to 2.1.8 (UI, Readme, Instant Start, documentation)

----------------------------------------------------------------------
 OmegaT 2.1.8 update 1 (2010-08-25)
----------------------------------------------------------------------
   1 Enhancement
   1 Bug fix
   0 Localisation update
----------------------------------------------------------------------
2.1.8 update 1 vs. 2.1.8

  Other enhancements:

  - SVG image filter

  Bug fixes:

  - Some advanced search parameters were not working properly

----------------------------------------------------------------------
 OmegaT 2.1.8 (2010-07-29)
----------------------------------------------------------------------
   1 Enhancement
   0 Bug fix
   2 Localisation updates
----------------------------------------------------------------------
2.1.8 vs. 2.1.7 update 3

  Implemented requests:

  - Aggregate OpenXML tags
  https://sourceforge.net/p/omegat/feature-requests/629/

  Localisation updates:

  - Italian localisation updated to 2.1.7 (UI, Readme, Instant Start)
  - Spanish localisation updated to 2.1.7 (UI, Readme, Instant Start, documentation)

----------------------------------------------------------------------
 OmegaT 2.1.7 update 3 (2010-07-22)
----------------------------------------------------------------------
   2 Enhancements
   5 Bug fixes
   0 Localisation update
----------------------------------------------------------------------
2.1.7 update 3 vs. 2.1.7 update 2

  Implemented requests:

  - Extended project statistics
  https://sourceforge.net/p/omegat/feature-requests/610/

  Other enhancements:

  - OpenXML filter: new options to translate diagrams (Word) and
charts (PowerPoint)

  Bug fixes:

  - In some circumstances, the search results could be all highlighted.
The issue was not totally corrected in update 2

  - Superfluous debug message (visible in the console and in the log),
e.g., 15082: Info: DEBUG: class=java.lang.Integer val=24, has been removed

  - OpenXML filter: for some Word shapes, the text presented to the
translator was not the text visible in Word 2007/2010, but only the "fallback"
text for backward compatibility. As a result, the text appeared untranslated
in the target document. Now both text are presented to the
translator.

  - Some TBX glossaries were not read (e.g., Microsoft glossaries)

  - Webstart jnidispatch error on Windows 64-bit
  https://sourceforge.net/p/omegat/bugs/474/

----------------------------------------------------------------------
 OmegaT 2.1.7 update 2 (2010-07-08)
----------------------------------------------------------------------
   1 Enhancement
   1 Bug fix
   1 Localisation update
----------------------------------------------------------------------
2.1.7 update 2 vs. 2.1.7 update 1

  Other enhancements:

  - When a project is empty, the message mentions the documentation
on supported file formats

  Bug fixes:

  - In some circumstances, the search results could be all highlighted

  Localisation updates

  - Japanese localisation updated to 2.1.x (UI, Readme, Instant Start)

----------------------------------------------------------------------
 OmegaT 2.1.7 update 1 (2010-06-27)
----------------------------------------------------------------------
   1 Enhancement
   2 Bug fixes
   2 Localisation updates
----------------------------------------------------------------------
2.1.7 update 1 vs. 2.1.7

  Implemented requests:

  - Highlight search results
  https://sourceforge.net/p/omegat/feature-requests/593/

  Bug fixes:

  - Some search options widgets do not set focus to Search field
  https://sourceforge.net/p/omegat/bugs/471/

  - Search window - search items containing $ behave strangely
  https://sourceforge.net/p/omegat/bugs/472/

  Localisation updates:

  - Danish localisation updated to 2.1.x (UI, Readme, Instant Start)
  - Czech localisation updated to 2.1.x (UI, Readme, Instant Start, documentation)

----------------------------------------------------------------------
 OmegaT 2.1.7 (2010-06-08)
----------------------------------------------------------------------
   6 Enhancements
   2 Bug fixes
   2 Localisation updates
----------------------------------------------------------------------
2.1.7 vs. 2.1.6

  Implemented requests:

  - Sort Project Files according to locale
  https://sourceforge.net/p/omegat/feature-requests/619/

  - Remember advanced search settings
  https://sourceforge.net/p/omegat/feature-requests/616/

  - Add source/target selection to the search window
  https://sourceforge.net/p/omegat/feature-requests/550/

  Other enhancements:

  - OpenXML filter: option to translate slide layouts in PowerPoint presentations

  - OpenOffice.org filter: option to translate links (URL)

  - Various enhancements in the manual

  Bug fixes:

  - Project Files list not sorted on some systems
  https://sourceforge.net/p/omegat/bugs/467/

  - Cursor jumps to end of selection during Shift+left
  https://sourceforge.net/p/omegat/bugs/469/

  Localisation updates:

  - Catalan localisation updated to 2.1.4 (UI, Readme, Instant Start, documentation)
  - Hungarian localisation updated to 2.1.x (UI, Readme, Instant Start, documentation)

----------------------------------------------------------------------
 OmegaT 2.1.6 (2010-05-11)
----------------------------------------------------------------------
   2 Enhancements
   2 Bug fixes
   0 Localisation update
----------------------------------------------------------------------
2.1.6 vs. 2.1.5 update 1

  Implemented requests:

  - Apertium machine translation
  https://sourceforge.net/p/omegat/feature-requests/617/

  Other enhancements:

  - DokuWiki file filter

  Bug fixes:

  - Calling the Project Files window (Ctrl+L) could generate an error
in some circumstances

  - Some files were not closed when translating in console mode

----------------------------------------------------------------------
 OmegaT 2.1.5 update 1 (2010-04-23)
----------------------------------------------------------------------
   1 Enhancement
   2 Bug fixes
   0 Localisation update
----------------------------------------------------------------------
2.1.5 update 1 vs. 2.1.5

  Implemented requests:

  - Memorize search settings after each search
  https://sourceforge.net/p/omegat/feature-requests/287/

  Bug fixes:

  - Go To/Segment Number goes to wrong segment
  https://sourceforge.net/p/omegat/bugs/464/

  - User-defined font wasn't used when first opening the Search window

----------------------------------------------------------------------
 OmegaT 2.1.5 (2010-04-16)
----------------------------------------------------------------------
   3 Enhancements
   1 Bug fix
   0 Localisation update
----------------------------------------------------------------------
2.1.5 vs. 2.1.4 update 1

  Implemented requests:

  - Load TMXs from nested folders
  https://sourceforge.net/p/omegat/feature-requests/609/

  - Insert exact matches from TMXs in the auto folder
  https://sourceforge.net/p/omegat/feature-requests/474/

  Other enhancements:

  - Filter search results in the Editor
For explanations, see Searches in the English documentation

  Bug fixes:

  - Insert Source Tags miss tags when source text contains <
  https://sourceforge.net/p/omegat/bugs/463/

----------------------------------------------------------------------
 OmegaT 2.1.4 update 1 (2010-04-07)
----------------------------------------------------------------------
   6 Enhancements
   6 Bug fixes
   0 Localisation update
----------------------------------------------------------------------
2.1.4 update 1 vs. 2.1.4

  Implemented requests:

  - SRT filter: read time group into a single segment
  https://sourceforge.net/p/omegat/feature-requests/606/

  - Spell checker dialog improvements
  https://sourceforge.net/p/omegat/feature-requests/607/

  - TBX: recognize <descrip> elements
  https://sourceforge.net/p/omegat/feature-requests/601/

  - TBX: display termNotes only for target language
  https://sourceforge.net/p/omegat/feature-requests/602/

  Other enhancements:

   - Log file switched to UTF-8. It was previously in system encoding.

   - It is possible to specify a target tokenizer with --ITokenizerTarget.
If it is not specified, the source tokenizer will be used.

  Bug fixes:

  - No filters available when locale is tr
  https://sourceforge.net/p/omegat/bugs/457/

  - Exception when project was reloaded after some project properties
changes

  - Specific segmentation processing was not working when CJK language
codes were entered in lowercase

  - TBX terms with country code (e.g., de-AT) were ignored

  - Only one translation is kept in TBX glossaries
  https://sourceforge.net/p/omegat/bugs/460/

  - Japanese stemmer interferes with French spellchecker
  https://sourceforge.net/p/omegat/bugs/446/

----------------------------------------------------------------------
 OmegaT 2.1.4 (2010-03-24)
----------------------------------------------------------------------
   7 Enhancements
   4 Bug fixes
   0 Localisation update
----------------------------------------------------------------------
2.1.4 vs. 2.1.3

  Implemented requests:

   - TBX glossary format
  https://sourceforge.net/p/omegat/feature-requests/348/

  - Make order of TUs stable in project_save.tmx
  https://sourceforge.net/p/omegat/feature-requests/585/

  - Add .txt extension as tab-separated glossary in UTF-8
  https://sourceforge.net/p/omegat/feature-requests/580/

  - Add LanguageTool support
  https://sourceforge.net/p/omegat/feature-requests/587/
(Requires LangageTool plugin from
http://sourceforge.net/projects/omegat-plugins)

   Other enhancements:

   - File filter for WiX localisation files (.wxl)

   - sdlxliff added to the default list of XLIFF extensions

   - <a:tableStyleId> is hidden in the OpenXML filter

  Bug fixes:

  - Project Files window doesn't remember its position
  https://sourceforge.net/p/omegat/bugs/435/

  - Windows only: OS allowed to rename a project directory while in use
  https://sourceforge.net/p/omegat/bugs/385/

  - OpenXML options enabled only after restarting OmegaT
  https://sourceforge.net/p/omegat/bugs/452/

  - Windows RC filter: some files (in "Pascal notation") were not
recognised

----------------------------------------------------------------------
 OmegaT 2.1.3 (2010-02-21)
----------------------------------------------------------------------
   6 Enhancements
   4 Bug fixes
   0 Localisation update
----------------------------------------------------------------------
2.1.3 vs. 2.1.2

  Implemented requests:

   - CSV glossary format
  https://sourceforge.net/p/omegat/feature-requests/589/

   - File filter for DTD and Mozilla .properties files
  https://sourceforge.net/p/omegat/feature-requests/403/

  Other enhancements:

  - Windows Resources (RC) file filter

  - Add support for multiple translation engines

  - POST method is used for Google Translate, to allow longer segments
(still limited at 5000 characters)

  - Add support for Belazar (http://belsoft.tut.by/belazar/)

  Bug fixes:

  - Help & Manual: Some translatable text was not available

  - TransTip doesn't highlight words in uppercase
  https://sourceforge.net/p/omegat/bugs/448/

  - Line spacing wasn't always fixed in the Editor

  - Missings paragraphs after an out of turn tag
  https://sourceforge.net/p/omegat/bugs/450/

----------------------------------------------------------------------
 OmegaT 2.1.2 (2010-02-04)
----------------------------------------------------------------------
  13 Enhancements
   4 Bug fixes
   2 Localisation updates
----------------------------------------------------------------------
2.1.2 vs. 2.1.1

  Implemented requests:

   - Selection of files to translate in console mode
  https://sourceforge.net/p/omegat/feature-requests/564/

  - Allow translating or not presentation notes in Impress
  https://sourceforge.net/p/omegat/feature-requests/575/

  - Insert Source Tags
  https://sourceforge.net/p/omegat/feature-requests/554/

  - Glossary match identification
  https://sourceforge.net/p/omegat/feature-requests/572/

  - TransTips for glossary items
  https://sourceforge.net/p/omegat/feature-requests/576/

  Other enhancements:

  - The About dialog displays memory usage

  - When there are several 100% matches, and one of them is a real
exact match, it is ordered first

  - Spaces around segments are better preserved in the HTML filter

  - Support for Lingvo DSL dictionaries

  - It is now possible to search for Author (changeid) and date of change
(changedate)

  - It is possible to select to display no change information, only for the
current segment, or for all the (translated) segments

  - Cut, Copy, Paste popup menu in the Editor. It performs the same functions as
Ctrl+X, Ctrl+C and Ctrl+V.

  - Display the tokenizer used on startup in the console

  Bug fixes:

  - When the project was reloaded after pressing OK in Project Properties,
the current segment was moved to the next one. If "Copy source text" was
set in Editing Behaviour, the previous segment was entered as translation.

  - OmT loses msgctxt content in PO files
  https://sourceforge.net/p/omegat/bugs/442/

  - Same accelerator for "Tab", "Team" and "Tag Validation"
  https://sourceforge.net/p/omegat/bugs/443/

  - In search: '?' would find 0 or 1 character, while search instructions
clearly state that it should find 1 character, which is now the case

  Localisation updates:

  - Catalan localisation updated to 2.1.1 (UI, Readme, Instant Start, documentation)
  - New Swedish localisation (2.1.0) (UI, Readme, Instant Start)

----------------------------------------------------------------------
 OmegaT 2.1.1 (2009-12-14)
----------------------------------------------------------------------
   8 Enhancements
   6 Bug fixes
   0 Localisation update
----------------------------------------------------------------------
2.1.1 vs. 2.1.0

  Implemented requests:

   - [stopwords] (simplify segments for matching purposes)
  https://sourceforge.net/p/omegat/feature-requests/258/
 (Requires version 0.4-2.1 of the tokenizers for English)

   - Dated TUs in TM
  https://sourceforge.net/p/omegat/feature-requests/211/

  - Automatic bundle aligner in console mode
  https://sourceforge.net/p/omegat/feature-requests/568/

  Other enhancements:

  - Typo3 LocManager File Filter

  - Help & Manual File Filter

  - Use tokenizers as plugins
  (Requires version x.x-2.1 of the tokenizers)

  - Text selected in the Glossary pane can be inserted with a right click

  - New options to enable checking localisation variables
  (see https://sourceforge.net/p/omegat/bugs/434/)

  Bug Fixes:

  - Number of unique segments always 0 in standard statistics
  https://sourceforge.net/p/omegat/bugs/430/

  - Non-tag is marked as tag error
  https://sourceforge.net/p/omegat/bugs/434/

  - When there were fuzzy matches for a given segment, it wasn't counted
as a repetition in Match Statistics

  - Wrong spell checker display if word split to several lines

  - PO filter doubles up end-of-line spaces and newlines
  https://sourceforge.net/p/omegat/bugs/437/

  - PO with multiline msgctxt fails to load in OmT
  https://sourceforge.net/p/omegat/bugs/439/

----------------------------------------------------------------------
 OmegaT 2.1.0 (2009-10-14)
----------------------------------------------------------------------
   2 Enhancements
   0 Bug fix
   0 Localisation update
----------------------------------------------------------------------
2.1.0 vs. 2.0.5

  Implemented requests:

  - Match Statistics
  https://sourceforge.net/p/omegat/feature-requests/556/

  - Display Statistics in a window
  https://sourceforge.net/p/omegat/feature-requests/557/

----------------------------------------------------------------------
 OmegaT 2.0.5 update 4 (2010-06-10)
----------------------------------------------------------------------
   0 Enhancement
   0 Bug fix
   1 Localisation update
----------------------------------------------------------------------
2.0.5 update 4 vs. 2.0.5 update 3

  Localisation updates:
  - New Galician localisation (UI, Readme, Instant Start)
  (backported from 2.1.4)

----------------------------------------------------------------------
 OmegaT 2.0.5 update 3 (2010-05-12)
----------------------------------------------------------------------
   2 Enhancements
   4 Bug fixes
   2 Localisation updates
----------------------------------------------------------------------
2.0.5 update 3 vs. 2.0.5 update 2

  Implemented requests:

  - Segmentation rule for header number and the header body
  https://sourceforge.net/p/omegat/feature-requests/586/

  - Define Uyghur as RTL
  https://sourceforge.net/p/omegat/feature-requests/599/

  Bug Fixes:

  - Webstart for linux amd64 doesn't work
  https://sourceforge.net/p/omegat/bugs/449/

  - $ Dollar sign in filenames gives error
  https://sourceforge.net/p/omegat/bugs/461/

  - References to Java 1.4 removed in OmegaT.l4J.ini

  - Various corrections in the manual

  Localisation updates:

  - Russian localisation updated to 2.0.5 (UI, Readme, Instant Start, documentation)
  - Simplified Chinese localisation updated to 2.0.5 (UI, Readme, Instant Start, documentation)
    (backported from 2.1.x)

----------------------------------------------------------------------
 OmegaT 2.0.5 update 2 (2010-02-05)
----------------------------------------------------------------------
   0 Enhancement
   0 Bug fix
   7 Localisation updates
----------------------------------------------------------------------
2.0.5 update 2 vs. 2.0.5 update 1

  Localisation updates:
  - Basque localisation updated to 2.0.5 (UI, Readme, Instant Start, documentation)
  - Welsh localisation updated to 2.0.5 (UI, Readme, Instant Start)
  - Catalan localisation updated to 2.0.5, backported from 2.1.1 (UI, Readme, Instant Start, documentation)
  - New Swedish localisation (2.0.5), backported from 2.1.0 (UI, Readme, Instant Start)
  - Czech localisation updated to 2.0.5 (UI, Readme, Instant Start, documentation)
  - Hungarian localisation updated to 2.0.5 (UI, Readme, Instant Start, documentation)
  - Dutch localisation updated to 2.0.5 (UI, Readme, Instant Start, documentation)

----------------------------------------------------------------------
 OmegaT 2.0.5 update 1 (2010-01-27)
----------------------------------------------------------------------
   5 Enhancements
   6 Bug fixes
   2 Localisation updates
----------------------------------------------------------------------
2.0.5 update 1 vs. 2.0.5

  Implemented requests:

  - Document proxy setting
  https://sourceforge.net/p/omegat/feature-requests/422/

  Other enhancements:

  - Change pseudo-translated TMX parameter and documentation

  - Hunspell for Linux 64-bit updated to 1.2.8

  - Images are included in the minimal localisation pack

  - <wp:align> and <w:drawing> tags are hidden in the OpenXML filter

  Bug Fixes:

  - Various corrections in the manual

  - sh tutorial in English
  https://sourceforge.net/p/omegat/bugs/364/

  - The /gen folder was not included in the source package

  - Correct accelerators for Export Selection and Switch Case

  - The Linux "with JRE" script wasn't working when the path contained
a space

  - Spanish exception rule error
  https://sourceforge.net/p/omegat/bugs/445/

  Localisation updates:

  - Turkish localisation updated to 2.0.5 (UI, Readme, Instant Start)
  - Slovenian localisation updated to 2.0.5 (documentation)

----------------------------------------------------------------------
 OmegaT 2.0.5 (2009-10-10)
----------------------------------------------------------------------
   2 Enhancements
   0 Bug fix
   0 Localisation update
----------------------------------------------------------------------
2.0.5 vs. 2.0.4 update 1

  Other enhancements:

  - Revised manual

  - Generate pseudo-translated tmx
  (see documentation->translation memories->pseudo-translated memory)

----------------------------------------------------------------------
 OmegaT 2.0.4 update 1 (2009-09-22)
----------------------------------------------------------------------
   1 Enhancement
   1 Bug fix
   2 Localisation updates
----------------------------------------------------------------------
2.0.4 update 1 vs. 2.0.4

  Implemented requests:

  - Read existing translations from source PO documents
  https://sourceforge.net/p/omegat/feature-requests/553/

  Bug Fixes:

  - PO: bad handling of already translated strings
  https://sourceforge.net/p/omegat/bugs/368/

  Localisation updates:

  - German localisation updated to 2.0.3 (UI, Readme, Instant Start, Documentation)
  - Japanese localisation updated to 2.0.4 (UI, Instant Start)

----------------------------------------------------------------------
 OmegaT 2.0.4 (2009-09-09)
----------------------------------------------------------------------
   3 Enhancements
   0 Bug fix
   0 Localisation update
----------------------------------------------------------------------
2.0.4 vs. 2.0.3 update 2

  Implemented requests:

  - A new default segmentation rule for Russian
  https://sourceforge.net/p/omegat/feature-requests/548/

  - Translation of current segment with Google Translate
  https://sourceforge.net/p/omegat/feature-requests/544/

  Other enhancements:

  - Android resources filter

----------------------------------------------------------------------
 OmegaT 2.0.3 update 2 (2009-07-28)
----------------------------------------------------------------------
   1 Enhancements
   2 Bug fixes
   3 Localisation updates
----------------------------------------------------------------------
2.0.3 update 2 vs. 2.0.3 update 1

  Implemented requests:

  - Provide a Java Web Start version
  https://sourceforge.net/p/omegat/feature-requests/363/

  Bug Fixes:

  - A double click on the last segment was sending to the first one
  - OmegaT was only getting the first meaning in StarDict format

  Localisation updates:

  - Belarusian localisation updated to 2.0.3 (UI)
  - Dutch localisation updated to 2.0.3 (UI, Readme, Instant Start, Documentation)
  - Catalan localisation updated to 2.0.3 (UI, Readme, Instant Start, Documentation)

----------------------------------------------------------------------
 OmegaT 2.0.3 update 1 (2009-07-09)
----------------------------------------------------------------------
   0 Enhancement
   0 Bug fix
   3 Localisation updates
----------------------------------------------------------------------
2.0.3 update 1 vs. 2.0.3

  Localisation updates:

  - Japanese localisation updated to 2.0.3 (UI, Instant Start)
  - German localisation updated to 2.0.3 (UI, Instant Start, Readme)
  - Slovenian localisation updated to 2.0.3 (UI, Instant Start, Readme, documentation)

----------------------------------------------------------------------
 OmegaT 2.0.3 (2009-06-13)
----------------------------------------------------------------------
   4 Enhancements
   1 Bug fix
   1 Localisation update
----------------------------------------------------------------------
2.0.3 vs. 2.0.2 update 1

  Implemented requests:

  - StarDict dictionaries support
  https://sourceforge.net/p/omegat/feature-requests/534/

  - LaTeX filter support
  https://sourceforge.net/p/omegat/feature-requests/532/

  Other enhancements:

  - Changes in glossary are detected automatically every second. The
modified glossaries are reloaded in memory transparently, without having to
reload the project. Glossaries are also read from nested folders, not only from
the root of /glossary.

  - New index of documentations at the root of the /docs folder, identical
to the one obtained in OmegaT.

  Bug Fixes:

  - "Unable to read project file!" after creating a new project
  https://sourceforge.net/p/omegat/bugs/423/

  Localisation updates:

  - Dutch localisation updated to 2.0.2 (UI, Instant Start, Readme, Documentation)

----------------------------------------------------------------------
 OmegaT 2.0.2 update 1 (2009-05-20)
----------------------------------------------------------------------
   0 Enhancement
   2 Bug fixes
   2 Localisation updates
----------------------------------------------------------------------
2.0.2 update 1 vs. 2.0.2

  Bug Fixes:

  - The change of font wasn't applied immediately in the Editor

  - The Enter/Return key was creating a new line when Use TAB to Advance
was checked

  Localisation updates:

  - Slovenian localisation updated to 2.0.1 (UI, readme)
  - Japanese localisation updated to 2.0.2 (UI, Instant Start)

----------------------------------------------------------------------
 OmegaT 2.0.2 (2009-05-14)
----------------------------------------------------------------------
   9 Enhancements
   9 Bug fixes
   1 Localisation update
----------------------------------------------------------------------
2.0.2 vs. 2.0.1

  Implemented requests:

  - Support for alpha-3 language codes of ISO 639-2 and 639-3
  https://sourceforge.net/p/omegat/feature-requests/221/

  - ResX file filter
  https://sourceforge.net/p/omegat/feature-requests/435/

  - Display all the instances of a segment in searches
  https://sourceforge.net/p/omegat/feature-requests/430/

  - Polish segmentation rules
  https://sourceforge.net/p/omegat/feature-requests/530/

  - Dutch segmentation rules
  https://sourceforge.net/p/omegat/feature-requests/533/

  Other enhancements:

  - Source and target segments are now, by default, left justified for LTR
languages and right justified for RTL languages depending on the
languages of the project. It is still possible to switch with Shift+Ctrl+O,
which has now three states:
- Justification according to languages (default)
- Justification on the left
- Justification on the right

  - Ctrl+Page up and Ctrl+Page down go to the beginning/end of a document
(without entering the segment)

  - XLIFF filter: the segmentation of pre-segmented documents (tagged by
<mrk mtype="seg"> is used.

  - Update of some user interface texts for clarification purposes

  Bug Fixes:

  - Glossary: unclear display if combined entries contain a ","
  https://sourceforge.net/p/omegat/bugs/409/

  - Bidi wrong justification
  https://sourceforge.net/p/omegat/bugs/127/

  - OmegaT hangs at random
  https://sourceforge.net/p/omegat/bugs/319/

  - Random hangs, exceptions in command line, nothing in log
  https://sourceforge.net/p/omegat/bugs/338/

  - Confused display when RTL segment starts with LTR characters
  https://sourceforge.net/p/omegat/bugs/367/

  - Spellchecker slow down
  https://sourceforge.net/p/omegat/bugs/372/

  - Over matching in segmentation rules
  https://sourceforge.net/p/omegat/bugs/419/

  - "Mark untranslated" + "Display source"= opening problem
  https://sourceforge.net/p/omegat/bugs/332/

  - Pattern after in Text files segmentation rule contained "\s+" instead
of " +"

  - The SkipMeta option in the HTML and XHTML filters was not initialised to
the default value

  Localisation update:

  - Spanish localisation updated to 2.0.1 (UI, readme, instant start)

----------------------------------------------------------------------
 OmegaT 2.0.1 (2009-02-16)
----------------------------------------------------------------------
   8 Enhancements
   1 Bug fix
   1 Localisation update
----------------------------------------------------------------------
2.0.1 vs. 2.0.0 update 1

  Implemented requests:

  - New English exception
  https://sourceforge.net/p/omegat/feature-requests/496/

  - Changing the location of user files
  https://sourceforge.net/p/omegat/feature-requests/489/

  - Combine identical and similar glossary entries
  https://sourceforge.net/p/omegat/feature-requests/497/

  - Interface for scripting languages
  https://sourceforge.net/p/omegat/feature-requests/454/

  - Specify project from command line
  https://sourceforge.net/p/omegat/feature-requests/425/

  Other enhancements:

  - Console mode, to be able to run OmegaT without user interface
(For users of the tokenizers - http://sourceforge.net/projects/omegat-plugins -
ITokenizer=<tokenizer> has to be replaced by --ITokenizer=<tokenizer>)

  - The list of files in the Project files window can be selected
and copied to the clipboard.

  - Ctrl+F uses the selection even outside the current target segment

  Bug Fixes:

  - Fix for detection of printf-variables with index specifier
  (for feature https://sourceforge.net/p/omegat/feature-requests/494/)

  Localisation updates :

  - Slovenian localisation updated to 2.0 (readme)

----------------------------------------------------------------------
 OmegaT 2.0.0 update 1 (2009-01-09)
----------------------------------------------------------------------
   5 Enhancements
   1 Bug fix
   3 Localisation updates
----------------------------------------------------------------------
2.0.0 update 1 vs. 2.0.0

  Implemented requests:
  - Extra checks in TagValidator for PO linefeed
  https://sourceforge.net/p/omegat/feature-requests/493/

  - Extra check in TagValidator if printf variables in PO-file segments are correct
  https://sourceforge.net/p/omegat/feature-requests/494/

  - New English segmentation exceptions
  https://sourceforge.net/p/omegat/feature-requests/451/

  - Fuzzy Glossary Matching
  https://sourceforge.net/p/omegat/feature-requests/129/
  (Requires tokenizers from http://sourceforge.net/projects/omegat-plugins)

  - Catalan and Spanish segmentation rules
  https://sourceforge.net/p/omegat/feature-requests/483/

  Other enhancements:

  - The instant start is displayed correctly (right aligned) for RTL languages

  - OmegaT can use tokenizers to get stemming in fuzzy and glossary matches.
  (Requires tokenizers from http://sourceforge.net/projects/omegat-plugins)

  - Three percentages are displayed in the match pane, corresponding to the three
steps of matching:
1 Using stemming (if a tokenizer is used)
2 Without stemming
3 Taking everything into account (tags, numbers, punctuation)

  Bugs fixes:

  - Spellcheck EN-US: incorrect handling of hyphenated compounds
  https://sourceforge.net/p/omegat/bugs/336/
  (Requires tokenizers from http://sourceforge.net/projects/omegat-plugins)

  Localisation updates:

  - Japanese localisation updated to 2.0 (UI)
  - Basque localisation updated to 2.0 (UI)
  - Slovenian localisation updated to 2.0 (UI)

----------------------------------------------------------------------
 OmegaT 2.0.0 (2008-11-13)
----------------------------------------------------------------------
  13 Enhancements
   0  Bug fix
   1 Localisation
----------------------------------------------------------------------
2.0.0 vs. 1.8.1

  Implemented requests:

  - User-configurable keyboard shortcuts
  https://sourceforge.net/p/omegat/feature-requests/300/

  - Shortcut for Reload/Close/Create translated documents
  https://sourceforge.net/p/omegat/feature-requests/305/

  - Additions to the log
  https://sourceforge.net/p/omegat/feature-requests/312/

  - Keep position after clicking a file
  https://sourceforge.net/p/omegat/feature-requests/476/

  - Project List to remain in front
  https://sourceforge.net/p/omegat/feature-requests/378/

  - Rewrite thread use
  https://sourceforge.net/p/omegat/feature-requests/226/

  Other enhancements:

  - Zero load time. That is, data required for matching is now computed
"on-demand", which means the load time for any project should now be
under a minute in most cases.

  - New log system, with log rotation, logging of concurrent instances,
and configurable content

  - New SRT (subtitles) filter

  - XHTML filter: The options that existed in the HTML filter only have been
ported

  - HTML and XHTML filter: It is now possible to select specifically which
meta content is to be translated

  - New Project Files window. The keyboard can be used, and the Editor font
can be applied or not with a new option in Options/Font.

  - New filter: CopyFlow Gold for QuarkXPress

  - OpenXML filter: New option to translate slide masters in PowerPoint documents

  Localisation updates:

  - French localisation updated to 2.0 (UI)

----------------------------------------------------------------------
 OmegaT 1.8.1 update 7 (2009-10-01)
----------------------------------------------------------------------
   0 Enhancement
   0 Bug fix
   1 Localisation update
----------------------------------------------------------------------
1.8.1 update 7 vs. 1.8.1 update 6

  Localisation updates:

  - Spanish localisation updated to 1.8 (Instant Start)

----------------------------------------------------------------------
 OmegaT 1.8.1 update 6 ( 2009-07-26)
----------------------------------------------------------------------
   1 Enhancement
   1 Bug fix
   1 Localisation update
----------------------------------------------------------------------
1.8.1 update 6 vs. 1.8.1 update 5

  Other enhancements:

  - The Linux package (with JRE) is now compressed with bz2 instead of gz

  Bug fixes:

  - Windows: project's absolute paths are displayed with /
  https://sourceforge.net/p/omegat/bugs/428/

  Localisation updates:

  - German localisation updated to 1.8 (UI, Instant Start, Readme, backported from 2.0.3)

----------------------------------------------------------------------
 OmegaT 1.8.1 update 5 (2009-06-08)
----------------------------------------------------------------------
   0 Enhancement
   2 Bug fixes
   2 Localisation updates
----------------------------------------------------------------------
1.8.1 update 5 vs. 1.8.1 update 4

  Bug fixes:

  - Linux startup script must be run from install dir
  https://sourceforge.net/p/omegat/bugs/413/

  - XLIFF filter: the content of <seg-source> was visible

  Localisation updates:

  - Russian documentation updated to 1.8 (UI, Instant Start, readme, documentation)
  - Dutch localisation updated to 1.8 (Documentation)

----------------------------------------------------------------------
 OmegaT 1.8.1 update 4 (2009-04-23)
----------------------------------------------------------------------
   0 Enhancement
   4 Bug fixes
   0 Localisation
----------------------------------------------------------------------
1.8.1 update 4 vs. 1.8.1 update 3

  Bug fixes:

  - XML, stylesheet declaration removed from target
  https://sourceforge.net/p/omegat/bugs/302/

  - XML, Processing Instructions removed from target document
  https://sourceforge.net/p/omegat/bugs/296/

  - Hunspell and OmegaT could crash if a dictionary did not exist for
a project's language

  - XLIFF filter: the tag <mrk> was declared as not containing
translatable content

----------------------------------------------------------------------
 OmegaT 1.8.1 update 3 (2009-03-26)
----------------------------------------------------------------------
   3 Enhancements
   3 Bug fixes
   2 Localisation updates
----------------------------------------------------------------------
1.8.1 update 3 vs. 1.8.1 update 2

  Implemented requests:

  - Add keyboard shortcuts in Search dialog
  https://sourceforge.net/p/omegat/feature-requests/383/
  (Effective in English and in French, other translations must be
   updated. As for all dialogs, dialog shortcuts are not available on a Mac.)

  Other enhancements:

  - Hunspell for Mac and Linux-i386 is updated to 1.2.8
  - Hunspell for Windows is updated to 1.2.7

  Bug fixes:

  - Tags are counted as characters in statistics
  https://sourceforge.net/p/omegat/bugs/373/

  - French dictionary cannot be downloaded and installed
  https://sourceforge.net/p/omegat/bugs/402/

  - Linux: Exception on reading omegat/learned_words.txt
  https://sourceforge.net/p/omegat/bugs/414/

  Localisation updates:

  - New Welsh localisation (UI, readme, instant start)
  - czech localisation updated to 1.8 (UI, readme, instant start, documentation)

----------------------------------------------------------------------
 OmegaT 1.8.1 update 2 (2009-02-05)
----------------------------------------------------------------------
   2 Enhancements
   3 Bug fixes
   0 Localisation update
----------------------------------------------------------------------
1.8.1 update 2 vs. 1.8.1 update 1

  Other enhancements:

  Windows: Various corrections and enhancements to OmegaT.exe (the OmegaT
launcher), based on version 3.0.1 of Launch4J.

  Bug fixes:

  - PL "Create new project" too large on OSX
  https://sourceforge.net/p/omegat/bugs/365/

  - The content of external TMX level 2 tags is displayed
  https://sourceforge.net/p/omegat/bugs/388/

  - Spellcheck: words added to dictionary lost after restart
  https://sourceforge.net/p/omegat/bugs/339/

  Localisation updates:

  - Slovenian localisation updated to 1.8 (readme, instant start, documentation)

----------------------------------------------------------------------
 OmegaT 1.8.1 update 1 (2009-01-09)
----------------------------------------------------------------------
   1 Enhancement
   4 Bug fixes
   2 Localisation updates
----------------------------------------------------------------------
1.8.1 update 1 vs. 1.8.1

  Implemented requests:

  - PO: transform \t to tabs and back
  https://sourceforge.net/p/omegat/feature-requests/472/

  Bug fixes:

  - PowerPoint: Non translatable text (<p:attrName>) was visible in the editor

  - Various corrections in the manual

  - PO Filter: \ is doubled for \t
  https://sourceforge.net/p/omegat/bugs/403/

  - OpenXML filter: Newline (<w:br>) was not defined as a paragraph tag
  The change might require to revalidate the translation for some existing
segments

  Localisation updates:

  - Japanese localisation updated to 1.8 (UI)
  - Slovenian localisation updated to 1.8 (UI)

----------------------------------------------------------------------
 OmegaT 1.8.1 (2008-11-04)
----------------------------------------------------------------------
   4 Enhancements
   1 Bug fixe
   4 Localisation updates
----------------------------------------------------------------------
1.8.1 vs. 1.8.0 update 2

  Implemented requests:

  - OpenDoc: Allow to translate or not Bookmark references
  https://sourceforge.net/p/omegat/feature-requests/461/

  - Do not take user to first segment on project reload
  https://sourceforge.net/p/omegat/feature-requests/432/

  Other enhancements:

  - Revised manual

  - The xml:lang attribute can be translated with the HTML filter

  Bug fixes:

  - Extra space in each segment in the German localization
  https://sourceforge.net/p/omegat/bugs/405/

  - Vista: wrong location of configuration files
  https://sourceforge.net/p/omegat/bugs/407/

  Localisation updates:

  - Slovak localisation updated to 1.8 (UI)
  - Dutch localisation updated to 1.8 (UI, readme)
  - Czech localisation updated to 1.8 (UI, readme)
  - Serbo-Croatian localisation updated to 1.8 (UI, readme)

----------------------------------------------------------------------
 OmegaT 1.8.0 update 2 (2008-05-12)
----------------------------------------------------------------------
   2 Enhancements
   4 Bug fixes
   1 Localisation update
----------------------------------------------------------------------
1.8.0 update 2 vs. 1.8.0 update 1

  Other enhancements:

  - Spellchecking dialogs now have a title
  - Non-breaking spaces are trimmed from translatable text

  Bug fixes:

  - Spellchecking dialogs not dismissable with [esc]
  https://sourceforge.net/p/omegat/bugs/334/

  - Wrong Import file dialog title
  https://sourceforge.net/p/omegat/bugs/381/

  - Hunspell not working on Linux 64-bit

  - Non-ascii char badly handled in hunspell lib loading on OS-X
  https://sourceforge.net/p/omegat/bugs/350/

  Localisation updates:

  - Catalan localisation updated to 1.8 (UI)

----------------------------------------------------------------------
 OmegaT 1.8.0 update 1 (2008-03-30)
----------------------------------------------------------------------
   0 Enhancement
   0 Bug fix
   0 Localisation updates
----------------------------------------------------------------------
1.8.0 update 1 vs. 1.8.0

  Localisation updates:

  - Albanian localisation updated to 1.8 (UI, readme)
  - Belarusian localisation updated to 1.8 (UI)
  - New Portuguese (Portugal) localisation (UI)

----------------------------------------------------------------------
 OmegaT 1.8.0 (2008-03-02)
----------------------------------------------------------------------
  13 Enhancements
   3 Bug fixes
   2 Localisation updates
----------------------------------------------------------------------
1.8.0 vs. 1.7.3 update 4

  Implemented requests:

  - Editor window name
  https://sourceforge.net/p/omegat/feature-requests/352/

  - Tool: Spellchecker
  https://sourceforge.net/p/omegat/feature-requests/5/

  - Letter case change in editing field
  https://sourceforge.net/p/omegat/feature-requests/134/

  - Display source segments
  https://sourceforge.net/p/omegat/feature-requests/370/

  - Mark translated segments
  https://sourceforge.net/p/omegat/feature-requests/371/

  - Mark untranslated segments
  https://sourceforge.net/p/omegat/feature-requests/379/

  - Navigation history
  https://sourceforge.net/p/omegat/feature-requests/372/

  - HTML, skip extraction of messages matching regxep
  https://sourceforge.net/p/omegat/feature-requests/361/

  - (X)HTML filter: do not translate input VALUE attribute
  https://sourceforge.net/p/omegat/feature-requests/362/

  - Select elements to translate in office documents
  https://sourceforge.net/p/omegat/feature-requests/387/

  - Clickable match window
  https://sourceforge.net/p/omegat/feature-requests/89/

  - Compare source segment and translated segment lengths
  https://sourceforge.net/p/omegat/feature-requests/220/

  - Indicate translation progress in status bar
  https://sourceforge.net/p/omegat/feature-requests/201/

  Bug fixes:

  - HTML filter loses html-encoded characters if not supported
  https://sourceforge.net/p/omegat/bugs/324/

  - Check-spelling/styles error
  https://sourceforge.net/p/omegat/bugs/341/

  - Mistake of segmentation after <PRE>
  https://sourceforge.net/p/omegat/bugs/345/

  Localisation updates:

  - Belarusian UI updated to 1.7.+
  - French UI updated to 1.8

----------------------------------------------------------------------
 OmegaT 1.7.3 update 4 (2008-09-13)
----------------------------------------------------------------------
   0 Enhancement
   4 Bug fixes
   2 Localisation updates
----------------------------------------------------------------------
1.7.3 update 4 vs. 1.7.3 update 3

  Bug fixes:

  - PO Filter: some escapes not working
  https://sourceforge.net/p/omegat/bugs/387/

  - Angle bracket no showing in Editor after segment number in the German
localization

  - DocBook: entities resolved only under Java 1.4
  https://sourceforge.net/p/omegat/bugs/342/

  - PO: Bad handling of double quotes after no-wrap
  https://sourceforge.net/p/omegat/bugs/395/

  Other enhancements:

  - Slovak localisation updated to 1.7.3 (UI, readme, instant start, documentation)
  - Czech localisation updated to 1.7.3 (UI, readme, instant start, documentation)

----------------------------------------------------------------------
 OmegaT 1.7.3 update 3 (2008-05-12)
----------------------------------------------------------------------
   2 Enhancements
   4 Bug fixes
   0 Localisation update
----------------------------------------------------------------------
1.7.3 update 3 vs. 1.7.3 update 2

  Implemented requests:

  - DocBook: Allow to translate the language attribute
  https://sourceforge.net/p/omegat/feature-requests/447/

  - Escape support for PO
  https://sourceforge.net/p/omegat/feature-requests/418/

  Bug fixes:

  - Wrong default encoding in XML (should be UTF-8)
  https://sourceforge.net/p/omegat/bugs/382/

  - Solaris not detected, and wrong default home directory
  https://sourceforge.net/p/omegat/bugs/383/

  - Error trying to create target document with large OOo file
  https://sourceforge.net/p/omegat/bugs/384/

  - Windows: the OmegaT folder was not completely removed from Program files
when uninstalling the JRE version

----------------------------------------------------------------------
 OmegaT 1.7.3 update 2 (2008-03-30)
----------------------------------------------------------------------
   3 Enhancements
   3 Bug fixes
   1 Localisation update
----------------------------------------------------------------------
1.7.3 update 2 vs. 1.7.3 update 1

  Implemented requests:

  - Command line parameters for OmegaT.exe
  https://sourceforge.net/p/omegat/feature-requests/428/

  - Windows installer
  https://sourceforge.net/p/omegat/feature-requests/253/

  - DocBook 5.0 filter
  https://sourceforge.net/p/omegat/feature-requests/434/

  - Do not copy SVN/CVS folders from /source to /target
  https://sourceforge.net/p/omegat/feature-requests/358/

  Bug fixes:

  - PO: Bad handling of plural messages on multiple lines
  https://sourceforge.net/p/omegat/bugs/366/

  - Some strings not translated when using external bundle
  https://sourceforge.net/p/omegat/bugs/378/

  - XHTML: xmlns="http://www.w3.org... in every tag
  https://sourceforge.net/p/omegat/bugs/380/

  Other enhancements:

  - New Arabic localisation (UI, readme, instant start)

----------------------------------------------------------------------
 OmegaT 1.7.3 update 1 (2008-02-17)
----------------------------------------------------------------------
   1 Enhancement
   7 Bug fixes
   7 Localisation updates
----------------------------------------------------------------------
1.7.3 update 1 vs. 1.7.3

  Implemented requests:

  - Exceptions for EN.*: Fig., St., middle name.
  https://sourceforge.net/p/omegat/feature-requests/410/

  Bug fixes:

  - HTML entities not resolved in the XHTML filter
  https://sourceforge.net/p/omegat/bugs/346/

  - Prevent non-XML characters from entering the TMX
  https://sourceforge.net/p/omegat/bugs/305/

  - Relative paths not working under Windows/Java 1.4
  https://sourceforge.net/p/omegat/bugs/352/

  - Mediawiki import - remove invalid chars in filename
  https://sourceforge.net/p/omegat/bugs/354/

  - Relative paths with "similar names" not working
  https://sourceforge.net/p/omegat/bugs/355/

  - PO-filter fails to handle plural forms
  https://sourceforge.net/p/omegat/bugs/356/

  - Non-translatable strings displayed in OOo documents
  https://sourceforge.net/p/omegat/bugs/359/

  Localisation updates:

  - Serbo-Croatian localisation updated to 1.7.3 (UI, readme, instant start, documentation)
  - Slovenian localisation updated to 1.7.3 (UI, readme, instant start, documentation)
  - Russian localisation updated to 1.7.3 (UI, readme, instant start, documentation)
  - Basque localisation updated to 1.7.3 (UI, readme, instant start, documentation)
  - Hungarian localisation updated to 1.7.3 (UI, readme, instant start, documentation)
  - Catalan localisation updated to 1.7.3 (UI, readme, instant start, documentation)
  - Dutch localisation updated to 1.7.3 (UI, readme, instant start, documentation)

----------------------------------------------------------------------
 OmegaT 1.7.3 (2007-11-28)
----------------------------------------------------------------------
   1 Enhancement
   3 Bug fixes
   5 Localisation updates
----------------------------------------------------------------------
1.7.3 vs. 1.7.2

Contains a revised manual, two new localisations (Danish, polish) and bug fixes

  Other enhancements:

  - Revised manual

  Bug fixes:

  - Properties: space before "=" shouldn't be part of the key
  https://sourceforge.net/p/omegat/bugs/330/

  - <context> should be ignored in XLIFF files
  https://sourceforge.net/p/omegat/bugs/324/

  - Footnotes break segments in OOo 1.x documents
  https://sourceforge.net/p/omegat/bugs/333/

  Localisation updates:

  - Danish 1.6.2 localisation + instant start
  - Polish 1.6.2 localisation + partial manual
  - Catalan localisation updated to 1.7.2
  - Belarusian UI updated to 1.7.2
  - French localisation updated to 1.7.3

----------------------------------------------------------------------
 OmegaT 1.7.2 (2007-09-24)
----------------------------------------------------------------------
   3 Enhancements
   7 Bug fixes
   8 Localisation updates
----------------------------------------------------------------------
1.7.2 vs. 1.7.1

Contains three new localisations (Simplified Chinese, Traditional Chinese and Czech) and bug fixes

  Implemented requests:

  - Have a more complete ISO 639 list in the UI
  https://sourceforge.net/p/omegat/feature-requests/347/

  - instant start display in the main window
  https://sourceforge.net/p/omegat/feature-requests/273/

  - Current file highlighted in Project Files Window
  https://sourceforge.net/p/omegat/feature-requests/357/

  Bug fixes:

  - Incorrect/unclear data in project_save.txt
  https://sourceforge.net/p/omegat/bugs/274/

  - regression in the JA UI strings 1.7.1 test
  https://sourceforge.net/p/omegat/bugs/318/

  - Only try to get MediaWiki page if a string has been entered
  https://sourceforge.net/p/omegat/bugs/320/

  - readme_pt_BR.txt is garbled (incorrect encoding?)
  https://sourceforge.net/p/omegat/documentation/5/

  - Editor window still shows filename after closing project
  https://sourceforge.net/p/omegat/bugs/312/

  - omegat version nb in project_save.tmx
  https://sourceforge.net/p/omegat/bugs/322/

  - sh language is not expanded in the manual
  https://sourceforge.net/p/omegat/bugs/317/

  Other enhancements:

  - Simplified Chinese UI localisation + manual translation
  - French localisation updated to 1.7.1
  - Basque localisation updated to 1.7.1
  - Slovak localisation updated to 1.7.1
  - Serbo-Croatian localisation updated to 1.7.1
  - Traditional Chinese 1.6.2 localisation
  - Dutch 1.6.2 localisation
  - Czech UI localisation + manual translation

----------------------------------------------------------------------
 OmegaT 1.7.1 (2007-07-03)
----------------------------------------------------------------------
  15 Enhancements
  19 Bug fixes
  10 Localisation updates
----------------------------------------------------------------------
1.7.1 vs. 1.6.1_04

Contains two new filters (XLIFF and Office 2007 XML), many bug fixes, new features, and general improvements

  Implemented requests:

  - Jump to segment #
  https://sourceforge.net/p/omegat/feature-requests/34/

  - Indicate number of results in search window
  https://sourceforge.net/p/omegat/feature-requests/153/

  - Log file l10n and debugging
  https://sourceforge.net/p/omegat/feature-requests/55/

  - Ctrl+Delete, Ctrl+Backspace, and overwriting with Ctrl+i
  https://sourceforge.net/p/omegat/feature-requests/223/

  - Monolingual XLIFF (Okapi) filter
  https://sourceforge.net/p/omegat/feature-requests/315/

  - Apply font to Tag Verification and Project Files windows
  https://sourceforge.net/p/omegat/feature-requests/209/

  - Simplified coloring tags in tag validation window
  https://sourceforge.net/p/omegat/feature-requests/329/

  - Executable alternative to OmegaT.bat
  https://sourceforge.net/p/omegat/feature-requests/330/

  - HTML filters->optional translatable contents in attribute
  https://sourceforge.net/p/omegat/feature-requests/159/

  - (X)HTML: Optional paragraph on BR
  https://sourceforge.net/p/omegat/feature-requests/332/

  - OOo documents, do not show "default language"
  https://sourceforge.net/p/omegat/feature-requests/334/

  - Add direct support for Office 2007 XML
  https://sourceforge.net/p/omegat/feature-requests/237/

  - Do not show quotation marks in glossary pane
  https://sourceforge.net/p/omegat/feature-requests/338/

  - Import MediaWiki source page
  https://sourceforge.net/p/omegat/feature-requests/345/

 Other enhancements:

  - New logging API

  - Enhanced default German segmentation rules

 Bug fixes:

  - Hardcoded bits of text unlocalisable
  https://sourceforge.net/p/omegat/bugs/256/

  - log.txt encoding
  https://sourceforge.net/p/omegat/bugs/253/

  - Incorrect XHTML file not parsed at all
  https://sourceforge.net/p/omegat/bugs/238/

  - DocBook: indexterm not recognised as sub text
  https://sourceforge.net/p/omegat/bugs/300/

  - DocBook: <member> should create a new segment
  https://sourceforge.net/p/omegat/bugs/301/

  - OmegaT.exe not compatible with Java 1.6
  https://sourceforge.net/p/omegat/bugs/306/

  - (X)HTML: HR not defined as a paragraph tag
  https://sourceforge.net/p/omegat/bugs/310/

  - Ctrl+Z in search window is hard coded
  https://sourceforge.net/p/omegat/bugs/276/

  - Localization projects glitches
  https://sourceforge.net/p/omegat/bugs/271/

  - Sentence break on comments in OOo documents
  https://sourceforge.net/p/omegat/bugs/281/

  - Resource bundle filter incomplete
  https://sourceforge.net/p/omegat/bugs/266/

  - FF character in license.txt
  https://sourceforge.net/p/omegat/bugs/298/

  - Can not build on Windows XP
  https://sourceforge.net/p/omegat/bugs/293/

  - Wrong auto encoding for XML documents
  https://sourceforge.net/p/omegat/bugs/290/

  - Wrong link in legalNotices.html
  https://sourceforge.net/p/omegat/documentation/7/

  - Search: simple wilcards do not work
  https://sourceforge.net/p/omegat/bugs/303/

  - Language code in segmentation rule is case sensitive
  https://sourceforge.net/p/omegat/bugs/285/

  - Less than sign causes problems in HTML and OpenOffice
  https://sourceforge.net/p/omegat/bugs/39/

  - Pasting with middle mouse button allowed anywhere in editor
  https://sourceforge.net/p/omegat/bugs/315/

  Localisation updates:

  - German instant start tutorial
  - Slovenian UI localisation + manual translation
  - Basque UI localisation + manual translation
  - Hungarian UI localisation + manual translation
  - Turkish UI localisation + instant start tutorial
  - Catalan UI localisation + manual translation
  - Ukrainian UI localisation
  - French UI localisation (update) + instant start tutorial
  - Japanese UI localisation + manual translation
  - Simplified Chinese UI localisation + manual translation

----------------------------------------------------------------------
1.6.1_04 (2007-02-03)
Fixes a licensing issue with the MRJAdapter lib

Version 1.09 of the MRJAdapter library is licensed under the
Artistic License, which is incompatible with the GPL, the license
OmegaT uses. The effect of this is that redistribution of OmegaT
is not allowed. We have fixed this by reverting to version 1.08
of the MRJAdapter library, licensed under the LGPL, which is
GPL-compatible.

 Bug fixes:

  - License incompatibility
  (Inconsistent license information)
  https://sourceforge.net/p/omegat/bugs/269/

----------------------------------------------------------------------
1.6.1_03 ( 2007-01-07)
Contains new and updated localisations.

 Implemented requests:

  -

 Other enhancements:

  - Italian instant start guide updated

  - Serbo-Croation user manual translation

  - Albanian user manual translation

 Bug fixes:

  -

----------------------------------------------------------------------
1.6.1_02 (2006-12-09)
Contains new and updated localisations, legacy manual translations,
and two bug fixes

 Implemented requests:

  -

 Other enhancements:

  - French localisation updated

  - Japanese localisation updated

  - Serbo-Croation UI localisation + instant start guide translation

  - User manual language selection screen (displays only if a
  translation in the system language is unavailable)

  - Legacy user manual translations re-introduced for Belo-Russian,
  German, Esperanto, Spanish, French, Japanese, and Russian.

  - Italian user manual translation

  - Albanian UI localisation + instant start guide translation

  - Belarusian UI localisation updated

 Bug fixes:

  - Corrupted TMX after weird GUI interaction
  https://sourceforge.net/p/omegat/bugs/262/

  - Inconsistent license information
  https://sourceforge.net/p/omegat/bugs/269/

----------------------------------------------------------------------
1.6.1_01 (2006-11-27)
Contains new localisations plus a couple bug fixes

 Implemented requests:

  -

 Other enhancements:

  - French UI localisation + instant start guide translation

  - Brazilian Portugese full localisation

  - Slovak full localisation

  - Italian instant start guide translation

 Bug fixes:

   - Localisation errors
   https://sourceforge.net/p/omegat/bugs/249/

   - Some texts not loaded from external resource bundle
   https://sourceforge.net/p/omegat/bugs/255/

   - [target=japanese] some trailing spaces are not reproduced
   https://sourceforge.net/p/omegat/bugs/252/

   - Insert best match (% setting)
   https://sourceforge.net/p/omegat/bugs/250/

   - Segmentation of bundles on empty lines
   https://sourceforge.net/p/omegat/bugs/225/

----------------------------------------------------------------------
1.6.1 (2006-11-25)
Contains a new HTML Help Compiler (HCC) filter

 Implemented requests:

  - HTML Help Compiler filter
  https://sourceforge.net/p/omegat/feature-requests/249/

  - Restore GUI widget
   https://sourceforge.net/p/omegat/feature-requests/215/

 Other enhancements:

  - Command line option to select a different locale than the default

  - Command line option to load an external resource bundle

  - Improved display of OmegaT version. Now includes update number.

 Bug fixes:

  - Arbitrary modification of project_save.tmx
  https://sourceforge.net/p/omegat/bugs/247/

----------------------------------------------------------------------
1.6.0_02 (2006-11-11)
Contains a number of quick bug fixes and a documentation enhancement.

 Enhancements:

  - [Doc] readme.txt: some clarification on Java
  https://sourceforge.net/p/omegat/feature-requests/246/

 Bug fixes:

  -Incorreft referral in index.html in root dir
  https://sourceforge.net/p/omegat/bugs/243/

  - Links not working in instant start guide
  https://sourceforge.net/p/omegat/bugs/242/

  - Search in files shouldn't be checked by default
  https://sourceforge.net/p/omegat/bugs/240/

  - Incorrect display in search function
  https://sourceforge.net/p/omegat/bugs/239/

  - Force kill causes project_save.tmx destruction
  https://sourceforge.net/p/omegat/bugs/230/

  - First segment validation persistence issue
  https://sourceforge.net/p/omegat/bugs/235/

  - Project TM not read by older versions
  https://sourceforge.net/p/omegat/bugs/246/

  - TMX 1.4 files output by OmegaT refer to TMX 1.1 DTD
  https://sourceforge.net/p/omegat/bugs/245/

  - Suprefluous 'while parsing' in bundle.properties
  https://sourceforge.net/p/omegat/bugs/244/

  - Segmentation/parsing problem while translating .properties
  https://sourceforge.net/p/omegat/bugs/241/

----------------------------------------------------------------------
1.6.0_01 (2006-11-03)
Contains a number of quick bug fixes.

----------------------------------------------------------------------
1.6.0 (2006-10-31)
Contains a form of TMX level 2 export sufficiently compatible with
other CAT tools, and supports regular expression searches.

 Enhancements:

  - Fully overhauled user manual
  [No RFE submitted]

  - Sufficient TMX level 2 support
  [No RFE submitted]

  - Alternate translations in TMX files are no longer skipped
  [No RFE submitted]

  - Regular expression search
  https://sourceforge.net/p/omegat/bugs/189/

  - More search options with greater flexibility
  [No RFE submitted]

 Bug fixes:

  - Multiple instances of OmegaT and log file
  https://sourceforge.net/p/omegat/bugs/134/

  - Untranslated segment marked as translated
  https://sourceforge.net/p/omegat/bugs/146/

  - Search options persistence
  https://sourceforge.net/p/omegat/bugs/172/

  - Match ordering
  https://sourceforge.net/p/omegat/bugs/175/

  - [MacOSX] Browsing wrong folders from project properties
  https://sourceforge.net/p/omegat/bugs/187/

  - Search function should differentiate accented letters
  https://sourceforge.net/p/omegat/bugs/189/

  - Tag validation window does not remember position
  https://sourceforge.net/p/omegat/bugs/210/

  - Log display bug when parsing TMX
  https://sourceforge.net/p/omegat/bugs/211/

  - Trados TMX import bug
  https://sourceforge.net/p/omegat/bugs/213/

  - project_stats.txt not updated
  https://sourceforge.net/p/omegat/bugs/214/

  - Can't start on Fedore Core 5 with JDK1.6
  https://sourceforge.net/p/omegat/bugs/215/

  - Project files window position
  https://sourceforge.net/p/omegat/bugs/218/

  - [OpenDocument] One bookmark attribute not translatable
  https://sourceforge.net/p/omegat/bugs/221/

  - Out of memory error
  https://sourceforge.net/p/omegat/bugs/222/

  - Charset definition in HTML files
  https://sourceforge.net/p/omegat/bugs/223/

  - Ctrl+z (cancel) does not work in the search window
  https://sourceforge.net/p/omegat/bugs/220/

  - Cancel button not working
  https://sourceforge.net/p/omegat/bugs/229/

  - Project files window dismissal
  https://sourceforge.net/p/omegat/bugs/228/

  - Folder selection in properties dialog
  https://sourceforge.net/p/omegat/bugs/227/

  - Closing a project and the related windows
  https://sourceforge.net/p/omegat/bugs/219/

  - Filters Configuration is not persistent under Turkish locale
  https://sourceforge.net/p/omegat/bugs/61/

  - Respect original CR/LF of plain text files
  https://sourceforge.net/p/omegat/bugs/179/

  - Numbers not coloured in match
  https://sourceforge.net/p/omegat/bugs/234/

----------------------------------------------------------------------
1.6.0 RC12a (2006-07-30)
Contains new Open Document filter, replaces a docking library, and
fixes a few regressions of RC11 and RC12.

 Enchancements:

  - [OpenDocument] Support for inserted OpenDocument files
    https://sourceforge.net/p/omegat/feature-requests/64/

  - [OpenDocument] Translate Bookmarks and Index Entries
    https://sourceforge.net/p/omegat/feature-requests/207/

  - Upgrade 1.4.x tag numbering and restore pair tags
    https://sourceforge.net/p/omegat/feature-requests/205/

  - Upgrade TMXs from paragraph to sentence segmentation
    https://sourceforge.net/p/omegat/feature-requests/206/

  - File statistics should list relative file paths
    https://sourceforge.net/p/omegat/feature-requests/199/

  - Exact OmegaT version in TMX
    https://sourceforge.net/p/omegat/feature-requests/158/

 Bug fixes:

  - [OpenDocument] Writer headers and footers not honored
    https://sourceforge.net/p/omegat/bugs/35/

  - [OpenDocument] Footnote markers break sentences
    https://sourceforge.net/p/omegat/bugs/177/

  - [OpenDocument] Tracked changes add unnecessary data
    https://sourceforge.net/p/omegat/bugs/178/

  - [Regression] Wrong saved path for project folders
    https://sourceforge.net/p/omegat/bugs/200/

  - [Regression] Buggy Docking Library
    https://sourceforge.net/p/omegat/bugs/198/

  - Encoding problem with project_stats.txt file
    https://sourceforge.net/p/omegat/bugs/199/

  - ClassNotFoundException while loading a project
    https://sourceforge.net/p/omegat/bugs/204/

----------------------------------------------------------------------
1.6.0 RC11b (2006-07-05)
Fixes two nasty regressions of RC11. Sorry for inadequate testing everyone.

 Bug fixes:

 - Glossary displays source=source
   https://sourceforge.net/p/omegat/bugs/194/

 - Insert/replace with match does not work
   https://sourceforge.net/p/omegat/bugs/195/

 - No colouring in matches window
   https://sourceforge.net/p/omegat/bugs/196/

----------------------------------------------------------------------
1.6.0 RC11 (2006-07-02)

 Enchancements:

 - Enable relative paths in omegat.project
   https://sourceforge.net/p/omegat/feature-requests/41/

 - Match/Glossary pane may be docked to single main window, improved
   https://sourceforge.net/p/omegat/feature-requests/177/

 - Separate match and glossary window
   https://sourceforge.net/p/omegat/feature-requests/127/

 Bug fixes:

 - HTML filter doesn't handle XHTML in full
   https://sourceforge.net/p/omegat/bugs/184/

 - "Re-activate" output of word_count
   https://sourceforge.net/p/omegat/bugs/171/

----------------------------------------------------------------------
1.6.0 RC10 (2006-06-16)

 Enchancements:

 - New filter: DocBook files
   https://sourceforge.net/p/omegat/feature-requests/7/

 - New filter: PO files
   https://sourceforge.net/p/omegat/feature-requests/181/

 - New Filter: Key-Value text files
   https://sourceforge.net/p/omegat/feature-requests/172/

 - Match/Glossary pane may be docked to single main window
   https://sourceforge.net/p/omegat/feature-requests/177/

 - Find function should not display identical segments
   https://sourceforge.net/p/omegat/feature-requests/83/

 - Separate language and formatting rules
   https://sourceforge.net/p/omegat/feature-requests/179/

 - Give total number of segments in Project Files window
   https://sourceforge.net/p/omegat/feature-requests/191/

 Bug fixes:

 - Problems with segments clickability (Java5+MacOSX-specific regression)
   https://sourceforge.net/p/omegat/bugs/162/

 - "Re-activate" output of word_count
   https://sourceforge.net/p/omegat/bugs/171/

 - [CJK] [1.6RC8] Translated text files miss line breaks in CJK
   https://sourceforge.net/p/omegat/bugs/180/

 - [OO] Don't segment on inline images, bookmarks, references
   https://sourceforge.net/p/omegat/bugs/176/

 - Windows closing/position problems/String problems
   https://sourceforge.net/p/omegat/bugs/131/

 - Language codes forced to uppercase
   https://sourceforge.net/p/omegat/bugs/185/

 - Language names in segmentation file are hardcoded
   https://sourceforge.net/p/omegat/bugs/182/

 - Shortcuts active while menus are not
   https://sourceforge.net/p/omegat/bugs/170/

 - Go to next untranslated should cycle the project
   https://sourceforge.net/p/omegat/bugs/173/

 - Previous segment shortcut should be CMD+Enter on MacOSX
   https://sourceforge.net/p/omegat/bugs/183/


1.6.0 RC9 - internal version that was never released

 Enchancements:

 - [Filters] New Filter for Key-Value text files (differently encoded)
   https://sourceforge.net/p/omegat/feature-requests/172/

 - Match/Glossary pane may be docked to single main window
   https://sourceforge.net/p/omegat/feature-requests/177/

 - Separate language and formatting rules
   https://sourceforge.net/p/omegat/feature-requests/179/

 Bug fixes:

 - Problems with segments clickability (Java5+MacOSX-specific regression)
   https://sourceforge.net/p/omegat/bugs/162/

 - "Re-activate" output of word_count
   https://sourceforge.net/p/omegat/bugs/171/

 - [CJK] [1.6RC8] Translated text files miss line breaks in CJK
   https://sourceforge.net/p/omegat/bugs/180/

 - [OO] Don't segment on inline images, bookmarks, references
   https://sourceforge.net/p/omegat/bugs/176/

 - [OO] Tracked changes add unnecessary data
   https://sourceforge.net/p/omegat/bugs/178/

 - Windows closing/position problems/String problems
   https://sourceforge.net/p/omegat/bugs/131/

 - Language codes forced to uppercase
   https://sourceforge.net/p/omegat/bugs/185/

 - Language names in segmentation file are hardcoded
   https://sourceforge.net/p/omegat/bugs/182/

 - Shortcuts active while menus are not
   https://sourceforge.net/p/omegat/bugs/170/

 - Go to next untranslated should cycle the project
   https://sourceforge.net/p/omegat/bugs/173/

 - Previous segment shortcut should be CMD+Enter on MacOSX
   https://sourceforge.net/p/omegat/bugs/183/


1.6.0 RC8 (2006-03-03)

 Enchancements:

 - keeping Cursor at middle of working window
   https://sourceforge.net/p/omegat/feature-requests/74/

 Bug fixes:

 - Problems with segments visibility (RC7 regression)
   https://sourceforge.net/p/omegat/bugs/162/

 - Japanese mismatches
   https://sourceforge.net/p/omegat/bugs/133/

 - Regex exception when loading glossary
   https://sourceforge.net/p/omegat/bugs/166/

 - BOM problem in UTF-8 glossaries
   https://sourceforge.net/p/omegat/bugs/167/

 - Upgrade segmentation defaults each new version
   https://sourceforge.net/p/omegat/bugs/161/


1.6.0 RC7 (2006-02-21)

 Enchancements:

 - Delete orphan segments from exported TMX file
   https://sourceforge.net/p/omegat/feature-requests/149/

 - Filters should be individually configured
   https://sourceforge.net/p/omegat/feature-requests/155/

 - Option for Text filter: Non-segmenting filter
   https://sourceforge.net/p/omegat/feature-requests/157/

 - Save project's backup each reload (up to 10 backups)
   https://sourceforge.net/p/omegat/feature-requests/156/

 Bug fixes:

 - Performance issue with Huge files
   https://sourceforge.net/p/omegat/bugs/157/

 - Dialogs/windows do not close on Escape
   https://sourceforge.net/p/omegat/bugs/153/

 - Structure of HTML not respected in output
   (second iteration over a Bug fix first appeared in 1.6.RC4)
   https://sourceforge.net/p/omegat/bugs/108/

 - Do not add encoding declaration meta if HTML has no header
   https://sourceforge.net/p/omegat/bugs/142/

 - OO tags are numbered one-by-one
   https://sourceforge.net/p/omegat/bugs/158/

 - OO bug: Initial and trailing tags falsely skipped
   https://sourceforge.net/p/omegat/bugs/159/

 - Dialogs/windows do not close on Escape
   https://sourceforge.net/p/omegat/bugs/153/

 - status bar display bug
   https://sourceforge.net/p/omegat/bugs/151/

 - About dialog too small
   https://sourceforge.net/p/omegat/bugs/155/

 - License dialog too small/funny characters
   https://sourceforge.net/p/omegat/bugs/154/

1.6 RC6 (2005-11-30)

 Enchancements:

 - TMX: Import TMX 1.4b, export TMX 1.1 Level 1
   https://sourceforge.net/p/omegat/feature-requests/17/

 - Language matching precision while importing TMX files
   https://sourceforge.net/p/omegat/feature-requests/148/

 Bug fixes:

 - Unicode path names problem
   https://sourceforge.net/p/omegat/bugs/132/

 - Case sensitivity for segmentation rules
   https://sourceforge.net/p/omegat/bugs/136/

 - False positive in tag validation
   https://sourceforge.net/p/omegat/bugs/122/

 - UTF-8 BOM not recognized
   https://sourceforge.net/p/omegat/bugs/145/

 - The order of tags is changed in HTML header when translating
   https://sourceforge.net/p/omegat/bugs/138/

 - incorrect punctuation in some error messages
   https://sourceforge.net/p/omegat/bugs/139/

 - Incorrect menu option naming
   https://sourceforge.net/p/omegat/bugs/147/

 - Empty file makes loading of project fail
   https://sourceforge.net/p/omegat/bugs/141/


1.6 RC5 (2005-12-23)

 Enchancements:

 - OOo tag support (text:user-defined and text:sequence)
   https://sourceforge.net/p/omegat/feature-requests/133/

 - log does not indicate if tmx is loaded.
   https://sourceforge.net/p/omegat/feature-requests/123/

 Bug fixes:

 - generic tmx compatibility issue
   https://sourceforge.net/p/omegat/bugs/111/

 - Previously working TMX not accepted
   https://sourceforge.net/p/omegat/bugs/113/

 - tmx files with srclang set to "*all*"
   https://sourceforge.net/p/omegat/bugs/116/

 - TMX load error message
   https://sourceforge.net/p/omegat/bugs/115/

 - StringIndexOutOfBoundsException in tokenizer
   https://sourceforge.net/p/omegat/bugs/126/

 - OmegaT does not segment on "<br>\n"
   https://sourceforge.net/p/omegat/bugs/128/

 - <div> not considered as segmenting
   https://sourceforge.net/p/omegat/bugs/125/

 - target doc meta-tag not corresponding to original
   http://sourceforge.net/support/tracker.php?aid=1388802

 - Incorrect encoding of error messages
   https://sourceforge.net/p/omegat/bugs/124/

 - typo in about box
   https://sourceforge.net/p/omegat/bugs/123/

 - Bug in auto-copy selected text for search
   https://sourceforge.net/p/omegat/bugs/121/

 - OmegaT autoinserts a fuzzy match when you try to quit it
   https://sourceforge.net/p/omegat/bugs/118/

 - first segment does not trigger matches after load
   https://sourceforge.net/p/omegat/bugs/117/

 - False positive in tag validation
   https://sourceforge.net/p/omegat/bugs/122/

1.6 RC4 (2005-11-30)

 Enchancements:

 - Access to segmentation rules
   https://sourceforge.net/p/omegat/feature-requests/120/

 Bug fixes:

 - HTML bug: Initial tags falsely skipped
   https://sourceforge.net/p/omegat/bugs/104/

 - Structure of HTML not respected in output
   https://sourceforge.net/p/omegat/bugs/108/

 - trados tmx compatibility issue
   https://sourceforge.net/p/omegat/bugs/110/

 - empty <tu> in external TMX fail project loading
   https://sourceforge.net/p/omegat/bugs/109/

 - search bug
   https://sourceforge.net/p/omegat/bugs/100/


1.6 RC3 (2005-11-17)

 Enchancements:

 - Keyboard option (ESC) to close Find window
   https://sourceforge.net/p/omegat/feature-requests/107/

 - Add Yes/No Warning before OmegaT quits
   https://sourceforge.net/p/omegat/feature-requests/91/

 Bug fixes:

 - sentence segmenting regexp and Japanese
   https://sourceforge.net/p/omegat/bugs/95/

 - search bug
   https://sourceforge.net/p/omegat/bugs/100/

 - The help viewer does not recognize external links
   http://sourceforge.net/support/tracker.php?aid=1348851

 - Index entries in OpenOffice documents segment the text
   https://sourceforge.net/p/omegat/bugs/103/


1.6 RC2.002 (2005-11-09)

 Enchancements:

 - DL, DD, DT tags should segment
   https://sourceforge.net/p/omegat/feature-requests/102/

 - Different enchancements for Editing Options
   https://sourceforge.net/p/omegat/feature-requests/100/

 Bug fixes:

 - Bug if Target Encoding is set to [auto] for (X)HTML
   https://sourceforge.net/p/omegat/bugs/101/


1.6 RC2 (2005-11-07)
-------------------------------

 Enchancements:

 - Flexible (Sentence) Segmenting
   https://sourceforge.net/p/omegat/feature-requests/25/

 - Translate HTML attributes "alt", "title" etc
   https://sourceforge.net/p/omegat/feature-requests/77/

 - Variable charset for output of (X)HTML documents
   https://sourceforge.net/p/omegat/feature-requests/93/

 - Edit Project to change project parameters
   https://sourceforge.net/p/omegat/feature-requests/71/

 - Display save status in the status bar
   https://sourceforge.net/p/omegat/feature-requests/72/

 - Display "OmegaT: Instant Start" article on statup
   https://sourceforge.net/p/omegat/feature-requests/63/

 - Project File List small improvements
   https://sourceforge.net/p/omegat/feature-requests/82/

 - Option: not copy source text into target field
   https://sourceforge.net/p/omegat/feature-requests/32/

 - Option: Insert best match (80%+) into target field
   https://sourceforge.net/p/omegat/feature-requests/33/

 - Creating project should immediately open it
   (code by Kim Bruning)
   https://sourceforge.net/p/omegat/feature-requests/95/

 - Allow adding source files from OmegaT UI
   (code by Kim Bruning)
   https://sourceforge.net/p/omegat/feature-requests/96/

 - Add scroller to Match Window
   https://sourceforge.net/p/omegat/feature-requests/84/

 - Give use more key shorctuts!
   https://sourceforge.net/p/omegat/feature-requests/76/

 Bug fixes:

 - Tools/Validate tags shouldn't display a list of errors
   if no errors were found
   https://sourceforge.net/p/omegat/bugs/64/

 - Several problems in XHTML filter
   https://sourceforge.net/p/omegat/bugs/32/

 - HTML filter doesn't handle CDATA sections
   https://sourceforge.net/p/omegat/bugs/62/

 - javascript quote marks wrongly replaced (in HTML)
   https://sourceforge.net/p/omegat/bugs/69/

 - Empty files are displayed in a file list window
   https://sourceforge.net/p/omegat/bugs/79/

 - AltGr+A in Irish deletes all the segment text
   https://sourceforge.net/p/omegat/bugs/92/

 - Valid TMX 1.1 unsupported (CSVConverter's output)
   https://sourceforge.net/p/omegat/bugs/86/

 - <br> and <address> don't segment in HTML documents
   https://sourceforge.net/p/omegat/bugs/84/

 - Changing the highlighted match types number on MacOSX
   https://sourceforge.net/p/omegat/bugs/87/

 - Users Manual not found if OT is started not from install dir
   https://sourceforge.net/p/omegat/bugs/91/

 - 1.4.6beta4 selection in the match window
   (1.4.6 beta 4 regression)
   https://sourceforge.net/p/omegat/bugs/94/

 - Tags are taken into account when computing similarity
   https://sourceforge.net/p/omegat/bugs/93/

 - Command shortcuts must use CMD+Key on MacOSX
   https://sourceforge.net/p/omegat/bugs/87/

 - <br> and <address> do not segment in HTLM documents
   https://sourceforge.net/p/omegat/bugs/84/

 - Window size settings not memorized on MacOSX
   https://sourceforge.net/p/omegat/bugs/74/

1.4.5.04 (2005-08-11)
-------------------------------

 Bug fixes:

 - Empty files are displayed in a file list window
   https://sourceforge.net/p/omegat/bugs/79/

 - AltGr+A in Irish deletes all the segment text
   http://sourceforge.net/support/tracker.php?aid=1256094


1.4.5.03 (2005-08-08)
-------------------------------

 Bug fixes:

 - HOME and END key issues:
     * While pressing the HOME key cursor moves to begining of a line
     * While pressing the END key cursor moves to end of a line
   https://sourceforge.net/p/omegat/bugs/76/

 Enchancements:

 - German User Manual included
   Thanks goes to Martin Wunderlich!

1.4.5.02 (2005-06-22)
-------------------------------

 Bug fixes:

 - Regression: 1.4.5.01 Cannot create/open a project
   https://sourceforge.net/p/omegat/bugs/75/


1.4.5.01 (2005-06-14)
-------------------------------

 Bug fixes:

 - Serious threading issue, preventing OmegaT from showing up...
   https://sourceforge.net/p/omegat/bugs/71/

 - ResourceBundle filter bug: \\ -> \
   https://sourceforge.net/p/omegat/bugs/70/

 - Select all in the editing field shifts focus on MacOSX
   https://sourceforge.net/p/omegat/bugs/67/

 Enchancements:

 - Open the project when selecting the project folder
   https://sourceforge.net/p/omegat/feature-requests/62/

1.4.5 (2005-05-31)
-------------------------------

 Bug fixes:

 - Problem with glossary - OmT freezing
   https://sourceforge.net/p/omegat/bugs/66/

 - Filters Configuration is not persistent under Turkish locale
   https://sourceforge.net/p/omegat/bugs/61/
   (workaround JVM bug)


1.4.5 Release Candidate 3 (2005-05-18)
-------------------------------

 Bug fixes:

 - Less than sign causes problems in HTML, XHTML and OpenOffice
   http://sourceforge.net/p/omegat/bugs/39/

 - Keys to select/delete target text work not as expected
   http://sourceforge.net/p/omegat/bugs/27/

 - No warnings on wrong language codes during project creation
   http://sourceforge.net/p/omegat/bugs/20/

 - Weird behaviour of Create Project / Open Project dialogs:
   * Cancel during project creation caused the dialog to appear in weird state
   * Cancel during project load resulted in InterruptedAcception shown to the user

 - Corrupt target OOo files after compiling
   http://sourceforge.net/p/omegat/bugs/40/
   (regression in OpenOffice and XHTML due to a massive rewrite of file filters)

 - Compiled OO files missing language-specific characters
   http://sourceforge.net/p/omegat/bugs/42/
   (regression in OpenOffice filter due to a massive rewrite of file filters)


 Enchancements:

 - File Filters Redesign
   http://sourceforge.net/p/omegat/feature-requests/6/

   Now mostly all the information about filters is exposed,
   and may be edited by user. Such as:
   * Turning filters on/off
   * Adding/changing extension(s) of each format
   * Setting of the source & target encoding for the filter to use.
   * Setting a pattern of target filename

 - Load filters as plugins
   http://sourceforge.net/p/omegat/feature-requests/46/

   OmegaT now may load filter plugins dynamically.
   Filter plugins should be situated in [OmegaT-install-dir]/plugins
   and should be packed as JAR files with manifest stating:
   * OmegaT-Plugin: true   and then for each filter in a plugin (each plugin may have more than one filter)
   * Name: the.package.name.TheFilterName
   * OmegaT-Filter: true

 - UI issues: Make menu item names more clear & Change the way we display version
   http://sourceforge.net/p/omegat/feature-requests/18/
   http://sourceforge.net/p/omegat/feature-requests/19/

 - ESC to close the file list
   http://sourceforge.net/p/omegat/feature-requests/30/

 - Hide CDATA from translators in XML/XHTML
   http://sourceforge.net/p/omegat/feature-requests/40/

 - Error log
   http://sourceforge.net/p/omegat/feature-requests/43/
   (now OmegaT stores error messages to 'log.txt' file, reset each time you start OmegaT)

 - New filter: NetBeans EDGE Newsletter
   http://sourceforge.net/p/omegat/feature-requests/47/
   (really a small extension of XML filter, useful for a really small number of people.
    this filter is implemented as a plugn).

 - Edit the project directories paths
   http://sourceforge.net/p/omegat/feature-requests/48/

 - Match/Glossary Split Pane
   http://sourceforge.net/p/omegat/feature-requests/50/

1.4.5 Beta3 (2005-05-05)
-------------------------------

Bug fixes:

- Compiled OpenOffice files missing language-specific characters
  http://sourceforge.net/p/omegat/bugs/42/

- No warnings on wrong language codes during project creation
  http://sourceforge.net/p/omegat/bugs/20/

Also some work on stabilizing the interface...

Not yet in Beta3:
      Finalize documentation and implement some minor Bug fixes / RFEs.

1.4.5 Beta2 (2005-04-20)
-------------------------------
Bug fixes:

- Less than sign causes problems in XHTML & OpenOffice
  (similar to the Bug fix in Beta1, but for XML-based filters)
  http://sourceforge.net/p/omegat/bugs/39/

Enchancements:

- Now 1.4.5 is fully localizable (no hardcoded English is left).

- OmegaT 1.4.5 is compiled using Java 1.4,
  but is fully functional under both Java 1.4 and Java 5.

1.4.5 Beta1 (2005-04-17)
-------------------------------
Bug fixes:

- Less than sign causes problems in HTML
  http://sourceforge.net/p/omegat/bugs/39/

Enchancements:

- Change the way we display version
  http://sourceforge.net/p/omegat/feature-requests/19/

- Editing extension mapping
  http://sourceforge.net/p/omegat/feature-requests/6/

1.4.4.02 (2005-02-10)
-------------------------------
Bug fixes:

- Wrong handling of CDATA tags in XHTML
  http://sourceforge.net/p/omegat/bugs/31/

- OmegaT throws error instead of eating BOM (byte order mark)
  http://sourceforge.net/p/omegat/bugs/30/


1.4.4.01 (2005-01-20)
-------------------------------
(1.4.4 "final" contained a serious bug in TXT file handler,
 http://sourceforge.net/p/omegat/bugs/29/
 and was released for a couple of days only, hope you don't have it)
-------------------------------
Enchancements:

- Easy Help system localization
  (and Belorussian, French, German, Russian and Spanish l10ns)

- Separate source distribution of OmegaT

- Ability to jump to next not yet translated segment
  by Henry Pijffers

- Increased number of fuzzy matches
  (now with as low as 40% similarity)

- Refactoring HTML and XML file handlers
  to improve speed and stability

- Some refactorings of file handlers
  to streamline the development of new file handlers
  (will be useful in the future, I hope)

- Glossary now supports UTF-8
  (glossary file should be tab-delimited,
   if extension is .tab - it's in default system encoding,
   is .utf8 - it's in UTF-8 encoding)
   itherwise the file is ignored

Bug fixes:

- Too little fuzzy matches were found,
  especially in small projects

- Old Fuzzy Matching engine was totally
  bad on Japanese source files

- HTML Encoding wasn't always recognized correctly

- And sometimes encoding meta was not inserted
  into compiled HTML files

- Help file viewer was shown multiple times
  by Sacha Chua

- Empty segments were uselessly displayed

- Font Change now works reliably


1.4.3 (2004-09-20)
-------------------------------
Bug fix release:

- Fixed Bad Segmentation of some files,
  as documented in: http://groups.yahoo.com/group/OmegaT/message/672

- (minor) .properties file handler had off-by-one error when
  parsing Unicode symbols of a form \uXXXX.

Enchancements:
- Created an independent tool to import existing translations
  of .properties files

- Added "Join mailing list" to Windows menu

1.4.2 (2004-08-13)
-------------------------------
A lot of enhancements:

- Installer and Native .exe launcher for Win32 platform:
    Install script was created by Samuel Murray
    Launcher created using JSmooth.SF.net project

- OmegaT code was refactored:
  1) Each class now resides in a separate file
  2) Classes are structured to packages according to their function
  3) Unused, commented-out and debug code was cleaned out

- OmegaT backs up it's main TMX file after successfully opening it
  (backup has the name project_save.tmx.bak)

- OmegaT is fully localizable now:
  All localizable strings are moved to resource bundle

- New filter: Java ResourceBundles (.properties files)

  !!! Now you're able to localize OmegaT using OmegaT itself !!!
  - create an empty project for your language,
  - copy source/org/omegat/Bundle.properties into project's 'source' dir
  - open the project, translate it and compile
  - send us the Bundle_XX.properties from project's 'target' dir

One MAJOR bug fixed:
- Cannot insert \n (newline) into localized text

1.4.1 (2004-08-06)
-------------------------------
Match window now displays only fuzzy matches that have a translation.
Benefits:
- fuzzy matches of very similiar phrases without translation
  don't garbage the screen estate
- in early times of project (when there's not a lot of strings translated),
  less similiar phrases may be found

and 6 minor bugs fixed:
- Match window contains 6 matches sometimes
- Ctrl-N goes to previous segment
- Sometimes all the text in match window is bold
- Wrong message template: "found {1} glossary term(s)"
- Going to segment without matches may throw Exception
- Status label disappears someties


1.4.0 (2004-07-15)
-------------------------------
Repackaging of 1.3.16 plus the latest help files.


1.3.16
-------------------------------
Fixed a bug in the file copy routine which would append extra data onto
  unrecongized files when making an image of the source tree (thanks Maxym)
Modified the search mechanism to uninflect common western letters, so
  a search for an accented character would also match its unaccented form

1.3.15 (2004-06-02)
-------------------------------
fixed bug where advance key wouldn't reset back from TAB in pref file
fixed bugs involving text being deleted from translation area (corrupted
  and incorrect display)
(re)added background color to source text

1.3.14 rc3 (and there'll be at least one more RC relase to go)
--------------------------------
now pull look and feel from system
shrank default window size for 600x800 screen a couple of pixels
deactivated 'New Project' feature while existing project was active
added new <span> tag to HTML and XHTML file parser

1.3.13 rc2
--------------------------------
activated colors for fuzzy match info
reduced default window height to give at least 60 pixels at bottom of screen

1.3.12 (1.4 release candidate 1)
--------------------------------
changed window auto-sizing code (it would break on certain platforms).
  now store window positions in preference file and restore on open
fixed potential bug in project quit routine
allow users to select between TAB and ENTER to advance to next string
  (Asian IMEs require the ENTER key in a way that is sometimes incompatible)
  new behavior: ENTER to advance; CTRL-ENTER to move backwards
                TAB to advance; SHIFT-TAB to move backwards
                SHIFT-ENTER to insert soft return
updated help files
removed buggy "goto next untranslated entry" feature
deactivated 'File:Open' when project is already open to prevent accidental
  project closures.  Added new 'File:Close' to explicitly close project.
extended HTML file parser to observe encoding declaration (code changes
  thanks to Maxym Mykhalchuk)
removed build date from .java files to make them more CVS friendly

1.3.11 (2004-04-21)
--------------------------------
fixed a bug in the XHTML parser that would sometimes not build accented
  characters correctly
all files from source directory tree now copied to target tree on compile
gave match/glossary window a keyboard shortcut to hide/show it
activated recursive file searching (this had been silently inactive)
hilited "active" fuzzy match in match pane
fixed offset bug where documents with identical entries would lose a
  character
fixed bug where exception would be thrown if font was set before project
  was loaded

1.3.10 alpha
--------------------------------
fixed bug w/ recycle translation feature where strings became corrupted
added logic to account for task bars at top or left of screen when placing
  windows
fixed bug where TM strings were not recycled into project
changed auto-save interval from every 5 minutes to every minute
removed some unused menu items
returned Ctrl-P as shortcut for goto previous entry
fixed some bugs in the fuzzy matching system

1.3.9 alpha
--------------------------------
depricated 'prev' and 'next' navigation shortcuts (Ctrl-R/P) in favor of more
  more convenient and existing 'Enter' and 'Ctrl-Enter'
added new feature to go to next untranslated string (Ctrl-N)
added mnemonics and changed key mappings (undo/redo now Z/Y - wanted to
  use Mac method of undo=Ctrl-Z and redo=Ctrl-shift-Z, but don't know of
  a straightforward method to do this yet)
find screen display size before drawing windows
(thanks SIB for implementation of these last parts)

1.3.8 alpha
--------------------------------
updated font dialog
fixed bug where exception thrown when changing font w/ no project loaded
extracted fuzzy match info to new window; made glossary info visible
fixed offset bugs that caused out-of-bounds exceptions when changing
  documents


1.3.7 alpha (internal release)
--------------------------------
removed second font and reverted text editor to JTextPane w/o an explicit
  backend document to allow files to open faster (10 times faster).  lost
  some control of display formating in the process
added undo/redo to current edit field
fixed copy-paste bug that allowed ctrl-V paste when selection was hilited
  in context area to misalign display
made searches case insensitive
fixed XHTML output bug that would add extra & and ; to certain escaped
  characters

1.3.6 alpha
--------------------------------
Changed project open dialog to operate on project files directly (instead
                of project directories) as some users could not open projects
                at all (esp. mac users)
Set font in find window to match source language font and size.
Locked out keyboard input when no project active

1.3.5 alpha (2003-09-17)
--------------------------------
(all bug fixes)
where text hilited outside of edit zone could delete non editable text
fixed several bugs in fuzzy matching - now back online

1.3.4 alpha
--------------------------------
#fixed scroll problem where current entry sometimes shows off bottom of screen
fixed bug where untranslated identical segments in same file would throw
        off display
soft returns save and restore correctly now
fixed bug where project would encounter error while loading before
        save thread could be activated, but project would appear to be normal
added TM search to search window
fixed bug where escaped hex codes in xml parser weren't read correctly
fixed bug in html parser where all chars were escaped
fixed character offset problem when identical strings resided in same file
        and UI would get out of sync
added better control to find window controls to only what's available


1.3.2 alpha
--------------------------------
added help window
changed caret movment when hiliting text

1.3.1 alpha
--------------------------------
rewrote string tokenizer - now handles multi-char glyphs
new fuzzy match 'insert' feature
updated 'replace' and 'copy source' to new UI
changed font display mechanism
enabled text hiliting outside of editing zone for copy actions
extended yellow hilite to cover editing zone


1.3.0 alpha
----------------------------------------------------------------------
new UI up and running - text and fonts display properly


OmegaT 1.1.3 (dev)
----------------------------------------------------------------------
deprecated ignore file list


OmegaT 1.1.2 (beta build)
----------------------------------------------------------------------
- Moved find mechanism to seperate window; added wildcard abilities to keyword
  search.
- Modified main UI to provide more space to the translation and context areas.
- OOo parser rewritten to use new core XML file parser
- XHTML support
- extension of HTML parser to recognize more extended characters
- deprecation of .../<project>/omegat/file_extension_mapping file - moved
  information to global preference system


OmegaT 1.0.2 (2003-02-23)
----------------------------------------------------------------------
bug fixes (exact change lost)

OmegaT 1.0.0 (2003-01-10)
----------------------------------------------------------------------
changes
- UI updates: got rid of tables in context view; added icon to UI
- File formats: converted all internal files to XML (except 2 which were left
  as tab files); project_save and compiled tm now TMX (or at least a close
  cousin of TMX)
- Search target text: added mechanism to search translated text.  uses exact
  string matching (as opposed to keyword search in source text)
- Preference system to remember previously used directories and locales
- Project (creating/opening) interface completely changed.  Projects now
  handled as folders instead of files.  Cute icon in file open dialog indicates
  valid project folder.
- New option under Tools menu to examine tags and see if any have changed
  position, been deleted or been added.
- Enabled JVM 1.4 support for find and goto fields to be activated by 'ENTER'
  key

undocumented feature
- hilite text in translation pane then hit ctrl-f (or 'e') and search will
  automatically begin using hilited text
- control enter in the exact match search field will search the source
  langauge segments instead of target lang

bug fixes
all fixes as of 0.9.9
----------------------------------------------------------------------
----------------------------------------------------------------------

0.9.9 (2003-01-03)
----------------------------------------------------------------------
bug fixes
- fixed compile bug in HTML and OOo parsers where parser would get confused
  if a close tag didn't have an associated open tag

note: this release was built by hand using files unziped from 0.9.8.
The release is not in CVS but the changes were put into the 1.0 tree
----------------------------------------------------------------------

0.9.8
----------------------------------------------------------------------
updated manual to most current available

bug fixes
- keyboard shortcuts should now used preferred OS meta key
- changed first project creation dialog to be save dialog (should resolve
mac specific behavior problems)
- fixed potential bug in ignore and mapping preference system
----------------------------------------------------------------------


0.9.7 (2002-12-06)
----------------------------------------------------------------------
changes
converted text file reader to expect latin-1 input, as the default
 utf-8 keeps choking it
added some meaningful output to the console

bug fixes
fixed path bug in TM loader
removed debugging code that kept informing of swallowd keypresses
----------------------------------------------------------------------


0.9.6
----------------------------------------------------------------------
Changes / new features
- New project window that lists all files within a project and hyper-links
  to them for better navigation
- Added 'Browse' buttons to project creation window for more user friendly
  selection of non-default project directories (such as to select a directory
  containing already unpacked source language files)
- New auto-save mechanism.  Currently set to save project automatically
  every 5 minutes.
- Returned ENTER key to it's original use of commiting current entry and
  moving on to the next.  SHIFT-ENTER inserts a soft return (ascii 0x8d)
  into the text field, and CONTROL-ENTER moves to the previous entry.

Bug-fixes
- Automatic saving of existing project when attempting to load new one
- Fixed an intermittent deadlock bug for JRE 1.4

Issues
- Discovered bug in the Java HTML viewer in JRE 1.2 where correctly formed
HTML will sometimes (somehow) cause a string of exceptions to arise and
eventually freeze the application.
----------------------------------------------------------------------
